2001-08-23  Kurt Garloff  <kurt@garloff.de>
	
	* integrate.c (function_cannot_inline_p): Reduce max size for
	inlining from 10000 to 2000, double this value (i.e. 4000) for
	leaf functions. Fine tune INTEGRATE_THRESHOLD for -Os.
	* toplev.c (rest_of_compilation): Set current_function_is_leaf 
	for function_cannot_inline_p

Fri Mar 16 12:46:19 GMT 2001 Bernd Schmidt  (bernds@redhat.com)

	* gcc-2.95.3 Released.

2001-03-12  Kazu Hirata  <kazu@hxi.com>

	* config/h8300/h8300.md (movsi_h8300hs): Split the 2nd alternative
	into two parts.

2001-03-12  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	* final.c (alter_subreg): Use plus_constant_for_output to match
	what offsettable_address_p does.

2001-02-19  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	Back out sjlj eh fixes.
	* varasm.c (force_const_mem): Revert previous change.
	* except.c (receive_exception_label, start_dynamic_handler):
	Likewise.
	* expr.c (expand_builtin_setjmp, expand_builtin_setjmp_setup,
	expand_builtin_setjmp_receiver, expand_builtin): Likewise.
	* expr.h (expand_builtin_setjmp, expand_builtin_setjmp_receiver):
	Likewise.

2001-01-25  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	* varasm.c (force_const_mem): When putting a LABEL_REF into the
	constant pool, also put it on forced_labels list so that it won't
	be deleted.

	2000-05-25  Alexandre Oliva  <aoliva@cygnus.com>
	* emit-rtl.c (reset_used_decls): New function.
	(unshare_all_rtl_again): Call it.

	2000-05-24  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>
	* emit-rtl.c (unshare_all_decls): New function.
	(unshare_all_rtl): Call it.

	2000-05-20  Alexandre Oliva  <aoliva@cygnus.com>
	* emit-rtl.c (unshare_all_rtl): Store the copied rtx.

	2000-04-15  Richard Earnshaw (rearnsah@arm.com)
	* emit-rtl.c (unshare_all_rtl_again): Unmark everything, then
	call unshare_all_rtl.

	2000-01-27  Geoffrey Keating  <geoffk@cygnus.com>
	* emit-rtl.c (unshare_all_rtl): Unshare virtual parameters too.
	Use unshare_all_rtl_1.
	(unshare_all_rtl_again): New function.
	(unshare_all_rtl_1): New function split out of unshare_all_rtl.
	* function.c (purge_addressof_1): Use unshare_all_rtl_again
	rather than resetting the 'used' flags ourself.
	* toplev.c (rest_of_compilation): Add current_function_decl
	to the unshare_all_rtl call.
	* tree.h: Prototype unshare_all_rtl.
	* rtl.h: Prototype unshare_all_rtl_again here.

2001-01-12  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	* expr.c (expand_builtin_setjmp_receiver): Emit a scheduling barrier
	as last insn.

2001-01-11  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	2001-01-09  Mark Mitchell  <mark@codesourcery.com>
	Remove support for using UWIN as a host machine.
	* configure.in: Issue an error message.
	* configure: Regenerated.
	* config.gcc: Remove xm_* UWIN configury.
	* config/i386/xm-uwin.h: Remove.

	* config/mips/vxworks.h: Don't terminate comment before its end.

	* invoke.texi: Update -fvtable-thunks documentation.

	* loop.c (scan_loop): Disable copy propagation if we find a REG_LABEL
	note.

	Revert this patch:
	2000-12-18  David Edelsohn  <edelsohn@gnu.org>
	* rs6000.c (and64_operand): Use logical_u_operand.

	Mon Oct  4 16:56:11 1999  Richard Henderson  <rth@cygnus.com>
	* tree.c (build1): Set TREE_SIDE_EFFECTS for expressions that
	always have side-effects.

	Mon Oct  4 02:12:41 1999  Mark Mitchell  <mark@codesourcery.com>
	* tree.c (make_node): Set TREE_SIDE_EFFECTS for expressions that
	always have side-effects.

2001-01-01  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	* loop.c (instrument_loop_bct): Set JUMP_LABEL on new jump.

	2000-12-27  Geoffrey Keating  <geoffk@redhat.com>
	* config/rs6000/rs6000.md (define_attr "length"): Correct
	calculation.

2001-01-01  Philipp Thomas <pthomas@suse.de>

	* configure.in: Make the help for --enable-nls make it
	clear that this is an experimental feature.
	* configure: Regenerate.
	* ABOUT-GCC-NLS: Explain why NLS support is buggy.

2000-12-29  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	* combine.c (cant_combine_insn_p): Only restrict hard register
	combinations for SMALL_REGISTER_CLASSES machines.

	* config/sparc/sparc.c (pic_address_needs_scratch): LABEL_REFs are
	not valid pic operands.

	2000-12-26  Kazu Hirata  <kazu@hxi.com>
	* config/h8300/h8300.c (get_shift_alg): Fix a typo in the
	assembly code for 12-bit ASHIFTRT in HImode.

	2000-07-17  Kazu Hirata  <kazu@hxi.com>
	* h8300.md: Fix the format of mac.
	(movsi_h8300hs): Output a tab after stmac instead of a space.

	2000-10-07  Will Cohen  <wcohen@redhat.com>, Kazu Hirata  <kazu@hxi.com>
	* config/h8300/h8300.md: Remove the memory alternative and correct
	the insn lengths in the templates for sign extention and zero
	extention.

	2000-12-23  Philip Blundell  <philb@gnu.org>
	* config/arm/linux-elf.h (CPP_PREDEFINES): Don't define `arm' or
	`arm_elf'; do define `__arm__'.

	2000-08-22  Richard Henderson  <rth@cygnus.com>
	* alias.c (init_alias_analysis): Do not register
	struct_value_incoming_rtx or static_chain_rtx as pointing
	to stack memory.

	Tue Dec  5 20:09:14 2000  Jeffrey A Law  (law@cygnus.com)
	* builtins.c (expand_builtin_setjmp_setup): Set
	current_function_has_nonlocal_label.

	2000-12-03  Richard Henderson  <rth@redhat.com>
	* builtins.c (expand_builtin_setjmp_setup): New.
	(expand_builtin_setjmp_receiver): New.
	(expand_builtin_setjmp): Split out _setup and _receiver functions.
	Move argument parsing in from ...
	(expand_builtin): ... here.
	* except.c (receive_exception_label): Branch around receiver
	unless new-style exceptions.  Call expand_builtin_setjmp_receiver.
	(start_dynamic_handler): Call expand_builtin_setjmp_setup.
	* expr.h: Update builtin setjmp decls.

2000-12-22  Bernd Schmidt  <bernds@redhat.co.uk>

	* calls.c (emit_call_1): Fall back to call_pop/call_value_pop if no
	non-popping calls are available.

	* flow.c (propagate_block): Use flow_delete_insn instead of
	NOTEifying a dead ADDR_VEC.

	Fri Sep 10 11:43:07 1999  Philip Blundell <pb@futuretv.com>
	* configure.in, config/arm/linux-oldld.h,
	config/arm/linux-elf26.h, config/arm/linux-elf.h: Backport latest
	ARM GNU/Linux config from mainline.
	* configure: Regenerate.

	2000-02-08  Geoff Keating  <geoffk@cygnus.com>
	* dwarf2.h (DW_CFA_GNU_negative_offset_extended): New constant.
	* dwarf2out.c (dwarf_cfi_name): Print name of new constant.
	(reg_save): Use DW_CFA_GNU_negative_offset_extended when needed.
	(output_cfi): Handle output of DW_CFA_GNU_negative_offset_extended.
	* frame.c (execute_cfa_insn): Handle
	DW_CFA_GNU_negative_offset_extended.

	2000-03-06  Mark Mitchell  <mark@codesourcery.com>
	* function.c (free_temps_for_rtl_expr): Don't free slots
	that have been pushed into a higher level.

	1999-12-16  David S. Miller  <davem@redhat.com>
	* expr.c (emit_move_insn_1): Only emit clobbers if one of
	the outputs is a SUBREG.

	Wed Sep 22 17:35:55 1999  Michael Meissner  <meissner@cygnus.com>
	* expr.c (emit_move_insn_1): If we are copying a complex that fits
	in one word or less (complex char, complex short, or on 64 bit
	systems complex float) to/from a hard register, copy it through
	memory instead of dying in gen_{real,imag}part.  If we have a
	short complex type, prevent inlining since it allocates stack
	memory.

	Fri Dec 15 15:32:16 MET 2000  Jan Hubicka  <jh@suse.cz>
	* combine.c (cant_combine_insn_p): Get around SUBREGs when determining
	hardreg<->reg moves.

	2000-12-01  Bernd Schmidt  <bernds@redhat.co.uk>
	* combine.c (cant_combine_insn_p): Only disallow insns involving
	hard regs if they are reg-reg moves.

	2000-11-24  Bernd Schmidt  <bernds@redhat.co.uk>
	* combine.c (cant_combine_insn_p): New function.
	(try_combine): Use it.

2000-12-20  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	* reload1.c (free_for_value_p): Fix error in last change.

	2000-03-22  Richard Henderson  <rth@cygnus.com>
	* stmt.c (expand_asm_operands): Don't promote the temporary.

	Sun Sep 19 09:03:40 1999  Mark Mitchell  <mark@codesourcery.com>
	* rtl.h (insns_safe_to_move_p): New function.
	* loop.c (find_and_verify_loops): Use it.
	* rtlanal.c (insns_safe_to_move_p): Define it.

	Thu Nov  2 19:20:12 2000  J"orn Rennecke <amylaar@redhat.com>
	* reload.c (find_equiv_reg): Test all hard registers for membership
	in the requested class.

	Sun Apr 23 16:24:35 2000  Denis Chertykov  <denisc@overta.ru>
	* reload.c (find_equiv_reg): Checks all valueno regs
	as a reload_reg_p regs.

	Fri Apr 21 14:58:29 2000  Denis Chertykov  <denisc@overta.ru>
	* reload.c (find_equiv_reg): Checks all valueno and regno regs
	as a call-clobbered regs.

2000-12-18  Bernd Schmidt  <bernds@redhat.co.uk>

	2000-09-15  Bernd Schmidt  <bernds@redhat.co.uk>
	* optabs.c (emit_libcall_block): If target is a user variable,
	copy to a temporary first.

	2000-04-28  Kazu Hirata  <kazu@hxi.com>
	* h8300.c (function_epilogue): Clean up flags when the last insn
	in a function is a barrier.

	Mon Aug 30 01:02:09 1999  Jeffrey A Law  (law@cygnus.com)
	* emit-rtl.c (copy_rtx_if_shared): A MEM which references
	virtual_stack_vars_rtx or virtual_incoming_args_rtx can not
	be shared.

	2000-03-24  Geoff Keating  <geoffk@cygnus.com>
	* flow.c (propagate_block): When we delete an ADDR_VEC,
	also delete the BARRIER following it if there is one.

	Wed Oct 27 14:10:27 1999  Geoffrey Keating  <geoffk@cygnus.com>
	* flow.c (propagate_block): When the last reference to a label
	before an ADDR_VEC is deleted because the reference is a dead
	store, delete the ADDR_VEC.

	2000-03-19  Richard Henderson  <rth@cygnus.com>
	* flow.c (delete_block): Delete the addr_vec along with the block.
	(flow_delete_insn): Decrement LABEL_NUSES when deleting insns that
	reference labels.

	2000-12-02  Bernd Schmidt  <bernds@redhat.co.uk>
	* reload1.c (free_for_value_p): New function, frontend to
	reload_reg_free_for_value_p.  All callers of the latter now call
	this function with an additional mode argument.

	2000-11-10  Bernd Schmidt  <bernds@redhat.co.uk>
	(regno_clobbered_p): New arg SETS.  Examine SETs if it's nonzero.  All
	callers changed.
	* reload1.c (choose_reload_regs): Registers set in the insn can't be
	used for RELOAD_OTHER reloads.

	2000-10-28  Bernd Schmidt  <bernds@redhat.co.uk>
	* reload1.c (choose_reload_regs): Never set reload_override_in for an
	optional reload.

	2000-09-07  Bernd Schmidt  <bernds@redhat.co.uk>
	* reload.c (regno_clobbered_p): Accept new arg, MODE, and use it
	to handle multiword modes correctly.  All callers and the declaration
	changed.

2000-12-18  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.c (and64_operand): Use logical_u_operand.
	(first_reg_to_save): Don't save fixed or call-used registers
	except PIC_OFFSET_TABLE_REGNUM when -fpic even though it is fixed.
	* rs6000.md (anddi3): Prefer rldic? over andis instruction.

2000-12-18  Zack Weinberg <zackw@Stanford.EDU>:

	* Makefile.in: Rename cpp to cpp0, tradcpp to tradcpp0, and
        xcpp to cpp throughout.
        (native): Remove unnecessary dependency on cpp.
	* gcc.c (C specs): Call cpp0 to do preprocessing, not cpp.
	* ch/lang-specs.h, cp/lang-specs.h, f/lang-specs.h,
	objc/lang-specs.h: Call cpp0 to do preprocessing, not cpp.

2000-12-18  Christian Groessler <cpg@aladdin.de>

	* toplev.c (check_lang_option): Use NUM_ELEM only on arrays, not on
	pointers.

2000-12-18  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* linux.h (DEFAULT_VTABLE_THUNKS): Switch back to version 1.
	* alpha/linux-elf.h (DEFAULT_VTABLE_THUNKS): Likewise.
	* arm/linux-elf (DEFAULT_VTABLE_THUNKS): Likewise.
	* i386/freebsd-elf.h (DEFAULT_VTABLE_THUNKS): Likewise.
	* rs6000/linux.h (DEFAULT_VTABLE_THUNKS): Likewise.
	* sparc/linux.h (DEFAULT_VTABLE_THUNKS): Likewise.

2000-12-05  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	2000-07-03  Nick Clifton  <nickc@cygnus.com>
	* config/arm/arm.md: Fix post increment and pre increment
	peepholes so that they do not generate UNPREDICATBLE opcodes.
	(ie ones where the increment clobbers the source/destination).

	Mon Oct 25 00:42:35 1999  Jeffrey A Law  (law@cygnus.com)
	* arm.c (arm_override_options): Correct initialization of
	arm_fast_multiply, arm_arch4, arm_arch5, arm_ld_sched,
	arm_is_strong, and arm_is_6_or_7.

	Thu Jul 29 19:01:58 1999  Bernd Schmidt  <bernds@cygnus.co.uk>
	* arm.h (Hint): Delete macro.
	Substitute HOST_WIDE_INT for Hint in some prototypes.
	* arm.c: Substitute HOST_WIDE_INT for Hint in one prototype.

2000-11-30  Bernd Schmidt  <bernds@redhat.co.uk>

	* version.c: Bump.

	Based on a patch from Geoff Keating <geoffk@redhat.com>:
	* loop.c (basic_induction_var): If a REG is set from something
	that is not a biv, then the REG is not a biv.  Even if it is
	earlier set from something that is a biv.

	2000-09-01  Jim Wilson  <wilson@cygnus.com>
	* loop.c (check_final_value): Check for biv use before checking for
	giv use.  Check for both biv and giv uses.  Always set last_giv_use
	if there is a giv use.

	2000-09-29  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>
	* loop.c (check_final_value): A GIV is not replaceable if used
	before set.

	Sun Oct 10 13:28:48 1999  Bernd Schmidt  <bernds@redhat.co.uk>
	* loop.c (find_and_verify_loops): When looking for a BARRIER, don't
	use one before a jump table.

	Fri Jul  9 10:48:28 1999  Bernd Schmidt  <bernds@redhat.co.uk>
	* loop.c (check_dbra_loop): When reversing a loop, delete all
	REG_EQUAL notes referencing the reversed biv except those which are
	for a giv based on it.

	2000-11-24  Bernd Schmidt  <bernds@redhat.co.uk>
	* reload1.c (conflicts_with_override): New function.
	(emit_input_reload_insns): Use it to tighten test for validity
	of substituting into output of previous insn.

	Wed Oct 27 03:09:23 1999  J"orn Rennecke  <amylaar@redhat.co.uk>
	* reload.h (earlyclobber_operand_p): Declare.
	* reload.c (earlyclobber_operand_p): Don't declare.  No longer static.
	* reload1.c (reload_reg_free_for_value_p):  RELOAD_OTHER reloads with
	an earlyclobbered output conflict with RELOAD_INPUT reloads - handle
	case where the RELOAD_OTHER reload is new.  Use
	earlyclobber_operand_p.

	2000-01-12  Bernd Schmidt  <bernds@redhat.co.uk>
	* reload1.c (reload_reg_unavailable): New static variable.
	(reload_reg_free_p): Test it.
	(reload_reg_free_for_value_p): Test it instead of reload_reg_used.
	(choose_reload_regs_init): Compute it.

	Thu Jul  6 18:30:36 2000  Richard Kenner  <kenner@vlsi1.ultra.nyu.edu>
	* reload.c (push_reload): When seeing if can reuse a register,
	check extra registers against widest of INMODE and OUTMODE.

	1999-11-29  Bernd Schmidt  <bernds@redhat.co.uk>
	* reload.c (push_reload): When looking for a register to put into
	reg_rtx, make sure all hard regs in a multi-reg register are in the
	right class and nonfixed.

	1999-11-29  Joern Rennecke  <amylaar@redhat.co.uk>
	* reload1.c (reloads_conflict): Reverse test comparing operand
	numbers when testing for conflict between output/outaddr reloads.

	2000-07-12  Richard Henderson  <rth@redhat.com>
	* reload.c (push_secondary_reload): Make sure to add the new
	reload at the end, after acquiring secondary memory.

	2000-09-14  Alexandre Oliva  <aoliva@redhat.com>, Bernd Schmidt  <bernds@redhat.co.uk>
	* reload.c (find_reloads_address_1): Generate reloads for auto_inc
	pseudos that refer to the original pseudos, not only to their
	equivalent memory locations.

	2000-09-18  Bernd Schmidt  <bernds@redhat.co.uk>
	* reload1.c (forget_old_reloads_1): If a hard reg is stored, clear
	its entry in spill_reg_store.

	Tue Oct 26 00:41:54 1999  Bernd Schmidt  <bernds@cygnus.co.uk>
	* reload1.c (reload_reg_free_for_value_p): Show
	RELOAD_FOR_OTHER_ADDRESS reloads can conflict with RELOAD_OTHER
	reloads.

	2000-02-26  Geoff Keating  <geoffk@cygnus.com>
	* reload1.c (do_output_reload): Check reg_reloaded_valid before
	looking at reg_reloaded_contents.

	Thu Apr 13 19:39:56 2000  Clinton Popetz  <cpopetz@cygnus.com>
	* emit-rtl.c (try_split): Avoid infinite loop if the split
	results in a sequence that contains the original insn.

	1999-12-14  Bernd Schmidt  <bernds@cygnus.co.uk>
	* combine.c (combine_simplify_rtx): Don't make shared rtl.
	(simplify_logical): Likewise.

	Sat May 20 07:27:35 2000  Alexandre Oliva  <aoliva@cygnus.com>
	* fold-const.c (make_range): Handle degenerated intervals.
	Fixes c-torture/execute/991221-1.c

	2000-07-15  Michael Meissner  <meissner@redhat.com>
	* fold-const.c (fold): When optimizing FOO++ == CONST into ++FOO
	== CONST + INCREMENT, don't overwrite the tree node for FOO++,
	create a new node instead.

	2000-01-01  Bernd Schmidt  <bernds@cygnus.co.uk>
	* expmed.c (emit_store_flag): Prevent losing a pending stack
	adjust the same way we prevent losing queued increments.

2000-10-27  Bernd Schmidt  <bernds@redhat.co.uk>

	* expr.c (expand_expr, case INDIRECT_REF): If the address is a
	PLUS, that does not prove the object is in a structure.

2000-08-25  David Edelsohn  <edelsohn@gnu.org>

	* collect2.c (use_import_list): Always return 0 (disable).

2000-07-07  Manfred Hollstein  <manfredh@redhat.com>

	* i386.md (exception_receiver): Add missing parameter in
	call to load_pic_register.

Fri May 26 10:30:02 2000  Richard Earnshaw (rearnsha@arm.com)

	* arm.md (negdi2): Add clobber of condition code register.

Wed May 24 00:25:45 2000  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	2000-05-22  Richard Henderson  <rth@cygnus.com>
	* function.c (thread_prologue_and_epilogue_insns): Make sure 
	existing line number notes appear after the prologue.

2000-05-16  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>
 
	* sysv4.h (CPP_OS_LINUX_SPEC): Define __unix and __linux according
	to given options.

2000-05-14  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* rs6000/rs6000.md (nonlocal_goto_receiver): Add length attribute.

Wed Apr 12 00:42:19 2000  Jeffrey A Law  (law@cygnus.com)

	2000-02-19  Richard Henderson  <rth@cygnus.com>
        * c-typeck.c (add_pending_init): Don't abort for multiple
        fields at the same offset.
        (pending_init_member): Test the correct member.

	Wed Apr 12 00:44:31 2000  Jeffrey A Law  (law@cygnus.com)
	* config/i386/freebsd-elf.h (DEFAULT_VTABLE_THUNKS): Changed to 2.

	Tue Nov  9 17:14:40 1999  H.J. Lu  <hjl@gnu.org>
        * invoke.texi (-fvtable-thunks): Document that Linux/GNU uses
        version 2 as default.

	Tue Nov  9 10:16:55 1999  H.J. Lu  <hjl@gnu.org>
        * alpha/linux-elf.h (DEFAULT_VTABLE_THUNKS): Changed to 2.
        * arm/linux-elf.h: Likewise.
        * rs6000/linux.h: Likewise.
        * sparc/linux.h: Likewise.

	Mon Nov  8 14:41:34 1999  H.J. Lu  <hjl@gnu.org>
        * config/linux.h (DEFAULT_VTABLE_THUNKS): Changed to 2.

	Sun May  2 08:49:27 1999  Martin von Löwis  <loewis@informatik.hu-berlin.de>
        * invoke.texi (-fvtable-thunks): Document numeric argument.

2000-04-11  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* config/elfos.h (SELECT_SECTION): Decide whether to use a data or
	const section to output a CONSTRUCTOR based on the same conditions
	used for VAR_DECLs.

Mon Apr  3 02:31:32 2000  Jeffrey A Law  (law@cygnus.com)

	2000-01-20  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>
        * unroll.c (loop_iterations): Don't abort if REG_USERVAR_P set
        on iteration_var.

Wed Mar 22 13:11:54 2000  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.c (reg_or_u_cint_operand): New function.
	(logical_operand): Handle 64-bit hosts.
	(logical_u_operand): New function.
	(non_logical_cint_operand): Handle 64-bit hosts.
	(non_logical_u_cint_operand): New function.
	(expand_block_move): Allow 8 DImode loads for PowerPC64.
	* rs6000.h (PREDICATE_CODES): Define new functions.
	* rs6000.md (iordi3, xordi3): Constant int must be unsigned 32-bits.
	(movdi_64): Bracket code intended for 64-bit hosts.  Create
	CONST_DOUBLE for 32-bit values.

	* glimits.h (__LONG_MAX__): Recognize 64-bit AIX too.

Wed Mar 22 13:11:54 2000  Gabriel Paubert  <paubert@iram.es>

	* rs6000.md: Correct instructions length attributes and
	constraints on unsigned compare instructions.
	(*ne0): Disable for PowerPC64.
	
Tue Mar  7 21:41:17 2000  Jeffrey A Law  (law@cygnus.com)

	* cccp.c (handle_directive): Initialize backslash_newlines_p.

	Wed Jan 19 20:39:17 2000  Jim Wilson  <wilson@cygnus.com>
	* fixinc/inclhack.tpl: Test for directory before trying to cd into it.
	* fixinc/fixincl.sh, fixinc/inclhack.sh: Regenerate.

	Tue Oct 12 09:45:19 1999  Jonathan Larmour  <jlarmour@cygnus.co.uk>
	* config/rs6000/eabi-ctors.c (__do_global_ctors): Run through
	__CTOR_LIST__ in opposite order, which is the correct order for sorted
	constructors.
	(__do_global_dtors): similarly for __DTOR_LIST__.

	2000-01-05  Bernd Schmidt  <bernds@cygnus.co.uk>
	* reload1.c (choose_reload_regs): When disabling a reload, also
	set reload_spill_index to -1.

	Thu Nov  4 15:52:35 1999  Andrew Haley  <aph@cygnus.com>
	* reload1.c (reload_reg_free_for_value_p): Don't use a register
	that is in reload_reg_used.

	2000-01-18  Clinton Popetz  <cpopetz@cygnus.com>
	* loop.c (check_dbra_loop): When checking a loop for
	reversability, check the source of any stores to ensure they 
	don't depend on an initial value.

	Sat Jan  8 12:12:46 2000  Nick Clifton  <nickc@cygnus.com>
	* config/v850/v850.c (expand_epilogue): Interrupt functions no
	longer allocate extra stack for function calls.

Fri Feb 18 13:32:32 2000  Martin von Loewis  <loewis@informatik.hu-berlin.de>

	* gcc.texi (Bug Reporting): Refer to bugs.html.
	(Bug Lists): Likewise.
	* system.h (GCCBUGURL): New preprocessor define.
	(abort): Use it.
	* gcc.c (main): Likewise.

Thu Feb  3 10:53:45 2000  Richard Henderson  <rth@cygnus.com>

	Wed Nov  3 10:10:58 1999  Richard Henderson  <rth@cygnus.com>
        * c-decl.c (duplicate_decls): Copy DECL_MODE too.

Thu Jan 20 10:02:07 2000  Richard Henderson  <rth@cygnus.com>

	2000-01-03  Anthony Green  <green@cygnus.com>
        * config/i386/i386.md (builtin_setjmp_receiver): New pattern.
        Restore the pic register if required.

Fri Jan  7 14:40:05 2000  Richard Henderson  <rth@cygnus.com>

	Thu Oct 28 18:06:50 1999  Richard Kenner  <kenner@vlsi1.ultra.nyu.edu>
        * stmt.c (expand_value_return): Correctly convert VAL when promoting
	function return.

Tue Jan  4 02:22:27 2000  Jeffrey A Law  (law@cygnus.com)

	Mon Oct 18 18:50:51 1999  Andreas Schwab  <schwab@suse.de>
	* config/m68k/m68k.h (INITIAL_FRAME_POINTER_OFFSET): Add one word
	if the pic register is used.

	Sat Sep 25 13:11:07 1999  Jeffrey A Law  (law@cygnus.com)
	* cse.c: Update comments.
	(cse_insn): When converting a conditional/computed jump into
	an unconditional jump, always make sure a BARRIER immediately
	follows the converted jump.  Do not delete unreachable code.
	(cse_basic_block): Do not delete unreachable code.
	* toplev.c (rest_of_compilation): Move call to
	delete_trivially_dead_insns after the conditional call to
	jump_optimize.


Wed Dec 29 22:47:43 1999  Jeffrey A Law  (law@cygnus.com)

	1999-12-12  Stephen L Moshier <moshier@mediaone.net>
	* loop.c (load_mems): Don't hoist written floating point mem
	if -ffloat-store.

	* cppinit.c (is_idchar): Only use special initialization for
	gcc-2.8 and later versions of the compiler.

	Wed Oct 27 01:42:26 1999  Scott Christley  <scottc@net-community.com>
	* sparc.md (call): Don't bound structure return size to 0xfff.

Mon Dec 27 07:32:59 1999  Jeffrey A Law  (law@cygnus.com)

	Fri Sep  3 10:16:37 HST 1999  Glen Nakamura  <glen.nakamura@usa.net>
	* cccp.c (rescan): Fixed obp pointer handling around call to
	check_expand subroutine.

	Thu Sep 16 00:46:35 1999  Geoff Keating  <geoffk@cygnus.com>
	* loop.c (basic_induction_var): A non-integer variable which is
	being set by a paradoxical subreg is probably not a biv.

	1999-08-31 12:20 -0700 Zack Weinberg <zack@bitmover.com>
	* loop.c (check_dbra_loop): Check bl->biv->add_val is a
	CONST_INT before using its INTVAL.

	Tue Nov  2 15:27:31 1999  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>
	* configure.in (m68k-hp-hpux*, xm_alloca.h): The underscore should
	have been an hyphen, fixed.
	* configure: Rebuilt.

Thu Dec 23 11:59:56 1999  Jeffrey A Law  (law@cygnus.com)

	1999-12-23  Martin v. Löwis  <loewis@informatik.hu-berlin.de>
        * fold-const.c (operand_equal_p): Use memcmp to compare string
        constants.
        Suggested by D. J. Bernstein

	Thu Dec 16 02:26:11 1999  Jeffrey A Law  (law@cygnus.com)
	* h8300.md (HImode preinc peephole): Fix typo.

	1999-12-14  Bernd Schmidt  <bernds@cygnus.co.uk>
        * loop.c (check_dbra_loop): Can't reverse a biv that has
	maybe_multiple set.

1999-12-07  Martin v. Löwis  <loewis@informatik.hu-berlin.de>

	* invoke.texi (C Dialect Options): Remove -flang-c9x, add -std
	documentation.

Sun Oct 31 22:32:17 1999  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* config/i386/sol2gas.h: I had installed the wrong version of Sept
	22's patch in the release branch.  Fixed.
	* configure.in: Likewise.
	* configure: Rebuilt.
	Reported by Jason Beardsley <jbeardsley@origin.ea.com>

Sun Oct 24 23:54:10 PDT 1999 Jeff Law  (law@cygnus.com)

	* gcc-2.95.2 Released.

Mon Oct 25 00:43:05 1999  Jeffrey A Law  (law@cygnus.com)

	* loop.c (note_set_pseudo_multiple_uses_retval): New variable.
	(note_set_pseudo_multiple_uses): New function.
	(check_dbra_loop): Use not_set_pseudo_multiple_uses to determine
	if a pseudo set in the loop exit is used elsewhere.

Wed Oct 20 10:46:41 1999  Richard Earnshaw (rearnsha@arm.com)

	* jump.c (jump_optimize_1): More accurately detect casesi insns.

Wed Oct 20 22:57:58 1999  Jeffrey A Law  (law@cygnus.com)

	* toplev.c (main): Do not turn on strict aliasing by default.
	* invoke.texi: Corresponding changes.

	* sparc.md (movsf_const_intreg): If splitting, length must be > 1.
	(movdf_const_intreg_sp64): Similarly.

	* local-alloc.c (update_equiv_regs): Check the correct insn
	for pre-existing REG_EQUIV notes.

Tue Oct 19 02:03:00 1999  Jeffrey A Law  (law@cygnus.com)

	Revert this change.  Gavin's patch to operand_equal_p is a better fix.
	* fold-const.c (fold_range_test): Do not try to fold the range
	test if the rhs or lhs has side effects.

	Fri Sep 17 15:05:27 1999  Gavin Romig-Koch  <gavin@cygnus.com>
	* fold-const.c (operand_equal_p): Pay attention to side effects.

	* reg-stack.c (stack_result): Aggregates are not returned in
	stack registers.

Mon Oct 18 01:41:35 1999  Jeffrey A Law  (law@cygnus.com)

	* combine.c (get_last_value): If the last set of a register
	is after subst_low_cuid, then we can not use it to determine
	the register's last value.

Sat Oct 16 15:20:15 1999  Jeffrey A Law  (law@cygnus.com)

	Sat Oct 16 00:07:01 1999  Richard Henderson  <rth@cygnus.com>
	* gcse.c (hash_expr_1): Add in MEM_ALIAS_SET.
	(expr_equiv_p): Reject memories with different alias sets.

Wed Oct 13 01:46:14 1999  Jeffrey A Law  (law@cygnus.com)

	Wed Oct 13 01:44:29 1999  Carol LePage  <carolo@hal.com>
	* configure.in (sparc-hal-solaris2*): Fix xm_file, xm_defines,
	float_format and thread_file definitions.
	* configure: Rebuilt.

Tue Oct 12 17:09:38 1999  David Edelsohn  <edelsohn@gnu.org>

	* collect2.c (main): Do preliminary link on AIX if rflag.

Mon Oct 11 23:35:19 1999  Jeffrey A Law  (law@cygnus.com)

	Fri Sep  3 09:14:32 1999  Marc Espie <espie@tetto.liafa.jussieu.fr>
	* tlink.c (scan_linker_output): Skip the initial underscore in
	a mangled name if appropriate.

	Fri Aug 27 19:19:43 CEST 1999	Marc Espie <espie@cvs.openbsd.org>
	* config/openbsd.h (SET_ASM_OP): Define.

	Mon Oct  4 08:54:12 1999  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>
	* cppinit.c (is_idchar initializer): Loosen tests to accept
	gcc 2.>6 and >2.

	Tue Jun 29 01:37:53 1999  Jeffrey A Law  (law@cygnus.com)
	* pa.h (CPP_SPEC): Conditionally add -D__STDC_EXT__ to the cpp
	command line.

	Thu Sep  2 20:08:23 1999  J"orn Rennecke <amylaar@cygnus.co.uk>
	* regmove.c (fixup_match_1): Don't change an unchanging register.
	(stable_but_for_p): Renamed to:
	(stable_and_no_regs_but_for_p).  Reject unchanging registers too.
	Changed all callers.

	Tue Aug 17 22:06:11 1999  Jan Hubicka  <hubicka@freesoft.cz>
	* haifa-sched.c (insn_unit): Fix typo on out of range test.
	* sched.c (insn_unit): Likewise.

Sun Oct 10 20:58:27 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (scc patterns): Disable most SImode variants if
	TARGET_POWERPC64.
	* rs6000.c (expand_block_move): Fix gen_movsi typos.

	Thu Oct  7 23:06:50 1999  Richard Henderson  <rth@cygnus.com>
	* rs6000.md (fix_truncdfsi2_internal+1): Emit a clobber
	before the fctiwz insn.

	Thu Oct  7 00:36:17 1999  Diego Novillo  <dnovillo@cygnus.com>
	* config/rs6000/rs6000.c (secondary_reload_class): For TARGET_ELF
	make sure that HIGH instructions are copied into BASE_REGS.
	
Thu Sep 30 05:40:34 1999  Richard Earnshaw <rearnsha@arm.com>

	* c-lang.c (finish_file case ndef ASM_OUTPUT_{CON,DE}STRUCTOR): 
	Correctly build argument list to constructor and destructor functions.

Wed Sep 22 17:55:31 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.c (expand_block_move): DImode loads and stores require
	word-aligned displacements.  Increment address registers with
	adddi3 on 64-bit platform.  Use TARGET_POWERPC64 not TARGET_64BIT.

Wed Sep 22 07:07:44 1999  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* config/i386/sol2.h (PREFERRED_DEBUGGING_TYPE): Use stabs.
	(ASM_SPEC): Moved from sol2dbg.h.  Added work-around for gas.
	* config/i386/sol2dbg.h: Removed.
	* config/i386/sol2gas.h: New file, to enable gas work-around.
	* configure.in: Use i386/sol2gas.h on Solaris/x86 --with-gas.
	Don't use sol2dbg.h.
	* configure: Rebuilt.

Wed Sep 15 21:20:38 1999  Mark Mitchell  <mark@codesourcery.com>

	* c-typeck.c (qualify_type): Merge qualifiers from both types.

Wed Sep 15 10:07:27 1999  Scott Bambrough <scottb@netwinder.org>
 
	* config/arm/linux-elf.h: define NO_IMPLICIT_EXTERN_C

Tue Sep  7 16:50:59 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.h (ASM_FILE_START): Specify complete filename, including
	path, in .file directive.

Tue Sep  7 01:27:21 1999  Jeffrey A Law  (law@cygnus.com)

	Thu Sep  2 00:06:43 1999  Jeffrey A Law  (law@cygnus.com)
	* fold-const.c (fold_range_test): Do not try to fold the range
	test if the rhs or lhs has side effects.

	Sun Aug 29 03:27:23 1999  Scott Weikart <scott@igc.apc.org>
	* fix-header.c (main): Do not pass a null pointer to strcmp.

	Thu Aug 19 14:42:38 1999  Mike Stump <mrs@wrs.com>
				  Mark Mitchell <mark@codesourcery.com>
	* c-common.c (c_get_alias_set): Fix support for pointers and
	references.

	Fri Aug 27 01:03:48 1999  Jim Kingdon  <http://developer.redhat.com>
	with much help from Jeffrey A Law and Richard Henderson
	* i386.md: In the 6 insns which call output_fix_trunc,
	earlyclobber operands[0].

	Fri Aug 27 01:01:51 1999  Philip Blundell  <pb@nexus.co.uk>
	* jump.c (duplicate_loop_exit_test): Call reg_scan_update after
	creating new registers.

	Fri Aug 27 15:35:24 1999  Jeffrey A Law  (law@cygnus.com)
	* cse.c (fold_rtx): Work around bug in Sun V5.0 compilers.
	* pa.c (emit_move_sequence): Do not stop on SUBREG_WORD of an
	operand.

	Tue Aug 31 11:51:06 1999  Jim Kingdon  <http://developer.redhat.com>
	* i386.c (output_strlen_unroll): Don't write xops[7]
	label if it wasn't set.

	Fri Aug 27 09:36:17 1999  Andreas Schwab  <schwab@suse.de>
	* function.c (assign_stack_temp_for_type): Fix change of Mar 5 for
	the fact that ALIGN is measured in bits, not bytes.

	Wed Aug 25 14:00:18 1999  Jason Merrill  <jason@yorick.cygnus.com>
	* c-common.c (combine_strings): Always set TREE_CONSTANT.

Wed Aug 18 01:16:43 1999  David S. Miller  <davem@redhat.com>

	* config/sparc/sparc.c (sparc_block_profiler): Fix typo in Aug 2
	change.

Mon Aug 16 01:29:24 PDT 1999 Jeff Law  (law@cygnus.com)

	* gcc-2.95.1 Released.

1999-08-13  Michael Meissner  <meissner@cygnus.com>

	* Makefile.in (GCC_FOR_TARGET): Move -B./ after the tooldir -B.

Fri Aug 13 01:42:24 1999  Jeffrey A Law  (law@cygnus.com)

	Tue Aug  3 00:03:41 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>
        * fixincludes: Fix the return type of bsearch, char* -> void*.
        * fixinc/inclhack.def: Likewise.

Fri Aug 13 01:29:57 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* dwarfout.c (fundamental_type_code): Return FT_boolean for
	INTEGER_TYPE with precision==1, it's __java_boolean.

1999-08-11  Richard Earnshaw (rearnsha@arm.com)

        * emit-rtl.c (mark_reg_pointer): Don't increase the alignment of
        a register that is already known to be a pointer.

1999-08-11  Bruce Korb  <ddsinc09@ix.netcom.com>

	* fixinc/inclhack.tpl: Only install assert.h conditionally.
	* fixinc/inclhack.sh: Regenerated.
	* fixinc/fixincl.sh: Regenerated.

Wed Aug 11 00:34:22 1999  Joe Buck  <jbuck@synopsys.com>

	* invoke.texi: s/GNU CC/GCC/ for consistency with gcc.texi.
	Fix documentation of -ansi flag to describe its C++ behavior.
	Remove bogus reference to GCC 2.9.

Tue Aug 10 22:40:36 1999  Jeffrey A Law  (law@cygnus.com)

	Thu Aug  5 22:27:15 1999  J"orn Rennecke <amylaar@cygnus.co.uk>
	* config/sh/lib1funcs.asm (___movstrSI0): Change or r0,r0,r0 to nop.
	(___mulsi3): Use '!' comment character.

Sat Aug  7 00:06:30 1999  Jeffrey A Law  (law@cygnus.com)

	* gcc.texi: Update bug reporting text.

	Tue Jul 20 17:07:54 1999  Richard Henderson  <rth@cygnus.com>
	* rs6000.h (struct rs6000_args): Add sysv_gregno.
	* rs6000.c (init_cumulative_args): Init sysv_gregno.
	(function_arg_boundary): Align DFmode.
	(function_arg_advance): Restructure for ABI_V4; use sysv_gregno
	to get fp reg and stack overflow correct.
	(function_arg): Likewise.
	(function_arg_pass_by_reference): True for TFmode for ABI_V4.
	(setup_incoming_varargs): Restructure for ABI_V4; use
	function_arg_advance to skip final named argument.
	(expand_builtin_saveregs): Properly unskip the last integer arg
	when doing varargs.  Adjust overflow location calculation.
	* ginclude/va-ppc.h (struct __va_list_tag): Make gpr and fpr
	explicitly unsigned.
	(__VA_FP_REGSAVE): Use new OFS argument instead of AP->fpr directly.
	(__VA_GP_REGSAVE): Similarly.
	(__va_longlong_p): Delete.
	(__va_arg_type_violation): New declaration.
	(va_arg): Restructure.  Flag promotion errors.  Align double.
	TFmode passed by reference.
	* rs6000.md (movdi_32+1): Use GEN_INT after arithmetic
	in the HOST_BITS_PER_WIDE_INT > 32 case.

1999-08-6 Herman A.J. ten Brugge <Haj.Ten.Brugge@net.HCC.nl>

	* reg-stack.c (change_stack) Fixed problem with negative array index.

Fri Aug  6 20:41:08 1999  Jeffrey A Law  (law@cygnus.com)

	Mon Jul 19 15:09:29 1999  David Edelsohn  <edelsohn@gnu.org>
	* rs6000.md (arithmetic, logical, and shift Rc combiner patterns):
	Disable patterns performing SImode comparisons with SImode values
	if TARGET_POWERPC64 and instruction does not sign-extend or does
	not mask to narrower than SImode, i.e. where bit 31 and bit 63 may
	differ for signed quantities.
	(indirect_jump): Add expander to choose RTL based on TARGET_64BIT.
	(tablejump): Patterns contingent on TARGET_64BIT not TARGET_POWERPC64.
	(decrement_and_branch_on_count): Add 64-bit variant.

Thu Aug  5 02:40:42 1999  Jeffrey A Law  (law@cygnus.com)

	* gcc.c: Update URLs and mail addresses.
	* gcc.texi: Likewise.

Thu Aug  5 01:14:13 1999  Daniel Jacobowitz <drow@false.org>

	* rs6000.c (current_file_function_operand): Return zero for
	weak functions.
	(rs6000_encode_section_info): Do not set SYMBOL_REF_FLAG for
	weak symbols.
	* rs6000.h (ENCODE_SECTION_NIFO): Do not set SYMBOL_REF_FLAG
	for weak symbols.

Thu Aug  5 00:56:30 1999  Geoffrey Keating   <geoffk@cygnus.com>

	* rs6000.c (rs6000_stack_info): For ABI_V4/ABI_SOLARIS -fpic, always
	allocate space in the stack frame for the PIC register.

Thu Aug  5 00:20:47 1999  Jeffrey A Law  (law@cygnus.com)

	* m68k.md (xordi3, anddi3): These patterns are not available on
	the coldfire.

Wed Aug  4 23:39:20 1999  Mark Mitchell  <mark@codesourcery.com>

	* real.c (GET_REAL): Don't violate ANSI/ISO aliasing rules.
	(PUT_REAL): Likewise.

Wed Aug  4 02:15:32 1999  Richard Henderson <rth@cygnus.com>

	* jump.c (delete_insn): Delete the addr_vec when deleting a tablejump.

Wed Aug  4 01:08:44 1999  Jeffrey A Law  (law@cygnus.com)

        * flow.c (delete_unreachable_blocks): Do not call merge_blocks
        or tidy_fallthru_edge if the last insn in the block is not
        an unconditional jump or a simple conditional jump.

Tue Aug  3 03:51:20 1999  Jeffrey A Law  (law@cygnus.com)

	* cse.c (cse_insn): Fix dumb thinko in last change.

Mon Aug  2 23:45:45 1999  Hans-Peter Nilsson  <hp@bitrange.com>

	* dwarf2out.c (add_location_or_const_value_attribute): Correct
	test for sizes of passed and declared parameter types.

Mon Aug  2 12:45:09 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (override_options): Don't force ALPHA_TP_PROG for ev6.

Mon Aug  2 01:34:22 1999  Jeffrey A Law  (law@cygnus.com)

	* fix-header.c (main): When testing for CONTINUED, use string
	equality, not pointer equality.

Mon Aug  2 01:27:24 1999  Dan Nicolaescu  <dann@ics.uci.edu>

	* sparc.c (sparc_block_profiler): Use the %g2 register, not %o0.

Sun Aug  1 22:46:42 1999  Jeffrey A Law  (law@cygnus.com)

	* cse.c (cse_insn): Fix loop which deletes insns after a jump
	that has become an unconditional jump.

	* m68k.c (output_function_prologue): Fix typo in CPU32 case.
	(output_function_epilogue): Similarly.

	Tue Jul 20 12:37:30 1999  Hans-Peter Nilsson  <hp@bitrange.com>
        * dwarf2out.c (output_abbrev_section): Terminate with a zero.

	Thu Jul 15 15:40:09 1999  Jim Wilson  <wilson@cygnus.com>
	* tree.c (build_type_attribute_variant): Move current_obstack restore
	after build_qualified_type call.

	Fri Jun  4 03:20:40 1999  J"orn Rennecke <amylaar@cygnus.co.uk>
	* sh.c (fixup_addr_diff_vecs): Emit braf reference label.
	(braf_label_ref_operand): Delete.
	* sh.h (PREDICATE_CODES): Remove braf_label_ref_operand.
	* sh.md (casesi_jump_2): Operand1 is now the inside of a
	label_ref, and has no predicate.
	The patten has a predicate to guard against invalid substitutions.
	(dummy_jump): Delete.
	(casesi): Update use of casesi_jump_2.

Thu Jul 31 12:34:45 1999  Joe Buck  <jbuck@synopsys.com>

	* gcc.texi: Use terms "GNU Compiler Collection" and "GCC".
	Also update copyright.

Wed Jul 28 21:39:31 PDT 1999 Jeff Law  (law@cygnus.com)

	* gcc-2.95 Released.

	* verison.c: No longer a prerelease.

Wed Jul 28 13:49:03 1999  Jeffrey A Law  (law@cygnus.com)

	* README: Update.

Sun Jul 25 21:40:33 1999  Jeffrey A Law  (law@cygnus.com)

	* gcc.texi: More changes related to list conversion.
	* invoke.texi: Likewise.

Sat Jul 17 23:58:24 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (insv, extzv): Remove SImode dependence in named
	patterns.  Explicitly generate DImode RTL if PowerPC64 and
	operand is DImode.
	(insvdi): Reverse start and size in instruction template.

1999-07-17  Alexandre Oliva  <oliva@dcc.unicamp.br>
        
	* gcc.texi: Update e-mail addresses and URLs to gcc.gnu.org.
	Removed paragraph about compression of files and size limitation,
	duplicated in the FAQ.  Use gcc-patches for posting patches.
	* gcc.c (main): Updated URL with bug reporting instructions to
	gcc.gnu.org.  Removed e-mail address.
	* system.h (abort): Likewise.

1999-07-17  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* Makefile.in (stmp-multilib-sub): Make the files extracted
	from $(LIBGCC1) writable.

Fri Jul 16 01:39:57 1999  Jeffrey A Law  (law@cygnus.com)

	* m68k.c (output_function_prologue): Fix computation of save mask
	when generating PIC code.

1999-07-12  Joseph S. Myers  <jsm28@cam.ac.uk>

	* invoke.texi: Typo fixes.

Wed Jul 14 23:28:06 1999  Jeffrey A Law  (law@cygnus.com)

	* emit-rtl.c (gen_realpart): Issue an error for cases GCC can not
	handle at this time instead of silently generating incorrect code.
	(gen_imagpart): Likewise.

	* reload.c (find_reloads): Emit a USE for a pseudo register without
	a hard register if we could not create an optional reload for the
	pseudo.

Wed Jul 14 01:57:39 1999  Richard Henderson  <rth@cygnus.com>

	* regclass.c (scan_one_insn): Notice subregs that change the
	size of their operand.
	(record_reg_classes): Use that to obey CLASS_CANNOT_CHANGE_SIZE.

Wed Jul 14 01:37:06 1999  Jeffrey A Law  (law@cygnus.com)

	* configure.in (alpha*-*-*): Include alpha/t-ieee.
	* configure: Rebuilt.
	* alpha/t-ieee: New file.

Tue Jul 13 10:44:14 1999  Jeffrey A Law  (law@cygnus.com)

	Wed Jun 16 20:29:00 1999  J"orn Rennecke <amylaar@cygnus.co.uk>
	* cse.c (cse_insn): Don't put hard register source into tables for
	the last insn of a libcall.

	* rs6000.c (find_addr_reg): Do not select r0 as an address
	register.

Tue Jul 13 00:46:18 1999  Philippe De Muyter  <phdm@macqel.be>

	* m68k/x-mot3300 (XCFLAGS): List of big files now includes `cse.o'.

Mon Jul 12 23:39:08 1999  Jeffrey A Law  (law@cygnus.com)

	* rs6000.md (movsf): Do not force easy FP constants into memory.

Sun Jul 11 11:21:24 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* toplev.c (main): Don't complain about saying -gdwarf.

Fri Jul  9 03:51:52 1999  Jeffrey A Law  (law@cygnus.com)

	* version.c: Drop "gcc-" prefix from version #.

Thu Jul  8 19:15:51 1999  Jim Wilson  <wilson@cygnus.com>

	* unroll.c (unroll_loops): Don't delete named CODE_LABEL or
	NOTE_INSN_DELETED_LABEL note.

Thu Jul  8 14:18:46 1999  Richard Henderson  <rth@cygnus.com>

	* m68k.c (output_function_prologue): Add pic register to mask
	if live and flag_pic.
	(output_function_epilogue): Likewise.

Thu Jul  8 10:28:25 1999  Craig Burley  <craig@jcb-sc.com>

	* invoke.texi (DEC Alpha Options): Put @end table at
	beginning of line, to avoid confusing texi2html.

Wed Jul  7 02:00:04 1999  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* reload1.c (gen_reload): When synthesizing a 3 operand add 
	sequence, improve test for when to reload OP1 into the reload
	register instead of OP0.

Wed Jul  7 01:38:03 1999  Jim Wilson  <wilson@cygnus.com>

	* unroll.c (unroll_loop): Don't delete NOTE_INSN_DELETED_LABEL notes.

1999-07-07  Manfred Hollstein  <mhollstein@cygnus.com>

	* m88k/dguxbcs.h (CPP_SPEC): Add missing \ in multi-line
	string literal.

Wed Jul  7 01:16:43 1999  Richard Henderson  <rth@cygnus.com>

	* ginclude/varargs.h (__builtin_va_alist_t): New typedef.
	(va_dcl): Use __builtin_va_alist_t.

Wed Jul  7 01:13:31 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* dwarf2out.c (gen_struct_or_union_type_die): Only remember types
	on the permanent_obstack.
	* dwarfout.c (output_type): Likewise.

Fri Jul  2 03:05:13 1999  Jeffrey A Law  (law@cygnus.com)

	* dwarfout.c (field_byte_offset): Correctly compute the object's
	byte offset for the first bit of a field which crosses an alignment
	boundary on a !BYTES_BIG_ENDIAN target.

Fri Jul  2 01:36:36 1999  Robert Lipe  <robertlipe@usa.net>

	* fixinc.svr4: Fix <arpa/inet.h> by deleting protos for htons and
	ntohs.

Fri Jul  2 00:46:47 1999  Richard Henderson  <rth@cygnus.com>
			  Jeff Law <law@cygnus.com>

	* ginclude/varargs.h (va_dcl): Use word_mode for type of
	__builtin_va_list.

	* except.c: Include intl.h.
	(expand_eh_return): Set current_function_cannot_inline.
	(save_eh_status, restore_eh_status): Twiddle eh_return_stub_label.
	* function.h (struct function): Add eh_return_stub_label.
	* flow.c (delete_unreachable_blocks): Don't merge across EH edges.
	* Makefile.in (except.o): Depend on intl.h.

Fri Jul  2 00:04:23 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (movdf_hardfloat32): Handle PRE_INC and PRE_DEC the
	same as offsettable in cases 1 and 2.

1999-07-01  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/gnu.h (CPP_SPEC): Define __PIC__ and __pic__ if
	-fPIC or -fpic is specified.

Wed Jun 30 23:56:01 1999  Jeffrey A Law  (law@cygnus.com)

	* expr.c (emit_block_move): Use copy_to_mode_reg for
	!TARGET_MEM_FUNCTIONS case too.

Tue Jun 29 01:37:53 1999  Jeffrey A Law  (law@cygnus.com)

	* mips.md (leasi, leadi): New patterns.

	* expr.c (emit_block_move): Properly handle case where one of the
	block move arguments has a queued increment or decrement.
	(clear_storage): Similarly.  Fix formatting goof.

Mon Jun 28 05:32:09 1999  Jeffrey A Law  (law@cygnus.com)

	* m68k.h (CONDITIONAL_REGISTER_USAGE): Define for !SUN_FPA
	case.  Also make the PIC register call_used.

        * m68k.h (FINALIZE_PIC): Delete.
        * m68k.c (finalize_pic): Delete.

	* m68k.h (CONDITIONAL_REGISTER_USAGE): Make the PIC register fixed
	when -fpic/-fPIC.

Mon Jun 28 05:16:35 1999  Richard Henderson  <rth@cygnus.com>

	* m68k.h (PREFERRED_RELOAD_CLASS): Don't force any FP const_doubles
	to memory.

Mon Jun 28 04:07:27 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.c (output_toc): Always use hex values for floating-point
	constants.  Store single-precision values in upper-half of TOC
	entry in 64-bit mode.
	* rs6000.md (floatsidf2, floatunssidf2): Add !TARGET_POWERPC64
	to final constraints.
	(fix_truncdfsi2 splitter): Change pattern matching fctiwz.
	(fctiwz): Improve accuracy of RTL for pattern.

	* rs6000.c (print_operand, case 'L'): Use plus_constant_for_output.

	* expmed.c (expand_divmod): Ensure unsigned value fits in reg_note.

Fri Jun 25 06:06:37 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.h (MASK_SUPPORT_ARCH, MASK_CPU_EV5, MASK_CPU_EV6): Define
	such that MASK_SUPPORT_ARCH is not negative.

Fri Jun 25 05:35:44 1999  Jeffrey A Law  (law@cygnus.com)

	* loop.c (verify_dominator): Properly handle ADDR_VEC and
	ADDR_DIFF_VEC insns that appear inside loops.

Thu Jun 24 22:54:05 1999  David Edelsohn  <edelsohn@gnu.org>
                          Jeff Law <law@cygnus.com>

	* rs6000.md (movdf_hardfloat32): Revert previous patch.
	Handle LO_SUM the same as offsettable in cases 1 and 2.
	* rs6000.c (find_addr_reg): Revert previous patch.

Thu Jun 24 22:43:12 1999  Philippe De Muyter  <phdm@macqel.be>

	* system.h (strstr): New external function declaration.
	* acconfig.h (NEED_DECLARATION_STRSTR): New define slot.
	* configure.in (GCC_NEED_DECLARATIONS): Check for strstr.
	* config.in, configure: Rebuilt.

1999-06-24  Tom Tromey  <tromey@cygnus.com>

	* gcc.c (main): Read user-specified specs files after computing
	additional startfile_prefixes.

1999-06-24  Bruce Korb <ddsinc09@ix.netcom.com>

	*fixinc/inclhack.def(end_else_label): combined else_label
	and endif_label and fixed the sed expression.
	*fixinc/{fixincl.x|inclhack.sh}: regen

Tue Jun 22 01:58:18 1999  Jeffrey A Law  (law@cygnus.com)

	* rs6000.md (movdf_hardfloat32): Use %X instead of always emitting
	'x' when handling non-offsettable addresses

Tue Jun 22 00:20:05 1999  Richard Earnshaw (rearnsha@arm.com)

	* final.c (shorten_branches): Don't try to split an insn that has
	been deleted.

Mon Jun 21 23:32:17 1999  Jeffrey A Law  (law@cygnus.com)

	Thu Jun 17 15:07 1999  Bruce Korb <ddsinc09@ix.netcom.com>
	* fixincludes: ISCNTL patch

Mon Jun 21 22:15:50 1999  Jeffrey A Law  (law@cygnus.com)

	* rs6000.c (find_addr_reg): Handle LO_SUM addresses.

Mon Jun 21 22:14:05 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (movdf_hardfloat32): Fix typo.

Mon Jun 21 20:10:42 1999  Richard Henderson  <rth@cygnus.com>

	* collect2.c (main): Log frame table count.
	(GCC_OK_SYMBOL) [ECOFF]: Accept stGlobal.
	(scan_prog_file) [COFF]: Handle frame tables.

	* alpha/alpha.h (UNALIGNED_SHORT_ASM_OP): Define.
	(UNALIGNED_INT_ASM_OP, UNALIGNED_DOUBLE_INT_ASM_OP): Define.
	* alpha/elf.h: Undef them again.
	* alpha/vms.h: Remove their definitions.

1999-06-21  Jakub Jelinek  <jj@ultra.linux.cz>

	* real.c (ereal_from_double): Fix for 64-bit big endian hosts.
	* emit-rtl.c (gen_lowpart_common): Add case for hosts where double
	fits in HOST_WIDE_INT and one uses union to access a long constant
	as double.

Mon Jun 21 17:18:25 1999  Richard Henderson  <rth@cygnus.com>

	* sparc.c (sparc_override_options): Don't allow profiling for
	code models other than medlow.
	(sparc_function_profiler): New function from old FUNCTION_PROFILER
	macro.  Use ASM_GENERATE_INTERNAL_LABEL and MCOUNT_FUNCTION.
	(sparc_function_block_profiler): Likewise.  Use user_label_prefix.
	(sparc_block_profiler): Likewise.
	(sparc_function_block_profiler_exit): Likewise.
	* sparc.h (FUNCTION_PROFILER): Call new sparc.c function.
	(FUNCTION_BLOCK_PROFILER): Likewise.
	(BLOCK_PROFILER): Likewise.
	(FUNCTION_BLOCK_PROFILER_EXIT): Likewise.
	(MCOUNT_FUNCTION): New.
	* sparc/pbd.h (FUNCTION_PROFILER): Delete.
	(FUNCTION_BLOCK_PROFILER, BLOCK_PROFILER): Delete.
	* sparc/sun4o3.h (FUNCTION_PROFILER): Delete.
	(MCOUNT_FUNCTION): New.
	* sparc/sysv4.h (FUNCTION_BLOCK_PROFILER): Delete.
	(BLOCK_PROFILER): Delete.
	(MCOUNT_FUNCTION): New.

Mon Jun 21 06:22:21 1999  Mark Elbrecht <snowball3@bigfoot.com>

	* i386/djgpp.h (LIB_SPEC): New.
	(STARTFILE_SPEC): New.

	* i386/xm-djgpp.h (NO_SYS_SIGLIST): Deleted. Now obsolete.

Mon Jun 21 06:19:33 1999  Philippe De Muyter  <phdm@macqel.be>

	* fixinc/Makefile.in (gnu-regex.o): Do not define STDC_HEADERS in
	compiler flags.

	* system.h (WSTOPSIG): New macro.

Mon Jun 21 05:33:15 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* c-pragma.c (push_alignment): Don't ignore alignments greater than
	4 bytes.
	(insert_pack_attributes): Take into account member natural 
	alignment.

	* i386/winnt.c (exports_head): New static variable.
	(i386_pe_record_exported_symbol): New function.
	(i386_pe_asm_file_end): Use.
	* i386/cygwin.h (ASM_OUTPUT_COMMON): Record the exported
	symbols to be emitted at end of assembly.
	(ASM_DECLARE_OBJECT_NAME): Likewise.
	(ASM_DECLARE_FUNCTION_NAME): Likewise.

	* i386/uwin.h (CPP_SPEC): Use -idirafter instead -iprefix and
	-iwithprefix.

Mon Jun 21 05:17:00 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (movdf_hardfloat32): Use worst case insn length
	attributes for cases 1 and 2.

	* rs6000.c (find_addr_reg): New function.
	* rs6000.h (find_addr_reg): Declare.
	(offsettable_addr_operand): Delete.
	* rs6000.md (movdf_hardfloat32): Handle non-offsettable loads
	from and stores to GPRs.

Mon Jun 21 04:44:31 1999  Jeffrey A Law  (law@cygnus.com)

	* sparc.h (LEGITIMIZE_RELOAD_ADDRESS): Fix paren error introduced
	in last change.

Sun Jun 20 17:24:35 1999  Richard Henderson  <rth@cygnus.com>

	* haifa-sched.c (sched_analyze): Don't clear reg_last_uses on calls.

Sat Jun 19 22:52:55 1999  Richard Henderson  <rth@cygnus.com>

	* haifa-sched.c (sched_analyze): Mark call-user regs as clobbered
	instead of set.

Sat Jun 19 05:40:07 1999  Philip Blundell <pb@nexus.co.uk>

	* arm.c (arm_reload_in_hi): Invert sense of test on BYTES_BIG_ENDIAN.

Sat Jun 19 05:25:05 1999  Richard Earnshaw (rearnsha@arm.com)

	* arm.h (CONDITIONAL_REGISTER_USAGE): If flag_pic, never use
	PIC_OFFSET_TABLE_REGNUM for general alloaction.
	(INITIAL_ELIMINATION_OFFSET): Count the fact that the PIC register
	must be stacked if it is used for PIC accesses.
	* arm.c (use_return_insn): Handle PIC register specially.
	(output_return_instruction): Likewise.
	(output_func_{prologue,epilogue}): Likewise.
	(output_expand_prologue): Likewise.

	* arm.c (arm_override_options): Remove warning about PIC code
	not being supported.

Fri Jun 18 15:44:18 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (alpha_expand_block_move): Use get_insns rather than
	gen_sequence as argument to emit_no_conflict_block.

Fri Jun 18 06:48:30 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* fixinc/inclhack.def (ioctl_fix_ctrl): Fix the definition of _*ISCTRL().
	* fixinc/{fixincl.x,inclhack.sh}: regen

Thu Jun 17 13:28:30 1999  David O'Brien <obrien@FreeBSD.org>

	* i386/freebsd-elf.h (LINK_SPEC): Fix typo.

	* i386/freebsd-elf.h (FUNCTION_PROFILER): labels are not needed and
	the reference to `mcount' was not correct for the ELF on FreeBSD.

Thu Jun 17 02:54:30 1999  Jeffrey A Law  (law@cygnus.com)

	* invoke.texi (ia32 options): Fix typo.

	* emit-rtl.c (operand_subword): Tighten checks for when it is safe
	to safe to extract a subword out of a REG.

Wed Jun 16 10:33:02 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* dwarfout.c (add_incomplete_type): New fn.
	(output_type): Call it.
	(retry_incomplete_types): New fn.
	(dwarfout_finish): Call it.

	From Eric Raskin <ehr@listworks.com>:
	(output_type): Output types for bases.

Tue Jun 15 01:55:20 1999  David O'Brien <obrien@FreeBSD.org>

	* i386/freebsd-elf.h (LINK_SPEC): clean up the linking library
	specifications and make it realistic.
	(LIB_SPEC): Likewise.

Mon Jun 14 03:55:40 1999  Jeffrey A Law  (law@cygnus.com)

	* configure.in (rs6000-ibm-aix4.3*, powerpc-ibm-aix4.3*): Do not
	require a sub-version #.
	* configure: Rebuilt.

1999-06-14  Robert Lipe  (robertlipe@usa.net)

	* svr4.h (DWARF2_DEBUGGING_INFO): Check for redefinition.

1999-06-14  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* gcc.texi: Mention gcc 2.95 instead of egcs 1.00.

Sun Jun 13 01:08:02 1999  Mark Mitchell  <mark@codesourcery.com>

	* invoke.texi (node Option Summary): Add -fpermissive flag.

Sat Jun 12 03:40:42 1999  Jeffrey A Law  (law@cygnus.com)

	* sparc.h (LEGITIMIZE_RELOAD_ADDRESS): Do nothing with operands
	that require PIC code sequences.

Fri Jun 11 03:17:51 1999  Jeffrey A Law  (law@cygnus.com)

	* Makefile.in (libgcc2): Pass MAYBE_USE_COLLECT2 as an argument.
	* libgcc2.c (__CTOR_LIST, __DTOR_LIST); Do not provide
	initializers is some circumstances.

	* fixinc/inclhack.def (endif_label): Add additional selector for
	more bogus stuff after #endif statements.
	* fixinc/inclhack.sh, fixinc/fixincl.x: Rebuilt.

Thu Jun 10 20:45:27 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* i386/cygwin.h (SET_ASM_OP): Define.

Thu Jun 10 20:37:57 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* reg-stack.c (stack_reg_life_analysis): Find all the RETURN insns.

Thu Jun 10 14:47:59 1999  Bruce Korb <ddsinc09@ix.netcom.com>

        * fixinc/inclhack.def(sun_auth_proto): We do not know how to
        test for the presence of valid prototypes.  Delete bypass expr.
        (ioctl_fix_ctrl): Correct the selection expression.

	* fixinc/inclhack.def(no_double_slash): fixed quoting rules
	* fixinc/inclhack.sh: regen
	* fixinc/fixincl.x: regen

Thu Jun 10 01:22:59 1999  Jeffrey A Law  (law@cygnus.com)

	* loop.c (strength_reduce): Disable biv->giv translations and
	giv recombination.  For the release branch only.

Wed Jun  9 15:57:57 1999  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* rs6000.md (movsi_got_internal_mem): Delete.
	* rs6000.h (CONDITIONAL_REGISTER_USAGE): Mark PIC_OFFSET_TABLE_REGNUM.
	(GOT_TOC_REGNUM): Delete.
	(PIC_OFFSET_TABLE_REGNUM): Define.
	(FINALIZE_PIC): Disable.
	* rs6000.c (rs6000_got_register): New code for fixed pic register.
	(rs6000_replace_regno): Delete.
	(rs6000_finalize_pic): Likewise.
	(output_prolog): Handle PIC_OFFSET_TABLE_REGNUM.

Wed Jun  9 19:44:26 1999  J"orn Rennecke <amylaar@cygnus.co.uk>

	* loop.c (loop_insn_first_p): Don't compare LUIDs when P
	is a note; use <= for the compare; advance P while it is
	a NOTE.

Wed Jun  9 13:12:24 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/inclhack.def (no_double_slash): Fix quoting for test.
	* fixinc/inclhack.sh, fixinc/fixincl.x, fixinc/fixincl.sh; Rebuilt.

        * varasm.c (remove_from_pending_weak_list): Verify t->name
        is non-NULL before passing it to strcmp.

Wed Jun  9 23:01:17 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* invoke.texi: Add C4x invocation docs.

Wed Jun  9 22:42:49 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.h (TARGET_EXPOSE_LDP, LEGITIMIZE_RELOAD_ADDRESS):
	Define new macros. 
	* config/c4x/c4x.c (c4x_emit_move_sequence, src_operand): Use
	TARGET_EXPOSE_LDP.
	(c4x_legitimize_reload_address): New function.
	* config/c4x/c4x.md: Update docs.

Wed Jun  9 06:50 1999  Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/inclhack.def(sun_auth_proto): bypass the patch if
	the typed arguments are not part of a comment
	(ioctl_fix_ctrl): Added a purpose comment
	* fixinc/fixincl.x: regenerate
	* fixinc/inclhack.sh: regenerate

Wed Jun  9 04:14:48 1999  Jeffrey A Law  (law@cygnus.com)

	* fixincludes: Avoid removing '.'.
	* fixinc/fixinc.svr4: Likewise.
	* fixinc/fixinc.winnt: Likewise.
	* fixinc/inclhack.tpl: Likewise.
	* fixinc/fixincl.sh, fixinc/inclhack.sh: Rebuilt.

Wed Jun  9 03:55:34 1999  Jim Wilson <wilson@cygnus.com>

	* configure.in (rs6000-ibm-aix4.[12]*): Change rx6000 to rs6000.
	* configure: Regenerate.

        * configure.in (rs6000-ibm-aix4.[12]*): Delete use of aix41-gld.h.
        Add use of x-aix41-gld.

1999-06-09  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* fixinc/inclhack.def (sun_catmacro): Escape parens in the select
	pattern.
	* fixinc/fixincl.x, fixinc/inclhack.sh: Rebuilt.

Wed Jun  9 03:10:34 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* c-pragma.c (handle_pragma_token): Handle `#pragma pack()'
	correctly.

Tue Jun  8 05:47:48 1999  Richard Earnshaw (rearnsha@arm.com)

	* optabs.c (expand_cmplxdiv_wide): Use expand_abs to get the absolute
	values.

Mon Jun  7 22:30:37 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/inclhack.def (bad_lval): Remove bogus selector.
	* fixinc/inclhack.sh, fixinc/fixincl.x, fixinc/fixincl.sh; Rebuilt.

	* fixinc/inclhack.def (avoid_bool): Also catch
	"typedef [unsigned] int bool".
	* fixinc/inclhack.sh, fixinc/fixincl.x, fixinc/fixincl.sh: Rebuilt.

	* m68k/x-hp3bsd44: Delete obsolete and incorrect file.
	* configure.in (m68k-hp-bsd4.4): No longer use x-hp3bsd44.
	* configure: Rebuilt.

Mon Jun  7 22:05:03 1999  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/gnu.h: Include <gnu.h> right after <i386/linux.h>,
	such that we can override its definitions if necessary.
	(CPP_SPEC): New define.  Support processor specific predefines via
	%(cpp_cpu).
	(CC1_SPEC): New define.  Support processor specific compiler
	options via %(cc1_cpu).
	(STARTFILE_SPEC): New define.  Use crt0.o instead of crt1.o for
	-static.

1999-06-07  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* fixinc/inclhack.def (math_gcc_ifndefs): Insert whitespace
	between sed's -e flag, and the open-quote following it.
	* fixinc/fixincl.x, fixinc/fixincl.sh: Rebuilt.

Mon Jun  7 20:34:20 1999  Robert Lipe <robertlipe@usa.net>
			  Jeffrey A Law  (law@cygnus.com)

	* varasm.c (assemble_start_function): Remove the function
	from the pending weak decls list when we define a function.
	(assemble_variable): Similarly for variables.
	(weak_finish): Ignore items on the list with a NULL name.
	(remove_from_ending_weak_list); New function to "remove" an item
	from the pending weak declarations list.

Mon Jun  7 19:27:07 1999  Jerry Quinn <jquinn@nortelnetworks.com>

	* pa.md (fmpyfadd, fmpynfadd, fnegabs): New patterns.

Sun Jun  6 11:58:34 1999  Jakub Jelinek  <jj@ultra.linux.cz>

	* sparc.md (abstf2): This should be an expand.
	(split after abstf2_notv9): Fix mode.
	(abstf2_hq_v9): New pattern.
	(abstf2_v9): Only use when no hard quad.
	(absdf2_v9): Fix if target is not the same as source.
	(ashrsi3_extend, ashrsi3_extend2, lshrsi3_extend, lshrsi3_extend2):
	Add correct output constraints.

Sat Jun  5 17:04:16 1999  Craig Burley  <craig@jcb-sc.com>

	From Dave Love to egcs-patches on 20 May 1999 17:38:38 +0100:
	* invoke.texi: Clarify text vis-a-vis Intel CPUs.

Fri Jun  4 13:30:27 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* alpha/osf.h (CPP_SUBTARGET_SPEC): Handle -threads.
	(LIB_SPEC): Likewise.
	Link with -lprof1_r for -g/-pg.

1999-06-04  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* loop.c (check_dbra_loop): Fix change of Jan 19.

Fri Jun  4 00:12:40 1999  Marc Espie <espie@cvs.openbsd.org>

	* freebsd-elf.h (SWITCH_TAKES_ARG):  Redefine, not define.
	(STARTFILE_SPEC):  Define, override the svr4.h version.
	(ENDFILE_SPEC):  Likewise.

Thu Jun  3 23:58:55 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/inclhack.def (limits_ifndefs): Also apply to sys/limits.h
	* fixinc/fixincl.x: Regenerated.
	* fixinc/inclhack.sh: Regenerated.

Thu Jun 3 07:48 1999  Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/inclhack.def(Io_Def_Quotes): corrected sed expression
	* fixinc/fixincl.x: regenerate
	* fixinc/inclhack.sh: regenerate

Thu Jun  3 22:27:50 1999  Robert Lipe  <robertlipe@usa.net>

	* i386/udk.h (LINK_SPEC): Correct linker search path for
	system libraries.

Thu Jun  3 02:15:07 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* dwarf2out.c (add_incomplete_type): New fn.
	(gen_struct_or_union_type_die): Call it.
	(retry_incomplete_types): New fn.
	(dwarf2out_finish): Call it.

Thu Jun  3 01:19:03 1999  Jeffrey A Law  (law@cygnus.com)

	* gcse.c (insert_insn_end_bb): Correct placement of insns when the
	current block starts with a CODE_LABEL and ends with a CALL and
	we can not find all the argument setup instructions for the CALL.

Wed Jun  2 12:25:55 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (override_options): Thinko in last patch.

	* alpha/osf.h (CPP_SUBTARGET_SPEC): Define.
	(LIB_SPEC): Recognize -pthread.

Wed Jun  2 07:07 1999 Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/fixincl.c(global def): Add FD_SHELL_SCRIPT to mark
	fixes that need "file=xxx\n" prepended before invocation
	(start_fixer - new): starting the fixer process is complex enough
	to warrent its own routine.  It prepends the "file=xxx\n" stuff.
	(process): uses the new routine; omit usage of putenv()
	* fixinc/fixincl.tpl: mark shell scripts with FD_SHELL_SCRIPT
	* fixinc/fixincl.x: regenerate

Wed Jun  2 06:36:14 1999  Richard Earnshaw (rearnsha@arm.com)

	* arm.md (zero_extendqidi2): Don't allow operand1 to be a memory
	reference.  Temporary work-around for problems with constant
	pool handling.

Wed Jun  2 02:40:43 1999  Jeffrey A Law  (law@cygnus.com)

        * README, configure.in, gcc.1, gcc.texi: Update name (egcs -> gcc)
        and version #s (1.1 -> 2.95) as needed.
        * README.g77: Kill way out of date file in the toplevel directory.

Wed Jun  2 00:52:34 1999  David O'Brien <obrien@FreeBSD.org>

	* configure.in (i[34567]86-*-freebsdelf): Don't include linux.h,
	i386/freebsd-elf.h no longer requires it.  Instead include svr4.h.
	* configure: Rebuilt.
	* i386/freebsd-elf.h (DEFAULT_VTABLE_THUNKS): Define.
	(ASM_COMMENT_START, ASM_APP_ON, ASM_APP_OFF, SET_ASM_OP): Likewise.
	(PREFERRED_DEBUGGING_TYPE, WCHAR_UNSIGNED): Likewise.
	(SWITCH_TAKES_ARG): Likewise.
	* i386/freebsd.h: Remove FREEBSD_NATIVE support.
	* config/t-freebsd: Moved from config/i386/ so it can used for all
	FreeBSD targets.
	
Mon May 31 02:22:55 1999  Philippe De Muyter  <phdm@macqel.be>

	* m68k/x-mot3300 (XCFLAGS): Fixed to match stb.o, not f/stb.o.

Wed Jun  2 00:08:34 1999  Robert Lipe  <robertlipe@usa.net>

	* configure.in (i[34567]86-*-udk*): Install headers with cpio.
	* configure: Rebuilt.

Wed Jun  2 00:49:00 EDT 1999  John Wehle  (john@feith.com)

	* flow.c (mark_regs_live_at_end, insn_dead_p,
	mark_set_1, mark_used_regs): Only give FRAME_POINTER_REGNUM
	and HARD_FRAME_POINTER_REGNUM special treatment if reload
	hasn't run or the frame pointer is needed.
	* haifa-sched.c (attach_deaths): Likewise.
	* sched.c (attach_deaths): Likewise.

Thu May 27 22:06:52 1999  Mark Mitchell  <mark@codesourcery.com>

	* cccp.c (handle_directive): Handle backslash-newlines in quoted
	strings correctly.

Mon May 31 22:42:02 1999  Jeffrey A Law  (law@cygnus.com)

	* Remove this patch (from the branch only)
	Wed May 26 09:53:05 1999  Mark Mitchell  <mark@codesourcery.com>
        * fold-const.c (fold): STRIP_NOPS when deciding whether or not
	something is a candidate for optimize_bit_field_compare.

Mon May 31 15:23:23 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.md (reload_*_help): New patterns and splitters.
	(reload_*): Use them.
	(mov[qh]i): Likewise.

Mon May 31 09:36:11 1999  Cort Dougan  <cort@cs.nmt.edu>

	* rs6000/linux.h (LINK_SPEC): Use emulation elf32ppclinux.

Sat May 29 19:08:10 1999  Philip Blundell  <philb@gnu.org>

	* config/arm/aout.h (ASM_OUTPUT_ALIGN): Only define if not already 
	defined.
	* config/arm/elf.h (ASM_OUTPUT_ALIGN): Define.
	(MAX_OFILE_ALIGNMENT): Likewise.

Mon May 31 00:45:14 1999  Jeffrey A Law  (law@cygnus.com)

	* jump.c (jump_optimize_1): Only set CAN_REACH_END if 
	calculate_can_reach_end returns nonzero.

	* Makefile.in (CFLAGS): Remove warning flags.
	(WARN_CFLAGS): Disable.

	* configure.in (native gas tests): Search for an assembler in the
	same manner that the installed compiler will.
	* configure: Rebuilt.
	* tm.texi (MD_EXEC_PREFIX): Note need to update configure.in too.

	* alias.c (find_base_term): Improve handling of addresses
	constructed from binary operations.

Sun May 30 14:43:37 1999  Robert Lipe  <robertlipe@usa.net>

	* fixincl.c: Replace local include scheme with #includes of 
	gansidecl.h and system.h.
	* procopen.c:  Likewise.
	* server.c:  Likewise.

Sun May 30 14:18:40 1999  Jeffrey A Law  (law@cygnus.com)

	* function.h (cleanup_label, frame_offset): Declare.
	(tail_recursion_label, tail_recursion_reentry): Likewise.
	(arg_pointer_save_area, rtl_expr_chain): Likewise.
	* stmt.c (cleanup_label, frame_offset): Delete extern declarations.
	(tail_recursion_label, tail_recursion_reentry): Likewise.
	(arg_pointer_save_area, rtl_expr_chain): Likewise.

Fri May 28 03:47:03 1999  Eric Raskin (ehr@listworks.com)

	* i386/t-dgux (EXTRA_PARTS): Add crti.o.
	(crti.o): Add build rule and dependencies.

Fri May 28 03:07:10 1999  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* rs6000/sysv4.h (CC1_SPEC): Add support for -profile
	(LIB_LINUX_SPEC): Likewise.
	(LIB_LINUX_SPEC): Add support for -pthread
	(CPP_OS_LINUX_SPEC): Likewise.
	(CPP_SYSV_SPEC): Avoid redefinitions if both -fpic and -fPIC are
	specified

	* rs6000.c (output_mi_thunk): Enable full support again.

Thu May 27 13:04:52 1999  H.J. Lu  (hjl@gnu.org)

	* i386.c (output_fp_cc0_set): Don't check the JUMP_INSN code for
	conditional move.
	(notice_update_cc, output_float_compare): Enable TARGET_CMOVE support.
	(output_float_compare, output_fp_cc0_set): Fix the FLOAT comparison
	for IEEE math and CC_FCOMI.
	(put_jump_code): No IEEE if CC_FCOMI is set.

1999-05-27  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* fold-const.c (fold_truthop): Make the field reference unsigned
	when converting a single bit compare.

Thu May 27 03:07:13 1999  Philip Blundell  <pb@nexus.co.uk>

	Based on patch by Scott Bambrough and Pat Beirne:
	* config/arm/arm.c (making_const_table): New variable.
	* config/arm/arm.h (making_const_table): Declare.
	(OUTPUT_INT_ADDR_CONST): Mark symbols as position independent if
	appropriate.
	* config/arm/arm.md (consttable_4, consttable_8, consttable_end):
	Keep track of when we are building the constant table.	

Thu May 27 02:52:55 1999  Jeffrey A Law  (law@cygnus.com)

	* varasm.c (STRIP_NAME_ENCODING): Remove default definition.
	* output.h (STRIP_NAME_ENCODING): Strip '*' like the old varasm
	version did.

Thu May 27 02:40:48 1999  J"orn Rennecke <amylaar@cygnus.co.uk>

	* loop.c (strength_reduce): Don't do biv->giv conversion on constants.

Thu May 27 02:09:27 1999  Jeffrey A Law  (law@cygnus.com)

	* reload.c (push_reload): Do not call remove_address_replacements
	when presented with identical optional reloads.

Wed May 26 14:18:05 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.h (MASK_FIX, TARGET_FIX): New.
	(MASK_*): Reorganize constants.
	(CPP_AM_FIX_SPEC): New.
	(TARGET_SWITCHES): Add FIX.
	(EXTRA_SPECS): Likewise.
	(CPP_CPU_EV6_SPEC): Use FIX, not CIX.
	(SECONDARY_MEMORY_NEEDED): Likewise.
	(REGISTER_MOVE_COST): Likewise.
	* alpha.c (override_options): Add FIX support.  Always use 
	ALPHA_TP_PROG for ev6.
	* alpha.md (sqrt and mov[sd]i patterns): Use FIX, not CIX.
	* alpha/elf.h (ASM_FILE_START): Look at FIX too.
	* configure.in (target_cpu_default2) [ev6]: Use FIX, not CIX.

Wed May 26 09:53:05 1999  Mark Mitchell  <mark@codesourcery.com>

        * fold-const.c (fold): STRIP_NOPS when deciding whether or not
	something is a candidate for optimize_bit_field_compare.

Wed May 26 03:54:33 1999  Melissa O'Neill <oneill@cs.sfu.ca>

	* fixinc/fixincl.c: (WIFSIGNALED): Define if not already defined.
	(WTERMSIG, WIFEXITED, WEXITSTATUS, WIFSTOPPED, WSTOPSIG): Likewise.
	(S_IRUSR, S_IWUSR, S_IXUSR, S_IRGRP, S_IWGRP, S_IXGRP): Likewise.
	(S_IROTH, S_IWOTH, S_IXOTH, S_IRWXU, S_IRWXG, S_IRWXO): Likewise.

Wed May 26 02:19:31 1999  Philip Blundell  <pb@nexus.co.uk>

	* arm.h (NEED_PLT_GOT): Fix mistake in last change.
	(GOT_PCREL): New macro.  Define to 1 if not already defined.
	* arm/elf.h (GOT_PCREL): Define to 0.
	* arm.c (arm_finalize_pic): Take into account the setting of
	GOT_PCREL.

Tue May 25 14:06:06 1999  Jeffrey A Law  (law@cygnus.com)

	* output.h (STRIP_NAME_ENCODING): Provide default definition.
	* dwarf2out.c (ASM_NAME_TO_STRING): Use STRIP_NAME_ENCODING.

	* flow.c (mark_set_1): Do not record BLKmode stores as dead
	store elimination candidates.

Mon May 24 14:34:31 1999  Jeffrey A Law  (law@cygnus.com)

	* loop.c (strength_reduce): Do not clear NOT_EVERY_ITERATION at the
	last CODE_LABEL in a loop if we have previously passed a jump
	to the top of the loop.

Mon May 24 01:02:58 1999  Mark Mitchell  <mark@codesourcery.com>

	* stmt.c (expand_end_bindings): Ignore any elements of VARS that
	are not VAR_DECLs.

Sun May 23 20:31:16 1999  Jeffrey A Law  (law@cygnus.com)

	* loop.c (strength_reduce): Grow reg_single_usage as needed.

Sun May 23 10:13:20 1999  David O'Brien <obrien@FreeBSD.org>

	* i386/freebsd-elf.h (LINK_SPEC): Change -static to -Bstatic.
	Also remove a useless comment.

Sun May 23 10:05:23 1999  Jerry Quinn <jquinn@nortelnetworks.com>

	* pa.md (negdf2,negsf2):  Use fneg instead of fsub on pa 2.0.

Sat May 22 01:27:49 1999  Mark Mitchell  <mark@codesourcery.com>

	* expr.h (lang_expand_constant): Guard with #ifdef TREE_CODE.

Thu May 20 10:00:42 1999   Stephen L Moshier  <moshier@world.std.com>

         * Makefile.in (GCC_FOR_TARGET): Add -I$(build_tooldir)/include.
			 
Thu May 20 09:58:57 1999  Jan Hubicka <hubicka@freesoft.cz>

	* function.c (assign_stack_local): Align stack slot propertly.
	(assign_outer_stack_local): Likewise.
 
Thu May 20 10:38:43 1999  Mark Mitchell  <mark@codesourcery.com>

	* expr.h (lang_expand_constant): Declare.
	* toplev.c (lang_expand_constant): Define it.
	* varasm.c (output_constant): Use it.

Thu May 20 11:28:53 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* optabs.c (expand_cmplxdiv_straight, expand_cmplxdiv_wide):
	Change function definitions to K&R style.

Thu May 20 08:15:00 1999  Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/fixincl.c(main): we must not ignore SIGCLD now.

Thu May 20 07:06:39 1999  Alexandre Oliva  <aoliva@acm.org>

	* fixinc/Makefile.in(gnu-regex.o): add $(INCLUDES) to compile options
	* fixinc/fixincl.c(wait_for_pid): K&R-ify arguments
	(several places): omit static initialization
	(process): use single fd, since only the read fd is used
	* fixinc/gnu-regex.c: define 'const' away, if not supported
	* fixinc/procopen.c(several places): omit static initialization
	* fixinc/server.c: define 'volitile' away, if not supported

1999-05-20  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* config/dbxcoff.h (DBX_OUTPUT_MAIN_SOURCE_FILE_END): Use
	asm_fprintf and %L to generate the label name.
	* config/dbxelf.h (DBX_OUTPUT_MAIN_SOURCE_FILE_END): Likewise.
	(ASM_OUTPUT_SOURCE_LINE): Correct generation of internal labels.

Thu May 20 01:40:55 1999  Jeffrey A Law  (law@cygnus.com)

	* jump.c (can_reverse_comparison_p): Do not abort if the comparison
	insn for a conditional jump can not be found.

Wed May 19 23:58:58 1999  Jeffrey A Law  (law@cygnus.com)

	* mips.h (ENCODE_SECTION_INFO): Do not perform GP optimizations
	on variables in specific sections other than .sbss and .sdata.

Tue May 18 11:20:48 1999  Mark Mitchell  <mark@codesourcery.com>

	* stmt.c (expand_return): Call start_cleanup_deferral and
	end_cleanup_deferral around conditional code.

Wed May 19 03:10:08 1999  Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/fixincl.tpl: Avoid depending on ANSI C features for
	filename lists.  Utilizes new AutoGen function "krstr".
	* fixinc/fixincl.x: Rebuilt.

Wed May 19 02:47:11 1999  Jan Hubicka  (hubicka@freesoft.cz)

	* i386.c (output_float_compare): Avoid GNU-C extensions.

Wed May 19 00:50:24 1999  Jeffrey A Law  (law@cygnus.com)

	* version.c: Bump version to gcc-2.95 prerelease.

Tue May 18 03:53:37 1999  Craig Burley  <craig@jcb-sc.com>

	Improve open-coding of complex divide:
	* flags.h: Declare new front-end-malleable flag.
	* toplev.c: Define new flag.
	* optabs.c (expand_cmplxdiv_straight): New function to do original
	open-coding.
	(expand_cmplxdiv_wide): New function to do new open-coding,
	from Toon Moene, with changes (call to emit_barrier, dropping
	of spurious `ok = 1;', plus the obvious `break;' -> `return 0;').
	(expand_binop): A bit of spacing fixing, while at it.
	Use new functions instead of inlining the open-coding code.

Tue May 18 00:51:46 1999  Krister Walfridsson <cato@df.lth.se>

        * configure.in (arm*-*-netbsd*): Use collect2.
        (i[34567]86-*-netbsd*): Likewise.
        (m68k*-*-netbsd*): Likewise.
        (ns32k-*-netbsd*): Likewise.
        (sparc-*-netbsd*): Likewise.
        (vax-*-netbsd*): Likewise.
	* configure: Rebuilt.

Tue May 18 00:21:34 1999  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* cppspec.c: Insert -no-gcc into command line unless -gcc was
	given by user.
	* gcc.c (default_compilers): Define __GNUC__ and
	__GNUC_MINOR__ only if -no-gcc was not given.
	* objc/lang-specs.h: Likewise.
	* cpp.texi: Document -x and -std options; explain that -lang
	is no longer supported.  Minor related corrections.

Mon May 17 23:56:39 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.in (stmp-fixproto): Pass location of mkinstalldirs to
	fixproto.
	* fixproto: Avoid unportable constructs such as `basename' and
	`mkdir -p'.  Use mkinstalldirs from the environment if `mkdir -p'
	fails.

	* fixinc/fixincl.c: Remove #error, it is not portable.

Mon May 17 23:50:41 1999  Marc Espie <espie@cvs.openbsd.org>

	* collect2.c (main):  Fix typo in COLLECT2_HOST_INITIALIZATION.

Mon May 17 19:45:41 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* fixinc/fixincl.c (process): Wait for children from chain_open()
	to avoid creating zombies.

	* fixinc/inclhack.tpl: Removed no-op pipe.

	* fixinc/inclhack.sh fixinc/fixincl.sh: regenerate

Mon May 17 07:23:34 1999  Mark Mitchell  <mark@codesourcery.com>

	* tree.def (TYPE_NONCOPIED_PARTS): Revise documentation to match
        reality.
        * expr.c (init_noncopied_parts): Don't generate initializers for
        parts that don't need them.

Mon May 17 02:56:35 PDT 1999 Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sat Oct 31 05:08:34 CET 1998 Jan Hubicka  (hubicka@freesoft.cz)

	* reg-stack.c: Do not emit pop insns after cc0 setter.
	(emit_pop_insn): Do not emit insn in case WHEN is NULL.
	(compare_for_stack_reg): Update REG_DEAD note and 
	do not emit push insn.

	* i386.c: (output_float_compare): Handle new REG_DEAD notes.

Mon May 17 01:57:37 1999  David Daney <daney@ibw.com.ni>

	* i386/sol2.h (LINK_SPEC): Do not pass "-z text" to the linker
	if -mimpure-text.

1999-05-17  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* m68k.c (standard_68881_constant_p): Don't accept -0.0 as valid
	68881 constant.

	* fold-const.c (fold_truthop): When converting a one-bit
	comparison don't sign extend the constant.

	* cse.c (cse_insn): Copy SRC_CONST before putting it in the
	REG_EQUAL note.

1999-05-17  Mike Stump  <mrs@wrs.com>

	* rs6000/vxppc.h (CPP_SPEC): Fix support for vararg functions.

Sat May 15 14:22:40 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/hackshell.tpl: Fix mis-applied patch.
	* fixinc/inclhack.sh: Regenerated.

Thu May 13 21:05:55 1999  Mark Kettenis  <kettenis@gnu.org>

	* fixinc/mkfixinc.sh: Add the Hurd (*-*-gnu*) to the list of
	targets that do not need any fixes.

Sat May 15 14:12:38 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (set_lo_sum+2): New splitter to load large
	const_ints.

Sat May 15 14:09:08 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (decrement_and_branch_on_count): Disabled.
	(doloop_begin, doloop_end): New patterns.
	(*rptb_init): Added extra operands.

Fri May 14 21:31:36 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (*umulqi3_highpart_clobber): Fix operand 2
 	constraints order.

1999-05-14  Ulrich Drepper  <drepper@cygnus.com>

	* fixinc/fixinc.x86-linux-gnu (FD_ZERO): Fix operand numbers in
	asm input operands.

Thu May 13 15:34:18 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.c (mask_constant): Delete.
	(mask_operand): Move mask_constant() body to here.
	* rs6000.h (mask_constant): Delete declaration.
	* rs6000.md (nabsdi2): Reverse subtraction in splitter.

Thu May 13 02:25:01 1999  Jeffrey A Law  (law@cygnus.com)

	* cpp.texi: Fix some typos.

Thu May 13 01:49:55 1999  Graham Stott <GrahamS@RCP.co.uk>

	* loop.c (maybe_eliminate_biv): Check regno against
	max_reg_before_loop.

	* i386.c (memory_address_info): Correct the scale
	factor test.

Thu May 13 01:31:19 1999  Nick Burrett  <nick.burrett@btinternet.com>

	* arm.md (nop): Backout Apr 27 change. Ensure REGISTER_PREFIX is
	applied to each register.
	* aof.h (ASM_FILE_START): Define register `r0'.

1999-05-12 20:22 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* configure.in: Make --enable-cpp and --with-cpp-install-dir
	documented options.  Enable the cpp driver by default.
	* configure: Rebuilt.

Wed May 12 18:08:48 1999  David Edelsohn     <edelsohn@gnu.org>
			  Richard Henderson  <rth@cygnus.com>

        * rs6000.c (print_operand) [w]: Calculate signed constant more clearly.
        (rs6000_allocate_stack_space): Print as hexadecimal value.
        * rs6000.h (CONST_OK_FOR_LETTER_P): 'L' checks for a signed,
        16-bit shifted constant.  Fix typo for 'P'.
	(EXTRA_CONSTARINT): 'T' checks for a 32-bit mask operand.
	* rs6000.md (movsi, addsi3_internal1, movdi, adddi3_internal1):
	Use 'L' for shifted constant.
	(anddi3_internal3): Fix typo.
	(32-bit mask patterns): Use 'T'.

Wed May 12 07:30:31 1999  Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/fixincl.c(quoted_file_exists): new procedure to ensure that
	a file exists before trying to copy it into the destination
	(extract_quoted_files): use that routine.

Wed May 12 07:27:31 1999  Craig Burley  <craig@jcb-sc.com>

	Allow front end (like g77's) to override maintenance of errno:
	* expr.c (expand_builtin): Bother with errno only if
	flag_errno_math.
	* flags.h: Declare flag_errno_math.
	* toplev.c: Define flag_errno_math.

Tue May 11 23:55:49 1999  Jeffrey A Law  (law@cygnus.com)

	* fixproto: Change "mkdir" calls to "mkdir -p"

	* fixinc/inclhack.def (io_def_quotes): Consistently allow multiple
	whitespace characters between the "define" and the name of the macro.
	* fixinc/fixincl.x, fixinc/inclhack.sh: Rebuilt.

Tue May 11 20:46:37 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (alpha_expand_block_move): Handle TImode registers
	used with ADDRESSOF.
	(alpha_expand_block_clear): Handle ADDRESSOF specially.

1999-05-11  Ulrich Drepper  <drepper@cygnus.com>

	* fixinc/fixinc.x86-linux-gnu (FD_ZERO): Remove unneccessary
	memory output operand which irritates gcc.

Tue May 11 11:45:16 1999  Dave Brolley  <brolley@cygnus.com>

	* toplev.c (documented_lang_options): Add -MD, -MMD, -M and -MM for
	cpplib-enabled compilers.

Tue May 11 11:34:56 1999  Vladimir Makarov  <vmakarov@tofu.to.cygnus.com>

	* config/sparc/sparc.h (GO_IF_LEGITIMATE_ADDRESS): Add parentheses
	around &&.

Mon May 10 13:51:24 1999  Nick Clifton  <nickc@cygnus.com>

	* tm.texi (FUNCTION_ARG): Stack element of PARALLEL must come
	first.

Tue May 11 01:32:01 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/inclhack.def (sun_auth_proto): Apply to all targets.
	(sysz_stdlib_for_sun): Similarly.
	* fixinc/fixincl.x, fixinc/inclhack.sh: Rebuilt.

Mon May 10 20:34:10 1999  Jim Wilson  <wilson@cygnus.com>

	* config/mips/elf.h (UNIQUE_SECTION_P): Undef.
	* config/mips/elf64.h (UNIQUE_SECTION_P): Undef.
	* config/mips/mips.h (UNIQUE_SECTION_P): Define to 0.

1999-05-10 18:21 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* cppfiles.c (initialize_input_buffer): New function.
	(finclude): Call it, if pfile->input_buffer is NULL.  Accept
	any character device as an input file.
	(read_and_prescan): Use pfile->input_buffer and
	pfile->input_speccase.
	* cppinit.c (cpp_cleanup): Free pfile->input_buffer and
	pfile->input_speccase.
	* cpplib.h (cpp_reader): Add input_buffer, input_speccase, and
	input_buffer_len members.  Use memcpy in CPP_PUTS_Q.

	* cppmain.c: Buffer output in the token_buffer; throttle
	number of calls to fwrite; check for errors from fwrite.

1999-05-10 18:21 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* cppspec.c: Treat two non-option arguments as input and
	output file.  Three or more non-option args is an error.
	Clean up.
	* gcc.c (default_compilers): Pass -$ to the preprocessor.
	* objc/lang-specs.h: Likewise.

Mon May 10 12:59:20 1999  Jeffrey A Law  (law@cygnus.com)

	* optabs.c (emit_cmp_and_jump_insns): Handle the case where both
	operands to the comparison are constants.

Mon May 10 07:28:10 1999  Bruce Korb <autogen@autogen.freeservers.com>

	* fixinc/inclhack.def(arm_norcroft_hint): check before fixing
	(no_double_slash): portability
	(math_exception): added reminder comment

Mon May 10 01:28:10 1999  Craig Burley  <craig@jcb-sc.com>

	From Fri May 7  9:31:41 1999 Donn Terry (donn@interix.com):
	* varasm.c (mark_constant_pool): Add some transitive closure.

Sun May  9 22:51:04 1999  Craig Burley  <craig@jcb-sc.com>

	Fix gcc.dg/990506-0.c:
	* c-typeck.c (require_complete_type): Handle ERROR_MARK input.

Sun May  9 13:19:12 1999  Jeffrey A Law  (law@cygnus.com)

	* gcse.c (cprop_insn): Do not try to simplify a simple jump.

Sun May  9 11:12:19 1999  Philip Blundell <bp@nexus.co.uk>

	* config/arm/arm.h (ASM_OUTPUT_MI_THUNK): Add (PLT) to branch if
	necessary.  Reported by jim@federated.com.

Sat May  8 23:05:35 1999  Jeffrey A Law  (law@cygnus.com)

	* pa.h (PRINT_OPERAND_ADDRESS): Output "%r0", not "r0" for the
	base register in an absolute memory address.
	* pa.md (conditional moves): Avoid using immediate zero for
	register zero.

Sat May  8 06:23:21 1999  Philip Blundell  <pb@nexus.co.uk>

	Based on patch by Scott Bambrough:
	* config/arm/arm.h (NEED_PLT_GOT): New macro.  Set to 0 if not
	already defined.
	* config/arm/elf.h (NEED_PLT_GOT): Define to flag_pic.
	* config/arm/arm.md (call_symbol, call_value_symbol et al.): If
	NEED_PLT_GOT is true, add explicit "(PLT)" to generated branches.
	* config/arm/arm.c (output_func_epilogue,
	output_return_instruction): Likewise for calls to abort.

Sat May  8 01:57:58 1999  Donn Terry (donn@interix.com)

	* calls.c (rtx_for_function_call): Extend function pointer being
	passed to chkr_check_exec_libfunc, if needed.

Sat May  8 01:51:50 1999  David Edelsohn  <edelsohn@gnu.org>

	* ginclude/stdarg.h (__va_rounded_size): Use long type for
	rounding on AIX.
	* ginclude/varargs.h: Likewise.

Sat May  8 01:47:20 1999  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* invoke.texi: Remove duplicates in the description of -d
	letters.  Fix use of @item vs. @itemx.

Sat May  8 01:43:02 1999  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* rs6000.h (RS6000_VARARGS_OFFSET): Die die die.
	(CUMULATIVE_ARGS): Remove varargs_offset; update commentary.
	* rs6000.c (setup_incoming_varargs): Fix typo last change.
	(init_cumulative_args): Remove varargs_offset references.

	* rs6000/linux.h (NO_IMPLICIT_EXTERN_C): Define.
	(MD_EXEC_PREFIX, MD_STARTFILE_PREFIX): Undefine.

Sat May  8 01:34:19 1999  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* reload1.c (gen_mode_int): New function.
	(reload_cse_move2add): Use it to generate the new constants.

Sat May  8 01:25:09 1999  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* varasm.c (output_constant): Do nothing if -fsyntax-only.

Fri May  7 19:10:15 1999  Vladimir Makarov  <vmakarov@tofu.to.cygnus.com>

	* sparc.h (GO_IF_LEGITIMATE_ADDRESS): Prohibit REG+REG addressing
 	for TFmode when there are no instructions which accept REG+REG
 	instructions.

Fri May  7 12:38:54 1999  Jim Wilson  <wilson@cygnus.com>

	* mips/elf64.h (MAKE_DECL_ONE_ONLY, UNIQUE_SECTION_P): Define.
	* mips/mips.c (mips_select_rtx_section): When TARGET_MIPS16, use
	function_section instead of text_section.
	* mips/mips.h (ENCODE_SECTION_INFO): Add check for UNIQUE_SECTION_P
	in TARGET_MIPS16 STRING_CST handling.

Fri May  7 09:54:11 1999  Nick Clifton  <nickc@cygnus.com>

	Patch from: Nick Burrett  <nick.burrett@btinternet.com>

	* arm.c (arm_poke_function_name): New function to implement
	-mpoke-function-name.
	* aof.h (ASM_DECLARE_FUNCTION_NAME): Call it.
	* aout.h (ASM_DECLARE_FUNCTION_NAME): Likewise.
	* elf.h (ASM_DECLARE_FUNCTION_NAME): Likewise.
	* arm.h: Prototype it.
	(TARGET_SWITCHES): Add `no-poke-function-name'.

Fri May  7 14:19:31 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* fixinc/server.c (load_data): Cast text_size to long, adapt
	format.
	* fixinc/server.c (read_pipe_timeout): Declare volatile, modified
	in signal handler.
	(sig_handler): Add debug code.
	* fixinc/server.c (run_shell): Don't \-escape cd, it breaks the
	Ultrix V4.3 /bin/sh.
	* fixinc/server.c (def_args): Use static instead of STATIC to
	avoid redefinition error from linker iff DEBUG.

	* fixinc/hackshell.tpl: Don't strip trailing directory from
	DESTDIR - that is already done

	* fixinc/fixincl.c (run_compiles): fix memory leak

Thu May  6 20:34:00 1999  Mark Mitchell  <mark@codesourcery.com>

	* resource.c (mark_referenced_resources): Make volatil
	monotonically increasing.
	(mark_set_resources): Likewise.

Thu May  6 20:02:33 1999  Fred Fish  <fnf@be.com>

	* rs6000/xm-beos.h (HAVE_VPRINTF): Don't redefine if already defined.
	(HAVE_PUTENV, HAVE_ATEXIT, HAVE_RENAME): Likewise.

Wed May  5 20:28:32 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* install.texi (Header Dirs): s/GPLUS/GPLUSPLUS/.

Wed May  5 23:44:15 1999  J"orn Rennecke <amylaar@cygnus.co.uk>

	* unroll.c (copy_loop_body): Don't copy VTOP notes from copy_notes_from.

Wed May  5 16:26:13 1999  Vladimir Makarov  <vmakarov@tofu.to.cygnus.com>

	* function.c (purge_addressof_replacements): Rename into
 	purge_bitfield_addressof_replacements.
	(purge_addressof_replacements): New variable.
	(purge_addressof_1): Add code for changing addressof in notes for
 	field values which are extracted by usage MEM with narrower mode.
	(purge_addressof): Initialize purge_bitfield_addressof_replacements.

Wed May  5 07:40:02 1999  Nick Clifton  <nickc@cygnus.com>

	Patch from: Nick Burrett  <nick.burrett@btinternet.com>
	* config/arm/arm.h (ARM_MCOUNT_NAME): Define.
	(FUNCTION_PROFILER): Remove assembler dialect dependency and use
	ARM_MCOUNT_NAME.
	(TRAMPOLINE_TEMPLATE): Remove assembler dialect dependency.

	* config/arm/aof.h (ARM_MCOUNT_NAME): Define.

1999-05-05 09:58 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* gcc.c (default_compilers): Fix brace nesting bug.
	* objc/lang-specs.h: Use %i, not %g.mi, for the input file
	when processing an .mi file.

Tue May  4 13:17:55 1999  Mark Mitchell  <mark@codesourcery.com>

	* resource.c (mark_set_resources): Handle UNSPEC_VOLATILE,
	ASM_INPUT, TRAP_IF, and ASM_OPERANDS just like in
	mark_referenced_resources.

Mon May  3 22:38:41 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000/aix43.h (SUBTARGET_OVERRIDE_OPTIONS): Change non-PowerPC
	and AIX64 combination to warning.  Add warning for disabling
	PowerPC64 support when using 64-bit mode.
	(LIB_SPEC): Do not link with libg.a in 64-bit mode.
	(LINK_SPEC): Do not export libg.exp symbols in 64-bit mode.
	* rs6000/rs6000.h (MY_ISCOFF): Treat import/export files as valid
	XCOFF files.
	(read_only_data_section, private_data_section,
	read_only_private_data_section): Always align CSECTs to doubleword
	boundary regardless of mode.
	(TEXT_SECTION_ASM_OP): Align text CSECT on doubleword boundary in
	64-bit mode.
	(DATA_SECTION_ASM_OP): Always align CSECT to doubleword boundary.
	(ASM_OUTPUT_LOCAL): Use rounded size in 64-bit mode to
	maintain doublword alignment.

Mon May  3 14:45:23 1999  Jeffrey A Law  (law@cygnus.com)

	* mn10200.md (btst insns): btst does not leave cc0 in a useable
	state for redundant tst eliminatino.
	* mn10300.md (btst insns): Likewise.

Mon May  3 16:14:32 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* mips.h (Pmode): Revert Oct 14th change which added a cast.

Sun May  2 14:02:21 1999  Mark Mitchell  <mark@codesourcery.com>

	* tree.h (struct tree_decl): Add comdat_flag.
	(DECL_COMDAT): Define it.
	* toplev.c (wrapup_global_declarations): Don't output a
	DECL_COMDAT function just because it's public.

Sun May  2 15:16:42 1999  Joseph S. Myers  <jsm28@cam.ac.uk>

	* pdp11.h (TARGET_SWITCHES): Fix error in previous change.
	(ASSEMBLER_DIALECT): Define.
	(CONDITIONAL_REGISTER_USAGE): Rename floating point registers if
	required for the UNIX assembler.
	(ASM_OUTPUT_INT): Remove.  The compiler will synthesise it.
	(ASM_OUTPUT_ADDR_VEC_PROLOGUE): Remove.
	(ASM_OPEN_PAREN, ASM_CLOSE_PAREN): Change to "[" and "]".
	(TRAMPOLINE_TEMPLATE): Use ASM_OUTPUT_SHORT.
	* pdp11.c (output_addr_const_pdp11): Copy of output_addr_const
	adapted to output constants in octal.
	* pdp11.c, pdp11.h, pdp11.md: Use output_addr_const_pdp11 instead
	of output_addr_const.  Output constants in octal.  Use assembler
	dialect alternatives where DEC and UNIX assemblers use different
	instruction names.

Sun May 2 01:15:06 PDT 1999 Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Fri Apr 30 13:55:43 1999  Richard Henderson  <rth@cygnus.com>

	* va-ppc.h (__va_start_common): Let __builtin_saveregs do the work.
	* rs6000.c (expand_builtin_saveregs): For V4, initialize a private
	va_list struct, and return a pointer to it.
	(setup_incoming_varargs): V4 save area based off virtual_stack_vars
	instead of frame_pointer.

Thu Apr 29 23:02:22 1999  Mark Mitchell  <mark@codesourcery.com>

	* emit-rtl.c (start_sequence): Expand comments.
	(start_sequence_for_rtl_expr): Likewise.
	(push_to_sequence): Likewise.
	(end_sequence): Likewise.
	* expr.c (inhibit_defer_pop): Likewise.
	* expr.h (inhibit_defer_pop): Likewise.
	(NO_DEFER_POP): Likewise.
	(OK_DEFER_POP): Likewise.

Thu Apr 29 22:13:46 1999  Robert Lipe  <robertlipe@usa.net>

	* configure.in (i?86-UnixWare7*-sysv): Set thread_file to 'posix'
	--enable-threads[={yes,pthreads,posix}] is passed as a command
	line parameter to configure.
	* config/i386/sysv5.h (LIB_SPEC): Add support for '-pthread'.
	(CPP_SPEC): Likewise.

Thu Apr 29 17:23:59 1999  Richard Henderson  <rth@cygnus.com>

	* emit-rtl.c (operand_subword): Religiously mask and sign-extend
	from 32-bits to HOST_WIDE_INT.

Thu Apr 29 15:58:52 1999  Robert Lipe  <robertlipe@usa.net>

	* fixinc/regex.c, fixinc/regex.h: Removed.   Replace with...
	* fixinc/gnu-regex.c, fixinc/gnu-regex.h: Imported from GDB 4.18.
	* fixinc/Makefile.in (OBJ, HDR): Handle name changes from above.
	(gnu-regex.o): Define REGEX_MALLOC to avoid memory leak.
	* fixinc/fixincl.c: new regex.h header name
	* Makefile.in: new regex.[ch] file names

Thu Apr 29 12:53:33 1999  Richard Henderson  <rth@cygnus.com>

	* calls.c (emit_call_1): Pass rounded_stack_size to emit_call
	instead of the unrounded size.

1999-04-28 14:40 Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/mkfixinc.sh: Makesure the result shell script is writable

Wed Apr 28 10:36:39 1999  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* config/m68k/m68k.md (cmpsi+1): Use cmp.w when comparing a 16 bit
	constant with an address register.

Wed Apr 28 00:14:41 PDT 1999 Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Tue Apr 27 19:50:25 EDT 1999  Andrew MacLeod  <amacleod@cygnus.com>

	* rtl.h (REG_EH_REGION): Update comment to indicate a value of -1
	indicates no throw and no nonlocal gotos.
	* optabs.c (emit_libcall_block): Emit REG_EH_REGION with a value
	of -1 instead of 0 to indicate a nonlocal goto won't happen either.
	* flow.c (count_basic_blocks, find_basic_blocks_1): Ignore libcall
	blocks, look for REG_EH_REGION note exclusively.
	(make_edges): Check for REG_EH_REGION > 0 for specified handlers.

Tue Apr 27 15:33:42 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.h (read_only_data_section, private_data_section,
	read_only_private_data_section, toc_section): Align CSECT on
	doubleword boundary for 64-bit target.
	(DATA_SECTION_ASM_OP): Likewise.
	* rs6000.c (rs6000_stack_info): Leaf procedure stack limit is 288.

Tue Apr 27 20:19:47 1999  J"orn Rennecke <amylaar@cygnus.co.uk>

	* sh.md (insv): Use copy_addr_to_reg.

	* final.c (insn_lengths_max_uid): New variable.
	(init_insn_lengths, shorten_branches): Set it.
	(get_attr_lengths): Test insn uid against insn_lengths_max_uid.

1999-04-27 08:32 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* expr.c (emit_move_insn_1): Abort if MODE argument is invalid.
	(compare): Punt if TREE_OPERAND (exp, 0) is an ERROR_MARK.

Tue Apr 27 01:33:43 1999  Jeffrey A Law  (law@cygnus.com)

	* Makefile.in (ORDINARY_FLAGS_TO_PASS): Renmaed from FLAGS_TO_PASS.
	Remove "CC".
	(FLAGS_TO_PASS): New variable.

Tue Apr 27 00:36:44 1999  Nick Burrett  <nick.burrett@btinternet.com>

	* arm.md (nop): Output instruction using output_asm_insn to fix
	assembler dialect problems.

Mon Apr 26 23:55:50 1999  Robert Lipe  <robertlipe@usa.net>

	* Makefile.in (fixinc.sh): Fix dependencies.

	* fixinc/inclhack.def (avoid_bool): Enable match if typedefs are
	prepended by spaces.
	(sco5_stat_wrappers): New fix.   Make sys/stat.h C++ safe.
	* fixinc/fixincl.sh, fixinc/fixincl.x, fixinc/inclhack.sh: Rebuilt.

Mon Apr 26 23:28:54 1999  Mumit Khan  <khan@xraylith.wisc.edu>
                          Donn Terry  <donn@interix.com>

	* function.c (put_var_into_stack): Change ptr_mode to Pmode
	in setup for chkr_set_right_libfunc calls.
	(assign_params): Likewise.
	* expr.c (emit_push_insn): Change ptr_mode to Pmode in
	setup for chkr_copy_bitmap_libfunc and chkr_set_right_libfunc calls.
	(expand_assignment): Change ptr_mode to Pmode in
	setup for chkr_add_libfunc and chkr_copy_bitmap_libfunc.
	(store_expr): Change ptr_mode to Pmode in
	setup for chkr_add_libfunc and chkr_copy_bitmap_libfunc.
	(expand_expr): Change ptr_mode to Pmode in
	setup for chkr_check_addr_libfunc.
	(expand_builtin): Change ptr_mode to Pmode in
	setup for chkr_check_str_libfunc, chkr_copy_bitmap_libfunc and
	chkr_check_addr_libfunc.
	* calls.c (rtx_for_function_call): Change ptr_mode to Pmode in
	setup for chkr_check_exec_libfunc.
	(expand_call): Change ptr_mode to Pmode in
	setup for chkr_set_right_libfunc.
	(expand_call): Change ptr_mode to Pmode in
	setup for chkr_set_right_libfunc.
	(store_one_arg): Change ptr_mode to Pmode in
	setup for chkr_set_right_libfunc.

        * c-parse.in (absdcl1): Allow attributes in explicit typespecs.
        (%expect): Update.
        * c-parse.y: Regenerate.
        * c-parse.c: Likewise.
        * objc/objc-parse.c: Likewise.
        * objc/objc-parse.y: Likewise.

Mon Apr 26 21:17:41 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* c-pragma.c (push_alignment): Don't ignore alignments greater than
	4 bytes.
	(handle_pragma_token): Likewise.

	* c-pragma.c: Support for #pragma pack (push, <id>, <n>).
	(struct align_stack): Add id field.
	(push_alignment, pop_alignment): Take id parameter.
	(handle_pragma_token): Add necessary states.
	* c-pragma.h (enum pragma_state): Add necessary states.

Tue Apr 27 13:58:23 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (*cmpqf, *cmpqf_noov, *cmpqi_test,
	*cmpqi_test_noov): Remove ? modifier from constraints list.
	(*smulqi3_highpart_clobber, *umulqi3_highpart_clobber): Swap
	output strings to match new constraint ordering.

1999-04-26 19:16 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* cpphash.c (dump_definition): New function.
	* cpphash.h: Prototype it.

	* cpplib.c (handle_directive): Don't output anything here.
	Streamline.
	(pass_thru_directive): Take a length, not a pointer to the
	end.  All callers changed.
	(do_define): Handle -dD, -dN, -g3 entirely here.  Streamline.
	(do_include): Handle -dI here.
	(do_ident): Correct to match cccp.
	(do_pragma): Copy the pragma through here.
	(do_assert, do_unassert): Tidy.

	* cppinit.c (cpp_finish): If -dM was specified, walk the macro
	hash table and call dump_definition on all the entries.
	* cppmain.c: cpp_finish may produce output.

Mon Apr 26 15:27:33 1999  Mark Mitchell  <mark@codesourcery.com>

	* toplev.c (compile_file): Move call to check_global_declarations
	after output_exception_table to restore behavior as it was before
	1999-04-22 change.

1999-04-26 10:50 -0700 Bruce Korb <ddsinc09@ix.netcom.com>

	* fixinc/fixincl.c:  Improve the handling of child process exits
	* fixinc/server.[ch]: Export the interface for shutting down
	the server process
	* fixinc/inclhack.tpl: Remove unnecessary character quote
	* fixinc/fixincl.sh, fixinc/inclhack.sh: Regenerate

Mon Apr 26 10:41:42 EDT 1999  Andrew MacLeod  <amacleod@cygnus.com>

	* alpha.md (builtin_setjmp_receiver): Use a label_ref instead of
	a code label.

1999-04-26 09:47 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* rtl.texi: Document the rtl classes and their relation to
	formats.

Mon Apr 26 01:02:38 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.md (fix_trunc patterns): Use reg_no_subreg_operand on op0
	for less work in reload.
	(movsf and movdf patterns): Put fp reg alternatives first.

Mon Apr 26 01:55:56 1999  Marc Espie  <espie@cvs.openbsd.org>

	* configure.in (openbsd): Factorize xmake_file.
	(ix86 openbsd): Trim obsolete comment.
	(vax openbsd): Fix typo.
	* configure: Rebuilt.

Mon Apr 26 01:30:59 1999 Donn Terry <donn@interix.com>

	* expr.c (expand_assignment): Improve test for pointer type.

Mon Apr 26 00:26:18 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (print_operand_address): Account for the subreg word.

Mon Apr 26 01:08:36 1999  Toshiyasu Morita  (tm@netcom.com)

	* fold-const.c (make_range): Always initialize arg0 and arg1.
	(fold): Similarly for alt0 and alt1.
	* function.c (fixup_var_refs_insns): Initialize insn_list.
	(instantiate_virtual_regs_1): Initialize offset.
	* optabs.c (expand_binop): Initialize carry_in, carry_out, op0_xhigh
	and op1_xhigh.
	* stmt.c (expand_end_case): Initialize minval and maxval.

Mon Apr 26 01:02:34 1999  Nathan Sidwell  <nathan@acm.org>

	* toplev.c (report_error_function): Reorder file stack and
	function name printing.  Ignore FILE parameter.

Mon Apr 26 00:58:54 1999  Jerry Quinn <jquinn@nortelnetworks.com>

	* pa.h (architecture_type): New enum.
	(pa_arch_string, pa_arch): Declare.
	(MASK_PA_10, MASK_PA_20): New flags.
	(TARGET_SWITCHES): Add pa-risc-2-0.  Update docs for PA1.0 codegen.
	(TARGET_OPTIONS): Add -march= option.
	* pa.c (pa_arch, pa_arch_string):  Define.
	(override_options):  Set them.
	* pa/pa-hpux10.h (ASM_FILE_START):  Output LEVEL 2.0 asm directive for
	2.0 architecture.
	* invoke.texi (Option Summary, HPPA Options):  Document new
	architecture flags.

	* pa/pa-hpux.h, pa/pa-hpux10.h, pa/pa-hpux9.h, pa/pa-osf.h, pa.h,
	pa.c, pa.md, configure.in, configure: Replace TARGET_SNAKE by
	TARGET_PA_11 and MASK_SNAKE by MASK_PA_11.

Mon Apr 26 00:28:25 1999  Theodore Papadopoulo <Theodore.Papadopoulo@sophia.inria.fr>

 	* flags.h (inline_max_insns): Declare.
 	* integrate.c (inline_max_insns): New variable.
 	(function_cannot_inline_p): Use it.
 	* toplev.c (main): Add the flag -finline-limit-n.
 	(display_help): Document -finline-limit-n.
 	* invoke.texi: Document -finline-limit-n

Sun Apr 25 23:03:32 1999  Richard Henderson  <rth@cygnus.com>

	* stmt.c (expand_asm_operands): Reload in-out reg-only memory operands.

Sun Apr 25 13:06:13 1999  Richard Henderson  <rth@cygnus.com>

	* function.c (assign_parms/STACK_BYTES): Revert last change,
	and that of 19 Nov.

Sun Apr 25 12:30:50 1999  Richard Henderson  <rth@cygnus.com>

	* calls.c (emit_call_1): New arg rounded_stack_size; update callers.
	Update pending_stack_adjust based on this value.
	(compute_argument_block_size): Include pending_stack_adjust in
	PREFERRED_STACK_BOUNDARY alignment.
	* function.c (assign_parms): Don't round to PREFERRED_STACK_BOUNDARY.

Sun Apr 25 14:38:10 EDT 1999  John Wehle  (john@feith.com)

	* stupid.c (stupid_mark_refs): Generate a REG_UNUSED note
	for a register which is clobbered even if the register
	was used by an earlier instruction.

	* i386.md (fix_truncsfdi2, fix_truncdfdi2,
	fix_truncxfdi2): Don't bother with the gen_reg_RTX.
	(fix_truncsfsi2, fix_truncsfdi2, fix_truncdfsi2,
	fix_truncdfdi2, fix_truncxfsi2, fix_truncxfdi2): Update
	operand constraints and modes.
	* i386.c (output_fix_trunc): Use HImode register to avoid
	memory stalls.  Call output_move_double instead of output_to_reg.
	(output_to_reg): Remove.
	* i386.h: Likewise.

	* i386.md (negsf2, negdf2, negxf2): Set the type
	attribute to fpop.

Sat Apr 24 23:15:57 1999  Donn Terry (donn@interix.com)

	* alpha.md (call_value_nt): Correct subscripts.

Sat Apr 24 20:49:20 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.h (PRINT_OPERAND_ADDRESS): Break out to ...
	* alpha.c (print_operand_address): here.  Handle subregs.

Fri Apr 23 22:35:41 EDT 1999  John Wehle  (john@feith.com)

	* acconfig.h (HAVE_GAS_FILDS_FISTS): Add.
	* configure.in: Check assembler instructions.
	* configure: Rebuild.
	* config.in: Likewise.
	* i386.md (floathisf2, floathidf2, floathixf2): New patterns.
	* i386.c (print_operand): Use the proper suffix for a 387 HImode
	operand.  Abort if a 387 operand has an unsupported size.

Fri Apr 23 16:57:40 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (alpha_write_verstamp): Mark `file' unused.
	* alpha.h (FUNCTION_VALUE): Use gen_rtx_REG not gen_rtx.
	(LIBCALL_VALUE): Likewise.
	(GO_IF_LEGITIMATE_SIMPLE_ADDRESS): Handle normal subregs.

Fri Apr 23 14:57:33 1999  Donn Terry  <donn@interix.com>

	* alpha32.h (INITIALIZE_TRAMPOLINE): Get offsets right.

	* alpha.c (alpha_initialize_trampoline): Add covert_memory_address
	calls as needed.

Fri Apr 23 14:36:47 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (alpha_expand_prologue): Don't negate frame size
	for use with subq.

Fri Apr 23 09:43:18 1999  Nick Clifton  <nickc@cygnus.com>

	* print-rtl.c (print_rtx): Display LABEL_NUSES for labels.

Thu Apr 22 23:08:37 1999  Mark Mitchell  <mark@codesourcery.com>

	* toplev.h (wrapup_global_declarations): Declare.
	(check_global_declarations): Likewise.
	* toplev.c (wrapup_global_declarations): New function, split out
	from ...
	(check_global_declarations): Likewise...
	(compile_file): Here.

Thu Apr 22 22:34:41 1999  Richard Henderson  <rth@cygnus.com>

	* c-parse.in (expr_no_commas): Verify we've an expr before
	calling C_SET_EXP_ORIGINAL_CODE.

Thu Apr 22 22:22:15 EDT 1999  John Wehle  (john@feith.com)

	* toplev.c (rest_of_compilation): Always set
	current_function_uses_only_leaf_regs appropriately.

Thu Apr 22 14:39:43 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* i386/xm-cygwin.h (HAVE_BCOPY): Delete unneeded macro.
	(HAVE_BZERO): Likewise.
	(HAVE_BCMP): Likewise.
	(HAVE_RINDEX): Likewise.
	(HAVE_INDEX): Likewise.
	(DIR_SEPARATOR_2): Define.
	(GET_ENV_PATH_LIST): Turn path lists into POSIX.
	(PATH_SEPARATOR): Use ':'.

1999-04-22 Bruce Korb <ddsinc09@ix.netcom.com>

	* configure.in: enable disabling of fast fixincludes
	* configure: regenerate

1999-04-21 14:55 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* gen-protos.c: #undef abort after including system.h.
	Delete defns of fancy_abort and	fatal.
	* fix-header.c: Delete defn of fancy_abort.

Wed Apr 21 12:09:38 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* cccp.c (simplify_filename): Always preserve leading double slash.

Wed Apr 21 18:15:55 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md: Add new peepholes to remove redundant loads.

Wed Apr 21 17:41:29 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (binary patterns): Reorder alternatives
	so that two operand instructions are chosen before three operand
	instructions.

Tue Apr 20 23:38:58 1999  Nathan Sidwell  <nathan@acm.org>

	* objc/Make-lang.in (objc-parse.c): Put BISON parameters in correct
	order.

	* Makefile.in (c-parse.c): Put BISON parameters in correct
	order.

Tue Apr 20 16:38:11 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.md (nt_lda): New pattern.
	* alpha.c (alpha_expand_prologue): Use it for large frames
	under windows nt.

Tue Apr 20 17:57:14 1999  Catherine Moore  <clm@cygnus.com>

        * config/arm/arm.md (movhi):  Add check for odd offset.

Tue Apr 20 13:14:58 EDT 1999  John Wehle  (john@feith.com)

	* i386.c (output_move_double): Abort if a non-offsettable
	memory operand is encountered.  Delete unused code.
	(find_addr_reg): Remove.

Mon Apr 19 21:13:02 1999  Craig Burley  <craig@jcb-sc.com>

	* tree.def (BLOCK): Fix typo in comment.

1999-04-19 14:51 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* cpplib.c (output_line_command): Drop CONDITIONAL argument.
	We can omit unnecessary line commands if file_change ==
	same_file and pfile->lineno != 0.  All callers changed.
	(cpp_get_token [case '\n']): Don't bump pfile->lineno if
	CPP_OPTIONS (pfile)->no_line_commands is set.
	* cpplib.h: Fix prototype of output_line_command.

1999-04-18 17:46 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* cppfiles.c (find_position, read_and_prescan): Use `unsigned
	long' variables consistently to count line and column numbers.

Sun Apr 18 15:50:33 EDT 1999  John Wehle  (john@feith.com)

	* output.h (current_function_is_leaf,
	current_function_uses_only_leaf_regs): Declare.
	* function.c (current_function_is_leaf,
	current_function_uses_only_leaf_regs): Define.
	(init_function_start): Initialize current_function_is_leaf
	and current_function_uses_only_leaf_regs.
	* final.c (leaf_function): Don't define.
	(final_start_function): Replace uses of leaf_function with
	current_function_uses_only_leaf_regs.
	* toplev.c (rest_of_compilation): Set current_function_is_leaf
	prior to invoking local register allocation.
	(rest_of_compilation): Replace uses of leaf_function with
	current_function_uses_only_leaf_regs.
	* dbxout.c (dbxout_symbol, dbxout_parms): Likewise.
	* dwarf2out.c (add_location_or_const_vaule_attribute): Likewise.
	* dwarfout.c (add_location_or_const_value_attribute): Likewise.
	* sdbout.c (sdbout_symbol): Likewise.
	* sparc.h (FUNCTION_PROLOGUE, FUNCTION_EPILOGUE): Likewise.
	* sparc.c (eligible_for_epilogue_delay, output_return,
	sparc_return_peephole_ok): Likewise.
	* sparc.md (leaf_function attribute, untyped_return): Likewise.
	* i386.c (ix86_compute_frame_size): Don't align the stack
	for leaf functions which don't allocate any stack slots.
	* tm.texi: Update documentation.

Sun Apr 18 02:15:09 PDT 1999 Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sun Apr 18 00:08:45 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.h (GO_IF_LEGITIMATE_SIMPLE_ADDRESS): Correct last change --
	make sure FP_BASE_P registers are only used with an integer.

Sat Apr 17 22:54:17 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.h (REG_OK_FP_BASE_P): New macro.
	(GO_IF_LEGITIMATE_SIMPLE_ADDRESS): Use it.
	* alpha.md (adddi3+1): New insn to handle large constants off
	the soft frame pointer.
	(adddi3+2): Don't split soft frame pointer or arg pointer additions.

Sun Apr 18 17:24:10 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.c (legitimize_operands): Use rtx_cost
	to determine if it is worthwhile forcing a constant into a register.
	* config/c4x/c4x.h (CONST_COSTS): An integer value of 255 or 65535
	used with a logical and or an integer value of 16 or 24 used with
	a right shift has zero cost on the C40.

Sat Apr 17 21:30:11 1999  Bernd Schmidt <crux@pool.informatik.rwth-aachen.de>

	* gcse.c (compute_local_properties): If setp is nonzero, clear
	TRANSP instead of setting it to all ones.

Sat Apr 17 21:10:10 1999  Jan Hubicka <hubicka@freesoft.cz>

        * i386.c (i386_preferred_stack_boundary_string): New global variable.
        (i386_preferred_stack_boundary): New global variable.
        (override_functions): Set it.  Tidy option setting code.
        * i386.h (TARGET_OPTIONS): New command line option.
        (i386_preferred_stack_boundary_string): Declare it.
        (i386_preferred_stack_boundary): Likewise.
        (PREFERRED_STACK_BOUNDARY): Use i386_preferred_stack_boundary.

Sat Apr 17 19:22:38 1999  Jan Hubicka <hubicka@freesoft.cz>

	* i386.c (k6_cost): Take into account the decoding time.

Sat Apr 17 19:13:22 1999  Donn Terry  <donn@interix.com>

        * i386.h (PRINT_OPERAND_PUNCT_VALID_P): Allow _.
        * i386.c (print_operand): New %_ operator.
	(load_pic_register): Proper number of leading _ in GOT literal.
        * i386.md (prologue_get_pc_and_set_got): Likewise.
        * i386/unix.h (ASM_OUTPUT_MI_THUNK): Likewise.

Sat Apr 17 19:13:07 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (alpha_expand_prologue): Use gen_adddi3 instead of
	emit_move_insn+plus_constant.  For NT, don't use the stack probe
	loop pointer to allocate stack space.
	* alpha.md (adddi3): Always use lda to set the stack pointer.

1999-04-17 20:11 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* c-aux-info.c, emit-rtl.c, explow.c, expmed.c, gcse.c,
	haifa-sched.c, optabs.c, reorg.c, resource.c, sched.c: Include
	toplev.h for real declaration of trim_filename.
	* Makefile.in: Update dependencies.

Sat Apr 17 14:36:19 1999  Craig Burley  <craig@jcb-sc.com>

	* tree.c (chainon): Check for circularity only if
	ENABLE_CHECKING is defined.

1999-04-17 10:15 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* cccp.c: Make fatal non-static.

Sat Apr 17 23:47:24 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (*andqi3_255_clobber,*andqi3_65535_clobber):
	New logical and patterns using C40 bit-field insert instructions.
	(*lshrqi3_24_clobber,*ashrqi3_24_clobber,*lshrqi3_16_clobber,
	*ashrqi3_16_clobber): New shift patterns using C40 bit-field insert
	instructions.

1999-04-16 22:44 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* system.h: Always prototype abort.  Prototype fatal.  Define
	abort to call fatal, not fprintf/exit.  Define a stub macro
	for trim_filename.
	* toplev.c: Define DIR_SEPARATOR.  (trim_filename): New
	function.
	* toplev.h: Prototype trim_filename, and #undef system.h's stub.

	* gcc.c, genattr.c, genattrtab.c, gencodes.c, genconfig.c,
	genemit.c, genextract.c, genflags.c, genopinit.c, genoutput.c,
	genpeep.c, genrecog.c: Make fatal non-static.
	* gcov.c, gengenrtl.c, protoize.c: #undef abort after
	including system.h.

	* config/i386/dgux.h, config/m68k/xm-amix.h: Remove stale code
	relating to abort.

Sat Apr 17 11:25:44 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (mulqf3_clrqf_clobber, mulqi3_clrqi_clobber):
	New patterns to support parallel multiply and load of zero.

Fri Apr 16 01:23:47 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* tree.c (valid_machine_attribute): If we're modifying the
	FUNCTION_TYPE within a POINTER_TYPE and we don't get a decl,
	update the POINTER_TYPE.

Fri Apr 16 00:19:31 1999  Jan Hubicka <hubicka@freesoft.cz>

	* i386.c (x86_adjust_cost): Move break statement to correct place.

Thu Apr 15 23:17:33 1999  Jerry Quinn <jquinn@nortelnetworks.com>

	* pa.h (HAVE_PRE_INCREMENT, HAVE_POST_INCREMENT,
	HAVE_PRE_DECREMENT, HAVE_POST_DECREMENT): Fix pa_cpu value from
	8000 to PROCESSOR_8000.

Thu Apr 15 20:46:57 1999  Donn Terry (donn@interix.com)

	* expr.c (expand_assignment): Force pointers to proper mode if
	POINTERS_EXTEND_UNSIGNED is defined.

	* xm-alpha.h (alloca.h): Add Interix to list of special machines
	that don't like alloca.h, pending using autoconf results.

	* except.c (start_catch_hadler): Be sure rtime_address is Pmode
	if POINTERS_EXTEND_UNSIGNED.

	* except.c (expand_eh_return): Force pointers to proper mode if
	POINTERS_EXTEND_UNSIGNED.

Thu Apr 15 23:13:35 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.h:  Tweaked comment formatting.
	* config/c4x/c4x.c:  Likewise.

Thu Apr 15 02:45:19 1999  Mumit Khan  <khan@xraylith.wisc.edu>

        * aclocal.m4 (GCC_FUNC_MKDIR_TAKES_ONE_ARG): Define.
        * configure.in: Use.
        * configure: Rebuilt.
        * acconfig.h (MKDIR_TAKES_ONE_ARG): Add.
        * config.in: Rebuilt.
        * system.h: Use.

Thu Apr 15 01:03:21 1999  Jan Hubicka <hubicka@freesoft.cz>
			  Jeff Law <law@cygnus.com>

	* i386.md (QImode add pattern): Support lea instruction.
	(HImode add pattern): Likewise.

	* i386.md (ashlsi patterns): Call output_ashl instead of output_ashlsi3.
	(ashlqi): Use expander, separate LEA and SAL / ADD patterns; call
	output_ashl.
	(ashlhi): Likewise.
	* i386.h (output_ashl): Renamed from output_ashlsi3.
	* i386.c (output_ashl): Likewise; support HImode and QImode operands
	as well.

	* i386.md (notsi, nothi, xorsi, xorhi, and xorqi patterns): Call
	memory_address_displacement_length instead of memory_address_length.
	* i386.c (memory_address_info): Renamed from memory_address_length.
	Accept new argument DISP_LENGTH.  All callers changed.  If DISP_LENGTH,
	then return the displacement length.  Else return length of the
	entire memory address.  Handle MULT case correctly.
	* i386.h (memory_address_info): Update declaration.

	* i386.md (memory_bit_test): Fix paren error.

Wed Apr 14 21:29:18 1999  Andrew Haley  <aph@cygnus.com>

	* flow.c: (make_edges): Always make edges from a basic block
	to its exception handlers, even if the block ends with a jump.

1999-04-14 23:26 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* graph.c (node_data): Return void.  Ignore result of
	print_rtl_single.  Change caller to match.
	* integrate.c (subst_constants): Initialize op0_mode to an
	invalid mode, and abort before use if it's still invalid.
	(Can only happen if the RTX_CLASS, RTX_FORMAT tables are corrupted.)
	* objc/objc-act.c (get_objc_string_decl,
	build_selector_translation_table, generate_protocol_list,
	synth_id_with_class_suffix, build_keyword_selector,
	build_selector_expr, gen_declarator): Abort when the tree
	structure is corrupted.

Wed Apr 14 19:57:49 1999  Jeffrey A Law  (law@cygnus.com)

	* configure.in (alpha interix): Use symbolic names to set
	target_cpu_default.
	* configure: Rebuilt.

	* explow.c (allocate_dynamic_stack_space): Undo last change.  Use
	convert_memory_address instead.

Wed Apr 14 19:42:02 1999  Donn Terry (donn@interix.com)

	* alpha/lib1funcs.asm: New file.
	* alpha/t-interix (lib1funcs.asm): Add to build.

	* explow.c (allocate_dynamic_stack_space): Correctly convert TARGET
	to Pmode.

Wed Apr 14 14:26:36 1999  John Wehle  (john@feith.com)

	* i386.md (truncxfdf): Output the template supplied
	by output_move_double with the correct operands.

	* i386.md (extendsfdf, extendsfxf, extenddfxf): Use
	output_float_extend instead specifying '#' as the template.
	* i386.c (output_float_extend): Define.
	* i386.h (output_float_extend): Declare.

Wed Apr 14 10:48:03 1999  Catherine Moore  <clm@cygnus.com>

	* config/mips/elf.h, config/mips/elf64.h
	(CTORS_SECTION_ASM_OP): Define.
	(DTORS_SECTION_ASM_OP): Define.
	(EXTRA_SECTIONS): Define.
	(INVOKE__main): Define.
	(NAME__MAIN): Define.
	(SYMBOL__MAIN): Define.
	(EXTRA_SECTIONS_FUNCTIONS): Define.
	(SECTION_FUNCTION_TEMPLATE): Define.
	(ASM_OUTPUT_CONSTRUCTOR): Define.
	(ASM_OUTPUT_DESTRUCTOR): Define.
	(CTOR_LIST_BEGIN): Define.
	(CTOR_LIST_END): Define.
	(DTOR_LIST_BEGIN): Define.
	(DTOR_LIST_END): Define.
	(LIB_SPEC): Define.
	(STARTFILE_SPEC): Define.
	(ENDFILE_SPEC): Define.
	* config/mips/linux.h:  Undefine all of the above.
	* config/mips/rtems64.h: Likewise.
	* config/mips/t-r3900: Likewise.
	* config/mips/t-elf: New file.
	* config/mips/vxworks.h: New file.
	* configure.in (mips-wrs-vxworks): Use mips/vxworks.h.
	(mips*-*-*elf*):  Use t-elf instead of t-ecoff.
	* configure: Regenerate.

Wed Apr 14 09:59:38 1999  Richard Henderson  <rth@cygnus.com>

	* reload1.c (emit_reload_insns): Also find equivalent mems
	for subregs of pseudos.

	* alpha.c (aligned_memory_operand): Recognize the output of
	LEGITIMIZE_RELOAD_ADDRESS.  Examine reg_equiv_memory_loc in
	the event of a pseudo.
	(unaligned_memory_operand): Likewise.  Don't otherwise accept
	completely illegal addresses.
	(normal_memory_operand): Likewise.  Handle subregs of pseudos.
	(get_aligned_mem): Revert previous change.  Abort if we don't have a
	mem.  During reload, call find_replacement on all illegal memories.
	(get_unaligned_address): Likewise.
	* alpha.h (SECONDARY_INPUT_RELOAD_CLASS): Use !aligned_memory_operand
	instead of unaligned_memory_operand.
	* alpha.md: Revert extra argument to get_aligned_mem.
	(reload_inqi): Use any_memory_operand in constraints.  Abort if
	we're not given some sort of mem.
	(reload_inhi): Likewise.
	(reload_outqi, reload_outhi): Likewise.

Wed Apr 14 09:39:20 1999  Richard Henderson  <rth@cygnus.com>

	* i386.md (neghi): Use the whole register when widening the op.

1999-04-14 12:37 -0400  Zack Weinberg  <zack@rabi.columbia.edu>

	* cpperror.c, cppexp.c, cpplib.c: Never call abort.
	* cpphash.c: Only call abort when we detect corruption of the
	malloc arena.
	* cppmain.c: Don't define fatal or fancy_abort.

Wed Apr 14 09:19:39 1999  Jan Hubicka <hubicka@freesoft.cz>

	* i386.c (x86_adjust_cost): Agi stall takes 1 cycle on Pentium, fst
	requires value to be ready one extra cycle.

Wed Apr 14 11:28:34 1999  Dave Brolley  <brolley@cygnus.com>

	* config/i386/i386.c (memory_address_length): Add missing parenthesis.

Wed Apr 14 13:59:27 1999  Martin von Loewis  <loewis@informatik.hu-berlin.de>

	* extend.texi (Deprecated Features): New node.
	* invoke.texi (-Wdeprecated): Document.

Wed Apr 14 00:18:22 1999  Jan Hubicka <hubicka@freesoft.cz>

	* i386.md (SImode logical compare): Avoid outputing non-pariable testw
	and testl on Pentium.
	(register and memory bit tests): Likewise.
	(setcc, normal and reversed conditional branches): Use shorter
	sequence for testing flags stored in EAX.

	* i386.md (xorsi3): Do not output NOT instrctions on Pentium.
	(xorqi3): Likewise.
	(xorhi3): Likewise.
	(notsi2): Likewise.
	(notqi2): Likewise.
	(nothi2): Likewise; do not output prefixed opcodes when possible.

	* i386.md (neghi2): Do not output prefixed opcode when possible.
	(ashlhi3): Likewise.

Wed Apr 14 00:08:46 1999  Richard Henderson  <rth@cygnus.com>

	* i386.c (memory_address_length): New function.
	* i386.h (memory_address_length): Declare it.

Tue Apr 13 22:52:04 1999  Donn Terry (donn@interix.com)
			  Martin Heller (Ing.-Buero_Heller@t-online.de)

	* configure.in (interix Alpha): Add.
	(winnt Alpha): Use alpha32.h
	(interix i386): Parallel Alpha32.
	* configure: Rebuilt.

	* config/interix.h: Move common elements from i386-interix.h.
	* config/i386/i386-interix.h: Delete same.
	* config/alpha/alpha-interix.h: New file.

	* config/alpha/alpha32.h: New file, part fron win-nt.h.
	* config/alpha/win-nt.h: Deletions (-> alpha32.h).
	* config/alpha/interix.h: New file

	* config/alpha/alpha.md (interix): Comment.

	* config/alpha/xm-alpha-interix.h: New file.

	* config/alpha/t-interix: New file.

	* fixinc/mkfixinc.sh (interix/Alpha): Add.

1999-04-13  Mike Stump  <mrs@wrs.com>

	* i386/vxi386.h (CPP_CPU_SPEC): Define appropriately for vxworks.
	(CPP_PREDEFINES, LIB_SPEC, STARTFILE_SPEC, ENDFILE_SPEC): likewise.

Tue Apr 13 21:01:36 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* c-common.c (default_valid_lang_attribute): New fn.
	(valid_lang_attribute): New callback ptr.
	(decl_attributes): Call it.  Move init_priority support into
	C++ frontend.

Tue Apr 13 17:47:14 1999  John Wehle  (john@feith.com)

	* i386.md (movdi): Add splitter.

Wed Apr 14 10:04:27 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (storeqf_int, storeqf_int_clobber, loadqf_int,
	loadqf_int_clobber): Add new patterns with corresponding splitters
	to handle moves of floating point values into and out of intager
	registers by using memory.

	* config/c4x/c4x.c (c4x_check_legit_addr): Disallow PRE_INC for modes
	other than QFmode and QImode.
	(mixed_subreg_operand): New function.
	(c4x_emit_move_sequence): If moving a floating point value into or
	out of an integer register, use the new patterns storeqf_int_clobber
	or loadqf_int_clobber.
	(reg_imm_operand, *_reg_operand): Call reg_operand instead of
	register_operand.
	(reg_operand, src_operand): Disallow operand if it satisifes
	mixed_subreg_operand.

	* config/c4x/c4x.h (mixed_subreg_operand): Add prototype.

Tue Apr 13 14:49:13 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* i386.c (agi_dependent): Handle push operation more correctly.

Tue Apr 13 14:45:17 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* i386.md (anddi3): Add % constraint.
	(iordi3, xordi3): Likewise.

Tue Apr 13 14:29:58 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* i386.md (extendhisi2): Output mov instead of cw instruction for K6
	to improve decoding bandwidth.
	* i386.md (extendhiqi2): Likewise.

Tue Apr 13 14:26:31 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* i386.md (movsf_push): Handle memory to memory case too, new splitter.
	(movdf_push, movxf_push): Likewise.
	(movsf_push_memory, movdf_push_memory, movxf_push_memory): Remove.

Tue Apr 13 14:14:06 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* i386.md: Do not output mov %0,reg on AMD K6.

Tue Apr 13 12:14:07 1999  Dave Brolley  <brolley@cygnus.com>

	* cppinit.c (cpp_start_read): Fix buffer overwrite.
	* Makefile.in (cppinit.o): Typo in dependencies.

Tue Apr 13 05:04:59 1999  Richard Earnshaw  (rearnsha@arm.com)

	* arm.h (function prototypes for arm.c): Ifdef these out if
	HAVE_CONFIG_H is not defined.

Tue Apr 13 02:11:11 1999  Jeffrey A Law  (law@cygnus.com)

	* pa.c: Avoid Using immediate zero for register zero.
	* pa.md: Likewise.

	* pa.c (print_operand, case 'f'): New case for FP register or 0.0.
	(print_operand, case 'r'): Use %r0 for zero value.
	* pa.md (move patterns, fcmp patterns): Use new %f output arg.

	* pa.c: Use a register name, not a raw immediate in branch,
	compare/clear, sub, subb, uaddcm and vshd instructions.
	* pa.md: Likewise.

	* pa.md, pa.h, ee.asm, ee_fp.asm, lib2funcs.asm: Likewise.

	* pa.c: Use a register name, not a raw immediate in "bv" instructions.
	* pa.md, pa.h, ee.asm, ee_fp.asm, lib2funcs.asm: Likewise.

	* pa.c: Remove space register specification in memory addresses,
	except where it is actually needed.
	* pa.md, pa.h, ee.asm, ee_fp.asm, lib2funcs.asm: Likewise.

Mon Apr 12 23:34:35 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Mon Apr 12 14:58:30 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* reg-stack.c (check_stack_regs_mentioned): Remove variable SIZE.

Mon Apr 12 19:15:17 1999  Daniel Jacobowitz  <dan@debian.org>

	* rs6000/sysv4.h (CPP_OS_LINUX_SPEC): Add missing backslash.

Mon Apr 12 19:11:38 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* i386/cygwin.h (SUBTARGET_SWITCHES): Add -mconsole; fix
	-mno-nop-fun-dllimport and minor doc fixes.
	(STARTFILE_SPEC): Cygwin DLLs don't have dllcrt0.
	(LINK_SPEC): Add -mconsole support.
	* i386/mingw32.h (LIB_SPEC): Make libraries consistent with
	Cygwin.
	(LINK_SPEC): Remove. Use Cygwin's version.
	(MATH_LIBRARY): Make it null.
	* i386/crtdll.h (MATH_LIBRARY): Likewise.

Fri Apr 12 15:00:52 1999  Stan Cox  <scox@cygnus.com>

	* c-decl.c (c_decode_option, start_decl, start_function,
	finish_function) : Recognize -Wno-main so we can avoid warnings.

1999-04-12  Zack Weinberg  <zack@rabi.columbia.edu>

	* cpphash.c (collect_expansion, macroexpand,
	push_macro_expansion): Make the escape character in macro
	buffers '\r', not '@'.  Remove code to protect literal
	occurences of the escape character; '\r' cannot appear
	in a macro buffer unless we put it there.
	* cpplib.c (skip_comment, copy_comment, cpp_skip_hspace,
	copy_rest_of_line, cpp_get_token, parse_string,
	parse_assertion): '\r' might be a backslash-newline marker, or
	it might be a macro escape marker, depending on
	CPP_BUFFER (pfile)->has_escapes.  '@' is not a special
	character.
	* cpplib.h: Update commentary.

Mon Apr 12 09:30:03 1999  Richard Earnshaw  (rearnsha@arm.com)

	* arm.h (target_fp_name, structure_size_string, arm_cpu_select):
	Const-ify.
	* arm.c (target_fp_name, structure_size_string): Const-ify.

	* arm.md (reload_inhi, reload_outhi): Make the scratch DImode.
	* arm.c (arm_reload_in_hi): Handle cases when the input is still
	a pseudo, make use of scratch registers for reloading the address
	as appropriate.
	(arm_reload_outhi): Similarly for when the output is still a pseudo.

	* riscix.h (SUBTARGET_SWITCHES): Document.

1999-04-12  Bruce Korb  <ddsinc09@ix.netcom.com>

	* fixincludes:
	make fixincludes behave like the scripts in fixinc/

	* Makefile.in( stmp-fixinc ):
	ensure the SHELL value is that of the make

	* fixincl/inclhack.tpl:
	the file name lists ought to be restricted to "*.h" anyway
	C++ files may be named .../[a-z]++/... also
	Adding copyright year and attribution to output

	* fixincl/inclhack.def:
	fixed broken expression
	Clarify a some comments

	* fixincl/fixincl.tpl:
	Clarify a some comments
	Remove dead template text
	Correct the counting of regular expressions

Mon Apr 12 03:07:44 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (aligned_memory_operand): Handle out of range stack slots.
	Take a new SCRATCH argument for the occasion.  Update all callers.
	(get_unaligned_address): Abort on out of range stack slots.
	* alpha.md (adddi3 splitter): Check s_p_rtx not REGNO.
	(reload_inqi): Check for aligned mems before unaligned.
	(reload_inhi): Likewise.

Mon Apr 12 03:11:30 1999  Jeffrey A Law  (law@cygnus.com)

	* flow.c (flow_delete_insn): If we delete a CODE_LABEL, also remove
	it from the nonlocal_goto_handler_labels list.
	* jump.c (delete_insn): Likewise.
	(jump_optimize_1): Also recompute LABEL_NUSES when we are just
	marking labels.
	* rtl.h (remove_node_from_expr_list): Declare.
	* rtlanal.c (remove_node_from_expr_list): New function.

Mon Apr 12 02:37:02 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* reg-stack.c: Update comment, include varray.h.
	(stack_regs_mentioned_data): New global variable.
	(check_stack_regs_mentioned): New function.
	(stack_regs_mentioned): New function.
	(reg_to_stack): Initialize and free stack_regs_mentioned_data,
	use stack_regs_mentioned.
	(record_asm_reg_life): Change insn type cache for changed insn.
	(record_reg_life): Do not change the insn mode.
	(emit_pop_insn): Likewise.
	(emit_swap_insn): Likewise.
	(move_for_stack_reg): Likewise.
	(stack_reg_life_analysis): Use stack_regs_mentioned.
	(emit_swap_insn): Likewise.
	(subst_stack_regs): Likewise.
	(convert_regs): Likewise.
	* jump.c (find_cross_jump): Use stack_regs_mentioned.
	* rtl.h (stack_regs_mentioned): Declare.

Mon Apr 12 00:57:10 1999  Theodore Papadopoulo  <Theodore.Papadopoulo@sophia.inria.fr>

	* integrate.c (INTEGRATE_THRESHOLD): Sync it with the comment.

Sun Apr 11 10:24:18 1999  Mark Mitchell  <mark@codesourcery.com>

	* rtl.h (rtx_def): Update documentation for jump and call.

Sun Apr 11 07:43:44 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* jump.c (jump_optimize_1): Make the definition static to match
	the prototype.

Sat Apr 10 22:51:53 1999  Jan Hubicka  <hubicka@limax.paru.cas.cz>

	* flow.c (life_analysis): New parameter remove_dead_code.
	(life_analysis_1): Likewise.
	(propagate_block): Likewise; use it.
	* output.h: Update prototype.
	* toplev.c: Update calls to life_analysis.

Sat Apr 10 22:12:12 1999  Jan Hubicka  <hubicka@freesoft.cz>

	* recog.c (constrain_operands): Ignore unary operators when
	matching operands.  Recognize '5'..'9' as well.

Sat Apr 10 21:53:02 1999  Philipp Thomas  (kthomas@gwdg.de)
			  Richard Henderson  <rth@cygnus.com>

	* configure.in: Set target_cpu_default2 for target_alias k6.
	* i386.h (TARGET_SWITCHES): Remove no-<cpu> entries.
	(CC1_CPU_SPEC): Likewise.
	(CPP_CPU_DEFAULT_SPEC): Streamline definition.  Add K6 version.
	(CPP_K6_SPEC): New.
	(CPP_CPU_SPEC): Add K6 variant.
	(EXTRA_SPECS): Likewise.

Fri Apr  9 11:29:17 1999  Richard Henderson  <rth@cygnus.com>

	* flow.c (merge_blocks_nomove): Rewrite to properly handle two
	blocks that vanish entirely during merging.

Sat Apr 10 20:09:55 1999  John Wehle  (john@feith.com)

	* i386.md (floatsisf2, floatdisf2, floatsidf2, floatdidf2,
	floatsixf2, floatdixf2, movsicc, movhicc, movsfcc, movdfcc,
	movxfcc, movdicc): Remove unused register constraints from
	the splitters.

	* i386.md (fixuns_truncsfsi2, fixuns_truncdfsi2,
	fixuns_truncxfsi2): Delete.

	* reg-stack.c (delete_insn_for_stacker): Ensure that
	the only side effects of a PARALLEL are clobbers.
	(subst_stack_regs): Handle subst_stack_regs_pat deleting
	a PARALLEL.
	* i386.md (extendsfdf2, extenddfxf2,
	extendsfxf2): Rewrite using a splitter.
	* i386.c (output_op_from_reg): Remove.
	* i386.h: Likewise.

Sat Apr 10 13:09:18 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.c (di_operand): Allow SUBREGs as well.
	(soft_df_operand): Allow SUBREGs as well.

Sat Apr 10 06:14:31 1999  Jan Hubicka  <hubicka@paru.cas.cz>

	* extend.texi (Assembler Instructions with C Expression Operands):
	Document the i386 floating point operands.

1999-04-10  Mike Stump  <mrs@wrs.com>

	* configure.in (*-*-vxworks): Add vxWorks thread support for all
	vxWorks targets.
	* configure.in (thumb-wrs-xvworks): Add vxWorks support for thumb.
	* configure: Rebuilt.

Sat Apr 10 06:04:50 1999  Donn Terry  (donn@interix.com)

	* i386/t-interix: Use mostly system headers unchanged.
	Use system assert.h
	* fixinc/fixinc.interix: Ditto (make almost no-op).
	* config/x-interix.h (_ALL_SOURCE): add -D
	* config/x-interix.h (crti.o): Delete dependency.
	* config/xm-interix.h (ONLY_INT_FIELDS): Define only when bootstrapping.
	* i386/xm-i386-interix.h: New file.
	* i386/interix.h (ASM_OUTPUT_LIMITED_STRING): Fix warnings.
	* i386/i386-interix.h: Renamed from interix.h.
	* configure.in (interix): Use new files.
	* configure: Rebuilt.

Sat Apr 10 05:25:28 1999  Daniel Jacobowitz  <dan@debian.org>

	* rs6000/sysv4.h (CPP_OS_LINUX_SPEC): Fix conditions
	for -Dunix and -Dlinux, and remove duplicate definition.
	Change -Asystem(linux) to -Asystem(posix).
	(CPP_OS_SOLARIS_SPEC): Fix conditions for -Dunix, -Dsun,
	-DSVR4, -D__EXTENSIONS__.

	* rs6000/linux.h (CPP_PREDEFINES): Remove -Dunix,
	-Dlinux, -Asystem(linux), and -Asystem(unix).

Sat Apr 10 05:14:50 1999  Mark Elbrecht  <snowball3@usa.net>

	* i386/djgpp.h (SET_ASM_OP): Define.

	* cccp.c (DIR_SEPARATOR): Move to the top of the file.
	(is_dir_separator): New function.
	(simplify_filename): Use it.
	* collect2.c (find_a_file): Use HAVE_DOS_BASED_FILE_SYSTEM in place
	of the DIR_SEPARATOR test.
	Consider any file starting with a drivename to be absolute.
	If the absolute filename test fails and EXECUTABLE_SUFFIX is
	defined, append EXECUTABLE_SUFFIX to the file and try again.
	* cppinit.c (base_name): Use HAVE_DOS_BASED_FILE_SYSTEM
	in place of __MSDOS__ and _WIN32.
	* cppfiles.c (simplify_pathname): Likewise.
	* gcc.c (IS_DIR_SEPARATOR): Define new macro. Returns true if a
	character is a directory separator.
	(find_a_file): Use it.
	(convert_filename): Likewise.
	(process_command): Likewise.
	(do_spec_1): Likewise.
	(is_directory): Likewise.
	(main): Likewise.
	* prefix.c (IS_DIR_SEPARATOR): Define. Tests whether a character is
	a directory separator.
	(translate_name): Use it.
	(update_path): Change DIR_SEPARATOR_2 to DIR_SEPARATOR. Fix
	warning in block where '/' is changed to DIR_SEPARATOR.
	* i386/xm-djgpp.h (DIR_SEPARATOR): Set to '/'.
	(DIR_SEPARATOR_2): New macro. Set to '\'.
	(HAVE_DOS_BASED_FILESYS): Define.
	* i386/xm-mingw32.h: Updated copyright. Set
	DIR_SEPARATOR_2 to '/'. Define HAVE_DOS_BASED_FILE_SYSTEM.
	* i386/xm-os2.h: Likewise.
	* winnt/xm-winnt.h: Likewise.
	* i386/xm-dos.h: Likewise.  Add copyright.

1999-04-10  Joseph S. Myers  <jsm28@cam.ac.uk>

	* pdp11.h (TARGET_SWITCHES): Add option to vary assembler syntax.
	(TARGET_DEFAULT): Possibly use UNIX syntax.
	(TARGET_UNIX_ASM, TARGET_UNIX_ASM_DEFAULT): New macros.
	(REGISTER_NAMES): Use "r5" instead of "fp".
	(ASM_OUTPUT_ALIGN): Use ".even" directive, and abort for any
	greater alignment.
	* 2bsd.h (TARGET_UNIX_ASM_DEFAULT): Default to UNIX assembler
	syntax for 2BSD.
	* pdp11.c (output_ascii): Use working syntax for ".byte".
	(print_operand_address): Use "*" instead of "@" when using UNIX
	assembler syntax.

Sat Apr 10 03:50:12 1999  Jeffrey A Law  (law@cygnus.com)

	* rtl.h (rebuild_jump_labels): Declare.
	* jump.c (jump_optimize_1): Renamed from jump_optimize.  Make static.
	Add new argument MARK_LABELS_ONLY.  Quit after mark_all_labels if
	requested.
	(jump_optimize, rebuild_jump_labels): New wrapper functions for
	jump_optimize_1.
	* toplev.c (rest_of_compilation): Use rebuild_jump_labels instead of
	running the entire jump optimizer.

	* rtl.h (local_alloc): Returns an integer now.
	* local-alloc.c (recorded_label_ref): New file scoped variable.
	(local_alloc): Initialize recorded_label_ref to zero.  Return its
	value when local allocation has completed.
	(update_equiv_regs); If we create an equivalence for a LABEL_REF,
	set recorded_label_ref.
	* toplev.c (rest_of_compilation): Run the jump optimizer after
	register allocation and reloading if needed.

Fri Apr  9 21:02:57 1999  Krister Walfridsson  (cato@df.lth.se)

	* i386/gas.h (ASM_OUTPUT_MAX_SKIP_ALIGN): Fix typo.
	* i386/freebsd-elf.h (ASM_OUTPUT_MAX_SKIP_ALIGN): Likewise.

1999-04-09  Zack Weinberg  <zack@rabi.columbia.edu>

	* cpphash.c (special_symbol): When expanding __LINE__, use the
	top file buffer, not the top buffer.

Fri Apr  9 13:41:04 1999  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (check-g++, check-gcc, check-g77, check-objc): Add
	cd .. to TCL_LIBRARY command.

Fri Apr  9 13:04:52 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/unknown-elf.h (SUBTARGET_CPU_DEFAULT): Only define if
	not already specified.

Fri Apr  9 11:18:55 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* c-common.c (decl_attributes, A_INIT_PRIORITY): Allow arrays
	of classes, too.

Fri Apr  9 10:40:10 1999  Kaveh R. Ghazi  <ghazi@snafu.rutgers.edu>

	* rs6000.c (rs6000_override_options, ptt, rs6000_file_start,
	rs6000_float_const, rs6000_replace_regno, debug_stack_info,
	rs6000_output_load_toc_table, output_prolog, output_epilog):
	Const-ify a char*.
	(output_mi_thunk): Likewise.  Mark parameter `thunk_fndecl' with
	ATTRIBUTE_UNUSED.  Hide unused variables `r0', `sp', `toc',
	`schain', `r12', `buf' and `labelno'.
	(output_ascii): Const-ify a char*.
	(rs6000_gen_section_name): Initialize variable `last_period'.
	(rs6000_adjust_priority): Mark parameter `insn' with
	ATTRIBUTE_UNUSED.
	(rs6000_trampoline_template, rs6000_dll_import_ref,
	rs6000_longcall_ref, rs6000_encode_section_info): Const-ify a char*.

	* rs6000.h (offsettable_mem_operand, optimization_options): Add
	prototypes.

	* rs6000.md (movdi, define_split): Cast a value to HOST_WIDE_INT
	when comparing against one.

Thu Apr  8 19:20:18 1999  Jeffrey A Law  (law@cygnus.com)

	* expr.c (expand_expr, case ARRAY_REF, COMPONENT_REF, BIT_FIELD_REF):
	Do not try to optimize a aggregate address which has VOIDmode.
	Mirrors March 23 change to expand_assignment.

	* flow.c (delete_unreachable_blocks): Do not require EDGE_FALLTHRU
	for an edge when tidying an edge which connects consecutive basic
	blocks.

	* flow.c (can_delete_label_p): Do not convert a label into a
	deleted label here.

	* cse.c (flush_hash_table): New function.
	(cse_insn): Flush the hash table when we encounter a volatile asm.
	(cse_basic_block): Use flush_hash_table instead of doing it
	inline.

	* reload1.c (reload_cse_regs_1): Flush known register values if
	we encounter a volatile asm.

	* loop.c (strength_reduce): Re-enable Joern's loop improvements.

Thu Apr  8 09:37:40 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.c (arm_print_operand): Undo previous change -
	always print large constants in decimal.

Thu Apr  8 10:22:23 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* configure.in (host_xm_file, build_xm_file): Include hwint.h.
	Use case statements instead of "if test -a ... -a ... -a ..."

	* machmode.h: Don't define HOST_WIDE_INT, etc. Wrap use of
	HOST_WIDE_INT in #ifdef.

	* mips.h: Include hwint.h instead of providing definitions for
	HOST_WIDE_INT, etc.  Wrap uses of HOST_WIDE_INT in #ifdef.

Thu Apr  8 06:16:14 1999  John Wehle  (john@feith.com)

	* i386.md (truncdfsf2, truncxfsf2,
	truncxfdf2): Rewrite using a splitter.

Thu Apr  8 01:26:05 1999  Arg Haas  (ahaas@neosoft.com)
			  Jeffrey A Law  (law@cygnus.com)

	* freebsd-elf.h (ASM_OUTPUT_MAX_SKIP_ALIGN): Avoid ambiguous
	else statement.
	* gas.h (ASM_OUTPUT_MAX_SKIP_ALIGN): Likewise.
	* linux.h (ASM_OUTPUT_MAX_SKIP_ALIGN): Likewise.
	* openbsd.h (ASM_OUTPUT_MAX_SKIP_ALIGN): Likewise.

Wed Apr  7 22:40:19 1999  Jim Wilson  <wilson@cygnus.com>

	* i960/i960.c (i960_function_prologue): Don't save static chain
	pointer.
	* i960/i960.h (STACK_CHAIN_REGNUM): Change from r3 to g12.
	(TRAMPOLINE_TEMPLATE): Likewise.
	(FRAME_POINTER_REQUIRED): Check current_function_has_nonlocal_goto.
	* i960/i960.md (nonlocal_goto): Rewrite.

Tue Apr  6 17:49:49 1999  Philip Blundell  <pb@nexus.co.uk>

	* config/arm/lib1funcs.asm: Test for __ELF__ not __elf__.

Wed Apr  7 14:07:34 1999  Jeffrey A Law  (law@cygnus.com)

	* h8300.c (h8300_adjust_insn_length): Also avoid recognizing
	ADDR_VEC and ADDR_DIFF_VEC insns.

	* h8300.c (h8300_adjust_insn_length): Avoid trying to recognize
	USE, CLOBBER or SEQUENCE insns.

	* unroll.c (unroll_loop): For HAVE_cc0 machines, adjust copy_end_luid
	to account for the uncopied insn that sets cc0 at the end of the loop.

	* unroll.c (copy_loop_body): Always ensure at least two insns
	are in the copied loop.

Wed Apr  7 14:52:18 1999  Catherine Moore  <clm@cygnus.com>

	* config/mips/elf.h (MAKE_DECL_ONE_ONLY): Define.
	(UNIQUE_SECTION_P): Define.

1999-04-07  Bruce Korb  <ddsinc09@ix.netcom.com>

	* fixinc/inclhack.tpl & fixincl.tpl:
	Remove dynamic content from generated files

Wed Apr  7 13:16:22 1999  John Wehle  (john@feith.com)

	* i386.c (output_move_memory): Remove.
	* i386.h: Likewise.

	* i386.md (movsi, movhi, movstricthi, movqi, movstrictqi,
	movsf, movdf, movxf, movdi): Check no_new_pseudos instead
	of (reload_in_progress | reload_completed).

Wed Apr  7 03:16:45 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.c (reg_no_subreg_operand): New function.
	* alpha.h (PREDICATE_CODES): Add it.
	* alpha.md (floatdi?f patterns): Use it for op1.

	* alpha.c (alpha_end_function): Don't flag weak functions.

Wed Apr  7 02:11:55 1999  Richard Henderson  <rth@cygnus.com>

	* expr.c (expand_builtin) [BUILT_IN_RETURN_ADDRESS]: Use
	copy_to_mode_reg; don't force constants into a register.

Tue Apr  6 22:55:25 1999  Richard Henderson  <rth@cygnus.com>

	* toplev.c (compile_file): Typo flow_dump -> flow2_dump.

1999-04-06  Joseph S. Myers  <jsm28@cam.ac.uk>

	* pdp11.c (simple_memory_operand): Add default case in switch.
	* pdp11.h (TARGET_SWITCHES): Add help strings.
	(NOTICE_UPDATE_CC): Don't include excess argument to format.
	(ASM_OUTPUT_DOUBLE_INT): Remove.

Tue Apr  6 22:09:40 1999  Richard Henderson  <rth@cygnus.com>

	* expr.c (expand_builtin_setjmp): Put setjmp return label on
	nonlocal_goto_handler_labels for flow.

Tue Apr  6 22:05:21 1999  Jan Hubicka  <hubicka@paru.cas.cz>
			  Richard Henderson  <rth@cygnus.com>

	* flow.c (verify_flow_info): New function.
	(find_basic_blocks): Call it if ENABLE_CHECKING.
	(merge_blocks): Don't merge if there are non-deletable labels.
	* toplev.c (fatal_insn): Allow a printf-style arg list.
	* toplev.h (fatal_insn): Update prototype.

Tue Apr  6 16:18:58 1999  Jan Hubicka  <hubicka@paru.cas.cz>

	* flow.c (split_edge) update correctly flow graph, disable
	EDGE_CRITICAL flag on the split edge, update NUSES for new label.

Tue Apr  6 15:47:51 1999  Richard Henderson  <rth@cygnus.com>

	* emit-rtl.c (gen_rtx_CONST_DOUBLE): Use XWINT not XINT.
	Clear third and following slots, if they exist.

Tue Apr  6 15:45:28 1999  Richard Henderson  <rth@cygnus.com>

	* flow.c (create_basic_block): Make sure the bb note is in the block.
	(can_delete_note_p): Rename from delete_note_p.
	(delete_insn_chain): Preserve undeleteable labels too.
	(tidy_fallthru_edge): Use next_real_insn instead of confusing
	inline code.

1999-04-06  Zack Weinberg  <zack@rabi.columbia.edu>

	* cppexp.c (parse_charconst): Initialize c.
	(cpp_parse_expr): Initialize rprio.
	* cppfiles.c (merge_include_chains): Initialize prev.
	(finclude): Set fp->line_base to fp->buf before returning.
	* cpphash.c (macroexpand): Initialize token.
	* cppspec.c (lang_specific_driver): Change suff to
	const char *const *.

1999-04-06  Zack Weinberg  <zack@rabi.columbia.edu>

	* cppinit.c (install_predefs): Delete function.
	(cpp_start_read): Don't call install_predefs.
	(cpp_handle_option): Remove case 'u' and all refs to
	opts->inhibit_predefs.
	(print_help): Don't mention -undef.
	(initialize_builtins): Define __HAVE_BUILTIN_SETJMP__, to
	match cccp.
	* cpplib.h (struct cpp_options): Remove inhibit_predefs
	member.

	* cccp.c (predefs): Delete variable.
	(main): Remove case 'u' in argument parse loop,
	'inhibit_predefs' variable, and the code block that would
	process CPP_PREDEFINES.
	(initialize_builtins): Don't define __OBJC__, the driver will
	do that.

	* gcc.c (default_compilers): Remove -undef from all specs that
	invoke a C preprocessor.
	* ch/lang-specs.h: Likewise.
	* cp/lang-specs.h: Likewise.
	* f/lang-specs.h: Likewise.
	* objc/lang-specs.h: Likewise.

Mon Apr  5 11:55:31 1999  Donn Terry  (donn@interix.com)

	* Makefile.in (SUBDIR_FLAGS_TO_PASS): Fix misapplied patch.

Mon Apr  5 11:51:38 1999  Jeffrey A Law  (law@cygnus.com)

	* m68k.md (movdf): Hide GPR sources & destinations from regclass.

Mon Apr  5 09:54:42 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Mon Apr  5 05:55:15 1999  Bruce Korb  <ddsinc09@ix.netcom.com>

	* fixincl.tpl: Separate "-e" from its argument, a la
	the Sat Apr  3 17:05:13 1999 fix.
	* genfixes: Ensure that the server shell is _NOT_ csh.

Mon Apr  5 03:52:30 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Mon Apr  5 04:47:14 1999  Jeffrey A Law  (law@cygnus.com)

	* i386.c (x86_double_with_add): Turn off for Pentium and PPro.
	(small_shift_operand, output_ashlsi3): New functions.
	* i386.h (small_shift_operand, output_ashlsi3): Declare.
	* i386.md (ashlsi3): Simplify ahlsi3 patterns.  Remove splitters
	that are no longer needed.

Sun Apr  4 04:05:04 1999  Jeffrey A Law  (law@cygnus.com)

	* stmt.c (expand_loop_end): When copying the loop exit test,
	do not walk into a nested loop.

Sun Apr  4 00:14:54 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/hackshell.tpl: Skip links to directories, to avoid
	removing them.
	* fixinc/inclhack.tpl: Likewise.
	* fixinc/fixinc.sh, fixinc/fixincl.x, fixinc/inclhack.sh: Rebuilt.

Sat Apr  3 23:46:13 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (addsi3, iorsi3, xorsi3, adddi3, iordi3, xordi3,
	movsi_got, movsi, movsf): Use no_new_pseudos.
	* rs6000.c (rs6000_got_register): Likewise.
	(offsettable_mem_opereand): Use || not |.

Sat Apr  3 22:02:56 1999  Jeffrey A Law  (law@cygnus.com)

	* acconfig.h (ENABLE_CHECKING): Remove redundant #undef.
	* config.in: Rebuilt.

Sat Apr  3 16:22:59 1999  Toshiyasu Morita  (tm@netcom.com)

	* gcc.texi: Add info on regmove pass.

	* regmove.c (fixup_match_1): Consistently evaluate
	HAVE_POST_INCREMENT and HAVE_POST_DECREMENT.

Sat Apr  3 19:21:05 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* configure.in (DEFAULT_LINKER, DEFAULT_ASSEMBLER): Use grep
	instead of test and sed to check whether they're GNU programs.
	* configure: Rebuilt.

Sat Apr  3 17:57:35 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.in (install-headers-tar, install-headers-cpio): Avoid
	problems with CDPATH.
	Reported by Ralf Canis <canis@bigfoot.com>

Sat Apr  3 13:50:16 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc.x86-linux-gnu: Deleted.

Sat Apr  3 17:05:13 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* inclhack.tpl: Insert spaces between `sed -e' and '...'.
	Reported by Kaveh R. Ghazi <ghazi@caip.rutgers.edu>
	* fixinc/fixincl.sh, fixinc/fixincl.x, fixinc/inclhack.sh: Regen.

Sat Apr  3 14:54:46 1999  Craig Burley  <craig@jcb-sc.com>

	* tree.def (BLOCK): Fix typo in comment.

Sat Apr  3 00:53:29 1999  John Wehle  (john@feith.com)

	* i386.md (floatsisf2, floatdisf2, floatsidf2, floatdidf2,
	floatsixf2, floatdixf2): Rewrite using a splitter.

Fri Apr  2 17:36:10 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.c (arm_print_operand): Print large constants in
	hex rather than decimal.

Fri Apr  2 17:23:58 1999  Nick Clifton  <nickc@cygnus.com>

	* print-rtl.c (print_rtx): Use both HOST_WIDE_INT_PRINT_DEC
	and HOST_WIDE_INT_PRINT_HEX to display constants.

1999-04-02  Zack Weinberg  <zack@rabi.columbia.edu>

	* config/i386/i386.h: Document all TARGET_SWITCHES or add
	explicit null initializer.

	* config/i386/cygwin.h: Document all SUBTARGET_SWITCHES.
	* config/i386/dgux.h: Likewise.
	* config/i386/osf1elf.h: Likewise.
	* config/i386/win32.h: Likewise.
	* config/i386/osfrose.h: Likewise.  Drop obsolete -mno-ident option.

Fri Apr  2 17:49:44 1999  Toshiyasu Morita  <tm@netcom.com>

	* regmove.c (fixup_match_1): Remove now useless if (0).

Sat Apr  3 11:37:20 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* tm.texi (USE_LOAD_POST_DECREMENT, USE_LOAD_PRE_DECREMENT,
	USE_STORE_POST_DECREMENT, USE_STORE_PRE_DECREMENT): Document.
	(USE_LOAD_POST_INCREMENT, USE_LOAD_PRE_INCREMENT,
	USE_STORE_POST_INCREMENT, USE_STORE_PRE_INCREMENT): Fix documentation.

	* rtl.h	(USE_LOAD_POST_DECREMENT, USE_LOAD_PRE_DECREMENT,
	USE_STORE_POST_DECREMENT, USE_STORE_PRE_DECREMENT,
	USE_LOAD_POST_INCREMENT, USE_LOAD_PRE_INCREMENT,
	USE_STORE_POST_INCREMENT, USE_STORE_PRE_INCREMENT): Provide default
	definition.

	* expr.c (USE_LOAD_POST_INCREMENT, USE_LOAD_PRE_INCREMENT,
	USE_STORE_POST_INCREMENT, USE_STORE_PRE_INCREMENT): Delete default
	definition.

Fri Apr  2 16:03:05 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc.dgux, fixinc.interix, fixinc.irix, fixinc.ptx: Deleted.
	* fixinc.sco, fixinc.svr4, fixinc.winnt, fixinc.wrap: Likewise.

Fri Apr  2 15:46:25 1999  Donn Terry  (donn@interix.com)

	* configure.in: Set and substitute quoted_cc_set_by_configure.
	* configure: Rebuilt.
	* Makefile.in (SUBDIR_FLAGS_TO_PASS): Fix quoting problem with ``.

Fri Apr  2 14:35:45 1999  Stan Cox  <scox@cygnus.com>

	* config/i386/cygwin.h (CPP_SPEC): Use mingw_include_path instead
	of a hardcoded path for -mno-cygwin.
	(mingw_include_path): New.

1999-04-02  Joseph S. Myers  <jsm28@cam.ac.uk>

	* pdp11.c: Include "recog.h".
	(output_function_prologue): Remove unused variables `nregs', `i',
	`offset'.
	(output_function_epilogue): Remove unused variables
	`may_call_alloca', `nregs', `regno', `adjust_fp'.
	(output_ascii): Mark as returning void.
	(print_operand_address: Likewise.
	(simple_memory_operand): Remove unused variables `plus0', `plus1',
	`offset'.
	* pdp11.h: Declare functions `arith_operand',
	`const_immediate_operand', `expand_shift_operand',
	`legitimate_address_p', `notice_update_cc_on_set', `output_ascii',
	`output_function_epilogue', `output_function_prologue',
	`print_operand_address', `register_move_cost',
	`simple_memory_operand'.
	(HARD_REGNO_MODE_OK): Parenthesize `REGNO' arg.
	(REGNO_REG_CLASS): Likewise.
	* pdp11.md: Add explicit `int' to `static count' (in two places).
	(addhi3): Add explicit braces to avoid ambiguous else.
	(addqi3): Likewise.
	(ashlhi3): Likewise.

Fri Apr  2 14:17:10 1999  Jerry James  <jerry@cs.ucsb.edu>

	* gcc/invoke.texi: Add documentation for additional supported
	MIPS CPU types, options -mips16 and -mentry, and ABI and ISA
	defaults.

Fri Apr  2 14:12:06 1999  John Wehle  (john@feith.com)

	* i386.md: Delete floating point compare, add, subtract,
	multiply, and divide patterns which allowed integer
	operands.
	* i386.c (output_387_binary_op): Delete unused code.
	(output_float_compare): Likewise.

Fri Apr  2 11:53:37 1999  John Wehle  (john@feith.com)

	* i386.md (movsf+1, movdf+1, movxf+1): Update constraints
	so that SECONDARY_MEMORY_RELOAD is used.  Remove dead code.

1999-04-02  Bruce Korb  <ddsinc09@ix.netcom.com>

	* fixinc/mkfixinc.sh: Added support for x86-interix.
	* fixinc/fixinc.interix: Fixincludes script, slight changes
	from ./fixinc.interix.  Untested (needs interix box).
	* fixinc/inclhack.def:
	Complete the change to the 'fixinc.tmp' file.
	Fixed regex for finding C++ headers.
	* fixincl.x, fixincl.sh, inclhack.sh: Regenerate.

Fri Apr  2 11:36:12 1999  Jan Hubicka  (hubicka@paru.cas.cz)

	* i386.c (print_operand_address, case REG): Do not use ESI addressing
	mode for the K6.

	* i386.c (print_operand_address, case MULT): Use more efficient
	encoding (mult (reg) (const_int 2)).

Thu Apr  1 17:01:50 1999  Richard Henderson  <rth@cygnus.com>

	Move over patch from Bernd Schmidt from GC branch:
	* emit-rtl.c (gen_rtx_CONST_DOUBLE): New function.
	(gen_rtx): Call it.  Tidy cases.
	* rtl.h (gen_rtx_CONST_DOUBLE): Prototype it.
	* gengenrtl.c: Add commentary.
	(special_rtx): Also match CONST_DOUBLE.
	(gencode): Emit call to memset instead of bzero.

Fri Apr  2 12:58:26 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (ashlhi3, lshrhi3, ashrhi3): Force operand 1
	into a register if shift count not constant.
	(ashlhi3_reg, lshrhi3_reg, ashrhi3_reg): Ensure that operand 1
	is a register.

Fri Apr  2 12:19:17 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (*db): Enable pattern if TARGET_LOOP_UNSIGNED
	is non-zero.
	(movstrqi_small, movstrqi_large, *cmpstrqi): Add + modifier to address
	register constraints.
	(*movhi_clobber+1): Modify splitter pattern to handle destination
	register that is used in the source address.
	(*xorhi3_clobber): Replace AND with XOR in call to legitimize_operands.

Fri Apr  2 12:16:15 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.h: Added more comments.

Fri Apr  2 11:58:22 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.c (c4x_emit_move_sequence): Force invalid QImode
	constants into memory if we get called directly from gen_move_insn
	rather than emit_move_insn.
	(c4x_legitimize_address): Fix up LABEL_REF addresses.

Thu Apr  1 12:04:05 1999  Jim Wilson  <wilson@cygnus.com>

	* expr.c (store_field): When check direct_store, assume all complex
	modes can be directly stored.

1999-04-01  Bruce Korb  <ddsinc09@ix.netcom.com>

	* fixinc/genfixes: New shell script that runs autogen
	to create the generated files.

1999-04-01  Manfred Hollstein  <manfred@s-direktnet.de>

	* Makefile.in (cppmain$(exeext)): Depend on intl.o.  Link in intl.o.

Thu Apr  1 03:48:34 1999  H.J. Lu  (hjl@gnu.org)

	* i386.c (output_fp_conditional_move): Abort for LT, LE, GE, and GT
	signed integer comparisons.

	* i386.c (output_int_conditional_move): Use "enum rtx_code" for code
	type.

	* i386.c (notice_update_cc): No need to check the INT mode for
	conditional moves since FLOAT conditional moves don't affect cc0.

Thu Apr  1 02:17:18 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/inclhack.def (zzz_ki_syscalls, zzz_time): Fix trigger
	string to only match on hpux11.
	* fixinc/fixincl.x, fixinc/inclhack.sh, fixinc/fixinc.sh: Rebuilt.

Thu Apr  1 01:09:27 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* fixinc/hackshell.tpl: Complete transition to fixinc.tmp.
	* fixinc/inclhack.sh: Rebuilt.

	* fixinc/inclhack.def: Fix typos in c_asm.h fix.
	* fixinc/fixincl.x, fixinc/inclhack.sh, fixinc/fixinc.sh: Rebuilt.

Wed Mar 31 17:20:11 1999  Jeffrey A Law  (law@cygnus.com)

	* toplev.c (rest_of_compilation): Allow dbr_schedule to write to
	the dump file too.

Wed Mar 31 12:32:43 1999  Richard Henderson  <rth@cygnus.com>

	* flow.c (find_basic_blocks): New argument `do_cleanup'.
	Conditionally call delete_unreachable_blocks.
	(free_basic_block_vars): Zero ENTRY/EXIT data.
	(allocate_for_life_analysis): Kill.  Split into...
	(allocate_bb_life_data, allocate_reg_life_data): ... new functions.
	(life_analysis_1): Update.
	* gcse.c (gcse_main): Update find_basic_blocks call.
	* toplev.c (rest_of_compilation): Likewise.
	* stupid.c (stupid_life_analysis): Update life data calls.
	* rtl.h, output.h: Update prototypes.

Wed Mar 31 12:10:00 1999  Bruce Korb  <ddsinc09@ix.netcom.com>

	* inclhack.def (several): Added spaces in tests to ensure
	correct shell syntax.  Added c_asm.h fix from fixincludes.
	Also corrected the corrected fix to C++ comments :-}

	* inclhack.tpl: Changed method of traversing symlink trees
	so that file name matching will work correctly.

	* fixincl.c, hackshell.tpl: Fallout from above.
	* fixincl.x, inclhack.sh, fixincl.sh: Rebuilt.

Tue Mar 30 10:43:49 1999  Philip Blundell  <pb@nexus.co.uk>

	* config/arm/aout.h (DBX_DEBUGGING_INFO): Avoid redefinition if
	dbxelf.h was previously included.
	(CPP_APCS_PC_DEFAULT_SPEC): No need to undefine.

	* config/arm/linux-elf.h (FP_DEFAULT): Correctly override the
	definition from arm.h.

Wed Mar 31 10:33:37 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* Makefile.in (c-gperf.h): Generate using gperf language 'C', not
	'KR-C', so gperf uses the `const' keyword on strings.

	* c-parse.gperf (resword): Const-ify a char*.

Wed Mar 31 01:49:31 1999  Ian Lance Taylor  <ian@zembu.com>

	* t-rtems (LIMITS_H_TEST, LIBGCC2_INCLUDES): Define.

Wed Mar 31 00:50:48 1999  Jeffrey A Law  (law@cygnus.com)

	* system.h (STDERR_FILENO): Fix typo.

	* inclhack.def (bool): Also fix bogus bool in curses_colr/curses.h.
	* fixincl.x, inclhack.sh, fixincl.sh: Rebuilt.

Tue Mar 30 20:51:40 1999  Mark Mitchell  <mark@codesourcery.com>

	* alias.c (alias_set_compare): Remove.
	(record_alias_subset): Use splay_tree_compare_ints instead of
	alias_set_compare.
	(init_alias_once): Likewise.
	* cse.c: Include splay-tree.h.
	(reg_qty): Remove.
	(reg_tick): Likewise.
	(reg_table): Likewise.
	(cse_reg_info): New structure.
	(cse_reg_info_free_list): New variable.
	(cse_reg_info_tree): Likewise.
	(cached_regno): Likewise.
	(cached_cse_reg_info): Likewise.
	(all_minus_one): Remove.
	(consec_ints): Likewise.
	(GET_CSE_REG_INFO): New macro.
	(REG_TICK): Likewise.  Use throughout instead of reg_tick.
	(REG_IN_TABLE): Likewise.  Use throughout instead of reg_in_table.
	(REG_QTY): Likewise.  Use throughout instead of reg_qty.
	(get_cse_reg_info): New function.
	(free_cse_reg_info): Likewise.
	(new_basic_block): Reinitialize cse_reg_info_tree instead of
	reg_tick, all_minus_one, and consec_ints.
	* Makefile.in (cse.o): Depend on splay-tree.h

Tue Mar 30 13:19:36 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* libgcc2.c (throw_helper): Just return the SP offset, rather than
	a whole udata.  Include args_size in the offset.
	(__throw, __rethrow): Adjust.

Tue Mar 30 11:39:27 1999  Craig Burley  <craig@jcb-sc.com>

	* extend.texi (Extended Asm): Delete spurious `b' before
	`@end example', which was confusing texi2html.

Tue Mar 30 00:26:34 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* dwarf2out.c (output_line_info): Don't emit redundant info.
	Do start a new row if the file changes and the line # doesn't.

Mon Mar 29 15:48:39 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* invoke.texi (Invoking G++, C++ Dialect Options): Update.

Mon Mar 29 15:05:39 1999  Richard Henderson  <rth@cygnus.com>

	* except.c (start_dynamic_handler): Force jmp_buf address to
	and operand before moving to memory.

Mon Mar 29 15:11:10 1999  Craig Burley  <craig@jcb-sc.com>

	* invoke.texi (Code Gen Options): Attempt to clarify
	-fcheck-memory-usage.  Minor edits to -fprefix-function-name.

Mon Mar 29 20:52:47 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (maybe_eliminate_biv): For libcalls that set a giv, skip to
	end of libcall.

Mon Mar 29 20:35:49 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.md (mulsi3): Tag an extra REG_EQUAL note to the middle insn.

Mon Mar 29 11:50:34 1999  Jerry Quinn  <jquinn@nortelnetworks.com>

	* pa.h (HAVE_PRE_INCREMENT): Disable when optimizing for a PA8000
	class machine.
	(HAVE_PRE_DECREMENT, HAVE_POST_INCREMENT): Likewise.
	(HAVE_POST_DECREMENT): Likewise.

Mon Mar 29 08:24:43 1999  Bruce Korb  <korb@datadesign.com>

	* fixinc/mkfixinc.sh: Fix portability problems with old shells.

	* fixinc/README: Updated for release announcement

Sun Mar 28 20:26:55 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* recog.h (insn_outfun, insn_operand_predicate): Add prototype
	arguments.

	* rtl.h (note_stores): Likewise.

	* rtlanal.c (note_stores): Likewise.

Sun Mar 28 15:34:28 1999  Richard Henderson  <rth@cygnus.com>

	* varasm.c (output_constant_pool): Always mark the constant pool.

Sun Mar 28 16:09:01 1999  Jerry Quinn  <jquinn@nortelnetworks.com>

	* pa.md (pa7100LCshiftmem, pa7100LCalu): Change simultaneity.  Use
	shift/mem ops in pa7100LCalu.

	* pa.c (pa_adjust_cost): Don't do cost adjustments on pa8000.
	(pa_reorg): Don't call pa_combine_instructions on pa8000.

Sun Mar 28 15:27:26 1999  Jeffrey A Law  (law@cygnus.com)

	* reload1.c (reload): Remove accidental code duplication.

Sun Mar 28 12:22:12 1999  Robert Lipe  (robertlipe@usa.net)

	* i386/sysv5.h: New file to describe UnixWare7/SVR5.
	* configure.in (i?86-UnixWare7*-sysv): Use it.
	* i386/udk.h: Use sysv5.h.  Now uses Dwarf-2.

Sun Mar 28 01:15:04 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sun Mar 28 00:44:27 1999  Jeffrey A Law  (law@cygnus.com)

	* sdbout.c (sdbout_symbol): Do not call build_pointer_type, build
	one on the fly and do not cache the result.

	* gcc.cps, cpp.cps: Delete unwanted files.

Sat Mar 27 23:37:40 1999  John Wehle  (john@feith.com)

	* i386.md (movdicc+3, movdicc+4): Rewrite using split_di.
	* i386.c (output_int_conditional_move): Delete unused code.

Sat Mar 27 21:17:36 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000/{aix41.h,aix43.h} (ASM_CPU_SPEC): Add 604e.

Sat Mar 27 16:13:50 1999  Jeffrey A Law  (law@cygnus.com)

	* flow.c (mark_used_regs): Improve handling of ASMs.

1999-03-26  Zack Weinberg  <zack@rabi.columbia.edu>

	* Makefile.in (xcpp, cppspec.o): New targets.
	(CPP_INSTALL_NAME): New macro.
	(install-cpp): Install xcpp.  Use CPP_INSTALL_NAME.
	(all.build, start.encap): Build xcpp.

	* cppspec.c: New file, implements argument filtering for a
	user-visible C preprocessor.
	* cpp.sh: Removed.

Fri Mar 26 20:41:46 1999  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (stmp-fixinc): Use tooldir instead of gcc_tooldir.

Fri Mar 26 16:02:37 1999  Nick Clifton  <nickc@cygnus.com>

	* configure.in (arm-*-vxworks*): Just include arm/vxarm.h.
	* configure: Regenerate.
	* config/arm/vxarm.h: Define SUBTARGET_CPU_DEFAULT before
	including arm/coff.h

1999-02-16  Scott Bambrough  <scottb@corelcomputer.com>

	* configure.in (arm*-*-linux-gnu*): Set thread_file to 'posix' if
	--enable-threads[={yes,pthreads,posix}] is passed as a command
	line parameter to configure.

	* configure: Regenerate.

	* gcc/config/arm/t-linux (TARGET_LIBGCC2_CFLAGS): Include -fPIC.

Fri Mar 26 19:42:19 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (combine_givs): Fix index into can_combine when doing
	benefit adjustment for remaining givs when having combined a giv.

Fri Mar 26 11:38:01 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/t-arm-elf (EXTRA_MULTILIB_PARTS): Define.

Fri Mar 26 10:48:27 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/linux-elf.h: Include dbxelf.h

Fri Mar 26 10:43:47 1999  Nick Clifton  <nickc@cygnus.com>

	* config/svr4.h: Include new header file dbxelf.h.
	(DBX_DEBUGGING_INFO): Remove definition.
	(DBX_USE_BINCL): Remove definition.
	(DBX_BLOCKS_FUNCTION_RELATIVE): Remove definition.
	(ASM_IDENTIFY_GCC): Remove definition.
	(ASM_IDENTIFY_GCC_AFTER_SOURCE): Remove definition.
	(ASM_OUTPUT_SOURCE_LINE): Remove definition.
	(DBX_FUNCTION_FIRST): Remove definition.
	(DBX_OUTPUT_MAIN_SOURCE_FILE_END): Remove definition.

	* config/elfos.h: Include new header file dbxelf.h.
	(DBX_DEBUGGING_INFO): Remove definition.
	(DBX_BLOCKS_FUNCTION_RELATIVE): Remove definition.
	(ASM_IDENTIFY_GCC): Remove definition.
	(ASM_IDENTIFY_GCC_AFTER_SOURCE): Remove definition.
	(ASM_OUTPUT_SOURCE_LINE): Remove definition.
	(DBX_FUNCTION_FIRST): Remove definition.

	* config/dbxelf.h: New header file.
	(DBX_DEBUGGING_INFO): Define.
	(DBX_BLOCKS_FUNCTION_RELATIVE): Define.
	(DBX_FUNCTION_FIRST): Define.
	(DBX_USE_BINCL): Define.
	(DBX_CONTIN_LENGTH): Define.
	(ASM_IDENTIFY_GCC): Define.
	(ASM_IDENTIFY_GCC_AFTER_SOURCE): Define.
	(ASM_OUTPUT_SOURCE_LINE): Define.
	(DBX_OUTPUT_MAIN_SOURCE_FILE_END): Define.

Fri Mar 26 01:59:15 1999  "Charles M. Hannum"  <root@ihack.net>

	* fold-const.c (fold_truthop): Optimize bitfield references with
	different masks as long as their size and bit position are the same.

	* fold-const.c (fold_truthop): Build a type for both the lhs and
	rhs and use it appropriately.

	* fold-const.c (fold_truthop): Mask the lhs and rhs after merging
	adjacent bitfield references.

	* fold-const.c (fold_truthop): Verify that the lhs and rhs are
	in the same bit position when optimizing bitfield references
	which have the same mask.

Thu Mar 25 22:53:27 1999  Martin von Löwis  <loewis@informatik.hu-berlin.de>

	* gcc.texi (Copy Assignment): New node.

1999-03-25  Zack Weinberg  <zack@rabi.columbia.edu>

	* gcc.c: Compile unconditionally all code formerly dependent
	on #ifdef LANG_SPECIFIC_DRIVER.
	* gccspec.c: New file with stub lang_specific_driver,
	lang_specific_pre_link.
	* Makefile.in: Link gccspec.o into xgcc.  Add rule to compile

Thu Mar 25 21:08:02 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* gcc.texi (Temporaries): Update.

Thu Mar 25 16:53:53 1999  Richard Henderson  <rth@cygnus.com>

	* combine.c (distribute_notes): Place REG_LABEL also where
	REG_EQUAL indicates.

Thu Mar 25 12:46:37 1999  Jim Wilson  <wilson@cygnus.com>

	* a29k/a29k.h (TARGET_SWITCHES): Add doc strings.
	* i960/i960.h (TARGET_SWITCHES): Add doc strings.
	* invoke.texi (a29k): Add documentation for -mno-multm option.

Thu Mar 25 14:04:54 1999  Andrew MacLeod  <amacleod@cygnus.com>

	* rtl.texi (RTX_FRAME_RELATED_P): Add documentation.
	* rtl.h (struct rtx_def): Update comment for frame_related field.
	(set_unique_reg_note): Declare prototype.
	* dwarf2out.c (dwarf2out_frame_debug_expr): Split out from
	'dwarf2out_frame_debug' to handle only expressions, and process
	component parts of a PARALLEL expression.
	(dwarf2out_frame_debug): Process insns only, and call
	new function 'dwarf2out_frame_debug_expr' for patterns.
	* emit-rtl.c (set_unique_reg_note): New function to add a reg note,
	but if there is an existing one, delete it first.
	* expmed.c (expand_mult, expand_divmod): Use set_unique_reg_note.
	* optabs.c (add_equal_note, expand_binop): Use set_unique_reg_note.
	(emit_no_conflict_block, emit_libcall_block): Use set_unique_reg_note.
	(expand_fix): Use set_unique_reg_note.

Thu Mar 25 11:47:49 1999  Art Haas  <ahaas@neosoft.com>

	* tlink.c (symbol_hash_newfunc): Remove redundant call to
	hash_newfunc.
	(file_hash_newfunc, demangled_hash_newfunc): Likewise.

Thu Mar 25 10:05:56 1999  Richard Henderson  <rth@cygnus.com>

	* i386.h (PREFERRED_STACK_BOUNDARY): Set to 128.

1999-03-25  Philip Blundell  <pb@nexus.co.uk>

	Based on patch from Jim Studt  <jim@federated.com>:
	* config/arm/linux-elf.h (STARTFILE_SPEC, ENDFILE_SPEC): Copy
	definitions from config/linux.h.
	(DBX_BLOCKS_FUNCTION_RELATIVE): Define to 1.

Thu Mar 25 02:12:42 1999  Finn Hakansson  <finn@axis.com>

	* loop.c (strength_reduce): Correct a comment.

	* rtl.h (MEM_COPY_ATTRIBUTES): Remove unnecessary ending backslash.

Thu Mar 25 02:02:13 1999  Axel Thimm  <Axel.Thimm@physik.fu-berlin.de>

	* Makefile.in (RANLIB_TEST): Improve test.

Thu Mar 25 01:15:33 1999  Donn Terry  <donn@interix.com>

	* combine.c (force_to_mode, case PLUS): Use sign extended mask
	when masking the low bits out of a constant.

Tue Mar 23 15:45:25 1999  Richard Earnshaw  (rearnsha@arm.com)
			  Jeff Law  <law@cygnus.com>

	* fold-const.c (make_range): If orig_type is unset, set it as soon
	as we know the type.  Remove now unnecessary set of orig_type for
	conversions.

Wed Mar 24 23:27:25 1999  Mark Elbrecht  <snowball3@usa.net>
			  Jeff Law  <law@cygnus.com>

	* system.h (STDIN_FILENO): Provide default definition if one is not
	provided by the system header files.
	(STDOUT_FILENO, STDERR_FILENO): Likewise.

	* i386/xm-djgpp.h (COLLECT2_HOST_INITIALIZATION): New macro.
	* collect2.c (main): Use it.
	(pexecute_pid): New variable. Holds return value from call to pexecute.
	(collect2_execute): Rework to use pexecute instead of fork.
	(collect2_wait): Use pwait() instead of wait().

	* i386/djgpp.h: Fix typo.

Wed Mar 24 23:24:30 1999  Jeffrey A Law  (law@cygnus.com)

	* fixinc/mkfixinc.sh: Recognize cygwin* instead of only
	cygwin32.

Wed Mar 24 15:44:12 1999  Nick Clifton  <nickc@cygnus.com>

	* config/m32r/m32r.c (init_idents): Accept both NAME and __NAME__
	versions of attribute names and values.
	(m32r_valid_machine_decl_attribute): Likewise.
	(m32r_encode_section_info): Likewise.

Wed Mar 24 21:42:15 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload1.c (choose_reload_regs): If output-reloading for a
	simple move insn, try to inherit an equivalence for the input.

1999-02-24  Mike Stump  <mrs@wrs.com>

	* arm/aout.h (DBX_OUTPUT_MAIN_SOURCE_FILENAME): Fix quoting.

1999-03-24  Jim Blandy  <jimb@zwingli.cygnus.com>

	* libgcc2.c (__CTOR_LIST__, __DTOR_LIST__): Initialize on all
	platforms.

Wed Mar 24 01:35:01 1999  Geoff Keating  <geoffk@ozemail.com.au>

	* fold-const.c (fold): Recognize a rotate by an unsigned amount.

Tue Mar 23 23:32:14 1999  Jeffrey A Law  (law@cygnus.com)

	* pa.md (rotlsi3): New expander.  Synthesize a variable rotate
	left using a variable rotate right.  Provide anonymous pattern for
	rotate left by a constant value.

	* expr.c (expand_assignment): Do not try to optimize a aggregate
	address which has VOIDmode.

Tue Mar 23 22:51:48 1999  Mumit Khan  <khan@xraylith.wisc.edu>
			  Donn Terry  <donn@interix.com>

	* protoize.c (abspath): Preserve multiple leading slashes for
	_WIN32 and Interix.

1999-01-23  Mike Stump  <mrs@wrs.com>

	* arm/vxarm.h: Split out vxWorks support into separate headerfile
	and vxify.
	* arm/arm.c (cpu_defaults): Allow arm710 as default.

	* configure.in: Split out vxWorks support for Arm.
	* configure: Rebuilt.

Tue Mar 23 11:20:03 1999  Per Bothner  <bothner@cygnus.com>

	* tree.c (first_rtl_op, has_cleanups): Handle GOTO_SUBROUTINE_EXPR.

Tue Mar 23 09:00:39 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/riscix1.h (SUBTARGET_SWITCHES): Add doc string.
	* config/arm/riscix1-1.h (SUBTARGET_SWITCHES): Add doc string.

Tue Mar 23 07:50:20 1999  Mark Mitchell  <mark@codesourcery.com>

	* function.c: Include hash.h.
	(insns_for_mem_entry): New struct.
	(put_reg_into_stack): Take an optional hash-table mapping MEMs to
	the INSNs that use them.
	(fixup_var_refs): Likewise.
	(put_addressof_into_stack): Likewise.
	(purge_addressof_1): Likewise.  Keep the hash-table up to date if
	we add new instructions.
	(fixup_var_refs_insns): Use it to avoid searching the entire
	instruction chain.
	(insns_for_mem_newfunc): New function.
	(insns_for_mem_comp): Likewise.
	(insns_for_mem_walk): Likewise.
	(compute_insns_for_mem): Likewise.
	(pop_function_context_from): Pass NULL for the hash-table.
	(put_var_into_stack): Likewise.
	(gen_mem_addressof): Likewise.
	(flush_addressof): Likewise.
	(purge_addressof): Call compute_insns_for_mem to pre-compute the
	hash table.
	* Makefile.in (OBJS): Include hash.o.
	(function.o): Depend on hash.h.

Tue Mar 23 00:39:14 1999  Jeffrey A Law  (law@cygnus.com)

	* i386/openbsd.h (TARGET_DEFAULT): Use symbolic names instead of
	numbers.
	* i386/netbsd.h, i386/freebsd.h: Likewise.

	* crtstuff.c: Use ANSI function definitions.  Fix minor whitespace
	problems.

	* i386/openbsd.h (TARGET_DEFAULT): Define.
	* configure.in: Do not set TARGET_CPU_DEFAULT for x86 OpenBSD
	configurations.
	* configure: Rebuilt.

Tue Mar 23 00:39:10 1999  John Wehle  (john@feith.com)

	* i386/freebsd.h (TARGET_DEFAULT): Define instead
	of TARGET_CPU_DEFAULT.
	* i386/netbsd.h (TARGET_DEFAULT): Likewise.

Mon Mar 22 23:52:01 1999  Mumit Khan  <khan@xraylith.wisc.edu>
			  Donn Terry  <donn@interix.com>

	* sdbout.c (syms.h): Don't include on Interix.
	* toplev.c (main): No sbrk on Interix.

	* configure.in: Add i386-pc-interix support.
	* configure: Regenerate.
	* fixinc.interix: New file.
	* config/interix.h: New file.
	* config/x-interix: New file.
	* config/xm-interix.h: New file.
	* i386/interix.h: New file.
	* i386/interix.c: New file.
	* i386/t-interix: New file.

Mon Mar 22 23:41:49 1999  Jeffrey A Law  (law@cygnus.com)

	* i386.h (PREFERRED_STACK_BOUNDARY): Define.

Mon Mar 22 23:41:31 1999  John Wehle  (john@feith.com)

	* i386.c (ix86_compute_frame_size): New function.
	(ix86_prologue, ix86_epilogue): Use it.
	* i386.h (INITIAL_ELIMINATION_OFFSET): Likewise.
	* reload1.c: Provide default for PREFERRED_STACK_BOUNDARY.

Mon Mar 22 18:06:59 1999  Jim Wilson  <wilson@cygnus.com>

	* mips/mips.h (TARGET_SWITCHES, TARGET_OPTIONS): Add option doc
	strings.
	* mips/abi64.h (SUBTARGET_TARGET_OPTIONS): Likewise.

Mon Mar 22 16:18:27 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/elf.h (VALID_MACHINE_DECL_ATTRIBUTE): Do not bother
	passing ATTRIBUTES to arm_valid_machine_decl_attribute.

	* config/arm/coff.h (VALID_MACHINE_DECL_ATTRIBUTE): Do not bother
	passing ATTRIBUTES to arm_valid_machine_decl_attribute.

	* config/arm/arm.h (DEFAULT_RTX_COSTS): Do not bother passing
	OUTER_CODE to arm_rtx_costs - it is not used.
	(arm_compare_fp): Delete declaration.
	(FINAL_PRESCAN_INSN): Do not bother passing OPVEC or NOPERANDS to
	arm_final_prescan_insn - they are not used.
	(const_ok_for_op): Remove prototype.
	(arm_rtx_costs): Fix prototype.
	(arm_valid_machine_decl_attribute): Fix prototype.
	(final_prescan_insn): Fix prototype.

	* config/arm/arm.md: Remove references to arm_compare_fp.

	* config/arm/arm.c (arm_compare_fp): Delete.
	(const_ok_for_op): Make function static.  Add prototype.  Remove
	mode parameter - it is unused.
	(arm_rtx_costs): Remove outer_code parameter.
	(reload_memory_operand): Declare mode parameter unused.
	(power_of_two_operand): Declare mode parameter unused.
	(equality_operator): Declare mode parameter unused.
	(load_multiple_operation): Declare mode parameter unused.
	(store_multiple_operation): Declare mode parameter unused.
	(multi_register_push): Declare mode parameter unused.
	(arm_valid_machine_decl_attribute): Remove attributes parameter -
	it is unused.
	(select_dominance_cc_mode): Remove op parameter - it is unused.
	(gen_compare_reg): Remove fp parameter - it is unused.
	(final_prescan_insn): Remove opvec and noperands parameters - they
	are unused.

Mon Mar 22 14:35:28 1999  Nick Clifton  <nickc@cygnus.com>

	* tm.texi (MD_SCHED_INIT): Add missing closing parenthesis.

Mon Mar 22 22:24:30 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload1.c (reload_as_needed): Set reload_is_output_reload /
	reload_has_output_reload for auto_inc expressions that could be
	reloaded.  Call forget_old_reloads for REG_INC notes.

Mon Mar 22 21:51:57 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* cse.c (cse_insn): Don't change the result register of a libcall.

Mon Mar 22 21:08:59 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* rtl.h (shallow_copy_rtx): Declare.
	* rtl.c (shallow_copy_rtx): New function.
	* reload.c (find_reloads_toplev): Use shallow_copy_rtx instead of
	copy_rtx.

Mon Mar 22 10:44:33 1999  Vladimir Makarov  <vmakarov@tofu.to.cygnus.com>

	* config/h8300/h8300.md (adjust_length): New attribute.
	(modhi3+1, andsi3+1, iorsi3+1, extzv+1, extzv+2): Change insn
	default value of attribute "adjust_length" onto "no".

	* config/h8300/h8300.c (h8300_adjust_insn_length): Adjust
	length only if the attribute "adjust_length" value is "yes".
	Use 0 if the shift is negative.

	* final.c (shorten_branches): Check insn length after its
	adjusting.

Sun Mar 21 17:33:48 1999  Jeffrey A Law  (law@cygnus.com)

	* i860.h (TARGET_SWITCHES): Add documentation for default case.
	* i860/paragon.h (TARGET_SWITCHES): Add documentation for default case.
	* i370.h (TARGET_SWITCHES): Add documentation for default case.
	* fx80.h (TARGET_SWITCHES): Add documentation for default case.
	* elxsi.h (TARGET_SWITCHES): Add documentation for default case.
	* clipper.h (TARGET_SWITCHES): Add documentation for default case.
	* 1750a.h (TARGET_SWITCHES): Add documentation for default case.
	* pa.h (TARGET_SWITCHES): Add documentation for default case.
	(TARGET_OPTIONS): Likewise for default case.
	* mn10300.h (TARGET_SWITCHES): Add documentation for default case.
	* h8300.h (TARGET_SWITCHES): Add documentation for default case.

	* gcse.c (dump_hash_table): Fix whitespace in declaration.
	(compute_transpout): Renamed from pre_compute_transpout.
	(compute_pre_*): Deleted.
	(pre_expr_reaches_here_p): New argument, CHECK_PRE_COMP.  All
	callers changed.
	(insert_insn_end_bb): Renamed from pre_insert_insn.
	(pre_*): Delete unused variables.  Only leave local properties and
	global redundant/optimal computation points.
	(alloc_pre_mem, free_pre_mem): Corresponding changes.
	(compute_pre_data): Simplify and call pre_lcm to run the lazy
	code motion dataflow analysis.
	(pre_insert, pre_insert_copies, pre_delete): Revamp to use LCM
	based redundant and optimal computation points.

	* basic-block.h (pre_lcm, pre_rev_lcm): Declare.

	* toplev.c (main): A debug option without a level defaults to
	level 2.

Sun Mar 21 12:13:01 1999  Nick Clifton  <nickc@cygnus.com>

	* flow.c (can_delete_label_p): Do not allow user specified
	labels to be deleted.
	* dwarf2out.c (gen_label_die): Generate addresses for deleted
	(programmer specified) labels.
	* dwarfout.c (output_label_die): Generate addresses for deleted
	(programmer specified) labels.

1999-03-21  Manfred Hollstein  <manfred@s-direktnet.de>

	* Makefile.in (xgcc$(exeext)): Add intl.o to list of files to be
	linked with.

Sun Mar 21 01:15:03 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sat Mar 20 22:26:23 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* sparc.h (TARGET_SWITCHES): Add null description to default case.

Sat Mar 20 21:46:06 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* c-lex.c (yylex): Remove unused variable `bytes'.

	* flow.c (print_rtl_with_bb): Cast the return value of alloca.

	* function.c (assign_parms): Wrap variable `varargs_setup' in
	macro SETUP_INCOMING_VARARGS.
	(thread_prologue_and_epilogue_insns): Mark parameter `f' with
	ATTRIBUTE_UNUSED.

	* local-alloc.c (no_equiv): Likewise for parameter `store'.

	* sched.c (schedule_insns): Remove unused variables `insn' and `next'.

	* tlink.c (symbol_hash_newfunc, symbol_hash_lookup,
	file_hash_newfunc, file_hash_lookup, demangled_hash_newfunc,
	demangled_hash_lookup, symbol_push, symbol_pop, file_push,
	file_pop, tlink_init, tlink_execute, frob_extension,
	obstack_fgets, tfgets, pfgets, freadsym, read_repo_file,
	maybe_tweak, recompile_files, read_repo_files,
	demangle_new_symbols, scan_linker_output): Add static prototype.

	(symbol_hash_newfunc, file_hash_newfunc, demangled_hash_newfunc):
	Make the third argument a `hash_table_key'.

	* toplev.c (debug_start_source_file): Mark parameter `filename'
	with ATTRIBUTE_UNUSED.

Sun Mar 21 02:28:21 1999  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* tm.texi (Varargs): Don't split argument of @item across lines.

	* invoke.texi: Fix use of @item vs @itemx.

Sun Mar 21 09:59:54 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.h (TARGET_SWITCHES): Add null description to
	default case.

Sat Mar 20 23:33:54 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* loop.c (check_dbra_loop): Fix debug message.

Sat Mar 20 15:54:35 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.md (decrement_and_branch_on_count): Emit rptb_end
	pattern instead of decrement_and_branch_until_zero pattern.

Sat Mar 20 11:39:58 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.h (TARGET_SWITCHES): Add documentation.
	* config/c4x/c4x.h (TARGET_OPTIONS): Add documentation.

Fri Mar 19 23:26:29 1999  Martin von Löwis  <loewis@informatik.hu-berlin.de>

	* expr.c (expand_expr): Handle ERROR_MARK much earlier.

Fri Mar 19 15:28:38 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cccp.c (create_definition): Cast to U_CHAR* when assigning to one.

	* cppfiles.c (read_and_prescan): Likewise.
	Start a #define in column 0.

	* cpplib.c (cpp_define): Cast to U_CHAR* when assigning to one.
	(cpp_push_buffer): Likewise for cpp_buffer*.
	(do_include): Change the type of `fbeg' and `fend' to unsigned char*.
	(do_endif): Cast to char* when assigning to one.
	(do_assert): Likewise.
	(do_unassert): Likewise.
	(cpp_read_check_assertion): Change the type of `name' to U_CHAR*.
	Don't do unnecessary cast to char* anymore.

	* genrecog.c (make_insn_sequence): Cast to char** when assigning
	to one.  Cast the first argument of bzero to PTR.

	* loop.c (strength_reduce): Remove unused variable `note'.

	* reload1.c (new_insn_chain): Cast to struct insn_chain* when
	assigning to one.

	* rtl.c (copy_rtx): Use memcpy instead of bcopy.

Fri Mar 19 11:19:31 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* calls.c (initialize_argument_information): Mark parameters
	`num_actuals' and `n_named_args' with ATTRIBUTE_UNUSED.

	* dbxout.c (dbxout_start_new_source_file): Likewise for parameter
	`filename'.
	(dbxout_finish): Likewise for parameters `file' and `filename'.
	(dbxout_prepare_symbol): Likewise for parameter `decl'.
	(dbxout_begin_function): Likewise.

	* explow.c (hard_function_value): Likewise for parameter `func'.

	* function.c (locate_and_pad_parm): Likewise for parameter `fndecl'.

	* expmed.c (expand_divmod): Omit unused argument to `expand_abs'.
	* expr.c (expand_expr): Likewise.
	* expr.h (expand_abs): Delete unused argument from prototype.
	* optabs.c (expand_abs): Remove unused parameter `unsignedp'.

	* sdbout.c (sdbout_init): Mark parameter `syms' with ATTRIBUTE_UNUSED.
	(sdbout_end_block): Likewise for parameter `n'.

	* toplev.c (debug_define): Likewise for parameters `lineno' and
	`buffer'.
	(debug_undef): Likewise.

	* varasm.c (named_section): Likewise for parameter 'reloc'.
	(assemble_external): Likewise for parameter `decl'.
	(assemble_alias): Likewise for parameter `target'.

Fri Mar 19 01:54:30 1999  Theodore Papadopoulo  <Theodore.Papadopoulo@sophia.inria.fr>

	* toplev.c (read_integral_parameter): Constify.  Better control of
	error messages.
	(main): Use read_integral_parameter to set optimize, id_clash_len,
	larger_than_size, and the debugging level.
	* toplev.h (read_integral_parameter): Update prototype.

Fri Mar 19 01:42:05 1999  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* system.h: Use putc_unlocked, fputc_unlocked, and
	fputs_unlocked only if putc_unlocked has a prototype already.
	Prototype fputs_unlocked if necessary.
	* configure.in: Check for prototypes of putc_unlocked and
	fputs_unlocked.
	* acconfig.h: Updated.
	* config.in, configure: Rebuilt.

Fri Mar 19 02:45:12 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.in (INTL_TARGETS): New macro.
	($(INTL_TARGETS)): Depend on generated sources; drop dependencies
	on cp/parse.c and objc/objc-parse.c.
	($(srcdir)/cp/parse.c): Move to cp/Make-lang.in.
	* objc/Make-lang.in ($(INTL_TARGETS)): Depend on objc/objc-parse.c.

Thu Mar 18 22:28:53 1999  Jeffrey A Law  (law@cygnus.com)

	* i860.h (TARGET_SWITCHES): Add documentation.
	* i860/paragon.h (TARGET_SWITCHES): Add documentation.
	* i370.h (TARGET_SWITCHES): Add documentation.
	* fx80.h (TARGET_SWITCHES): Add documentation.
	* elxsi.h (TARGET_SWITCHES): Add documentation.
	* clipper.h (TARGET_SWITCHES): Add documentation.
	* 1750a.h (TARGET_SWITCHES): Add documentation.
	* pa.h (TARGET_SWITCHES): Add documentation.
	(TARGET_OPTIONS): Likewise.
	* mn10300.h (TARGET_SWITCHES): Add documentation.
	* h8300.h (TARGET_SWITCHES): Add documentation.

Thu Mar 18 15:58:26 1999  Nick Clifton  <nickc@cygnus.com>

	* loop.c (strength_reduce): Do not perform pseudo replacements
	if the loop contains volatile memory references.

Thu Mar 18 19:09:50 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload.c (find_reloads_toplev): When processing X recursively,
	don't alter it destructively except by filling in constants.

Thu Mar 18 10:14:18 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cccp.c (default_include): Initialize structure members.
	(pass_thru_directive): Change the type of 'keyword_length' to int.
	(main): Cast `bindtextdomain' and `textdomain' to (void).

	* collect2.c (main): Likewise.

	* cppmain.c (main): Likewise.

	* gcc.c (main): Likewise.

	* gcov.c (main): Likewise.

	* protoize.c (main): Likewise.

	* toplev.c (main): Likewise.

1999-03-18  Gavin Romig-Koch  <gavin@cygnus.com>

	* config/mips/mips.c (mips_explicit_type_size_string): Correct
	its type.

Thu Mar 18 01:24:25 1999  Jeffrey A Law  (law@cygnus.com)

	* configure.in: Use "exit 1", not "exit (1)".
	* configure: Rebuilt.

Wed Mar 17 23:17:42 1999  Mark Kettenis  <kettenis@gnu.org>

	* config/t-gnu (SYSTEM_HEADER_DIR): New variable.  Set to
	`/include' in order to find the system's limits.h.

Wed Mar 17 23:00:18 1999  Robert Lipe  <robertlipe@usa.net>

	* fixinc/fixincl.c: Include auto-host.h instead of config.h.
	* fixinc/procopen.c: Likewise.
	* fixinc/regex.c: Likewise.
	* fixinc/server.c: Likewise.

Wed Mar 17 22:46:13 1999  Mark Elbrecht  <snowball3@usa.net.

	* config/i386/go32.h: Delete.
	* config/i386/djgpp.h: New. Renamed from go32.h.
	Added -DDJGPP=2 to CPP_PREDEFINES.
	* config/i386/go32-rtems.h: Delete.
	* config/i386/djgpp-rtems.h: New. Renamed from go32-rtems.h.
	Added -DDJGPP=2 to CPP_PREDEFINES.
	* config/i386/xm-go32.h: Delete.
	* config/i386/xm-djgpp.h: New. Renamed from xm-go32.h.
	* config/i386/x-go32: Delete.
	* config/i386/x-djgpp: New. Renamed from x-go32.
	* config/i386/t-go32: Delete.
	* config/i386/t-djgpp: New. Renamed from t-go32.
	* configure.in(pc-msdosdjgpp): Set xm_file to i386/xm-djgpp.h.
	Set tm_file to i386/djgpp.h. Set tmake_file to i386/t-djgpp.
	Set xmake_file to i386/x-djgpp.
	(*-go32-msdos, *-go32*): Remove entries.  Warn that GO32/DJGPP V1.X
	is now unsupported and *-pc-msdosdjgpp for DJGPP V2.X should be
	used instead.
	* configure: Rebuilt.

	* gcc.c (process_command): Dump link_command_spec too.

Wed Mar 17 20:38:08 1999  Jerry Quinn  <jquinn@nortelnetworks.com>
			  Jeff Law  <law@cygnus.com>

	* pa.md: Add real PA8000 scheduling information.

	* pa.h (processor_type): Add PROCESSOR_8000 symbol.
	(ISSUE_RATE): Revamp, including PA8000 support.
	* pa.c (override_options): Add 8000 as -mschedule= option.
	Do not call strcmp if pa_cpu_string is null.
	* pa.md (attr cpu): Add 8000.
	* invoke.texi: Add documentation for PA8000 scheduling.

Wed Mar 17 18:20:24 1999  David S. Miller  <davem@redhat.com>

	* config/sparc/sparc.h (TARGET_SWITCHES, TARGET_OPTIONS):
	Add descriptions.
	* config/sparc/sp64-elf.h (SUBTARGET_SWITCHES): Likewise.
	* config/sparc/splet.h (SUBTARGET_SWITCHES): Likewise.

Wed Mar 17 14:51:19 1999  Richard Henderson  <rth@cygnus.com>

	* flow.c (compute_immediate_dominators): New function.
	* basic-block.h (compute_immediate_dominators): Declare it.

	* alpha.h (HARD_REGNO_MODE_OK): Allow only 4 and 8 byte unit modes
	in FP regs.
	(MODES_TIEABLE_P): Define asymmetricly wrt modes illegal in FP regs.

Wed Mar 17 14:41:41 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/aout.h (ASM_GENERATE_INTERNAL_LABEL): Fix compile
	time warning.
	* config/arm/arm.md: Fix various compile time warnings.
	* config/arm/arm.h: Fix various compile time warnings.  Add
	function prototypes.
	* config/arm/arm.c: Fix various compile time warnings.
	(arm_override_options): Reorganize to separate tuning from
	targetting.
	(bit_count): New function: Return a count of the number of bits
	set in a word.

Wed Mar 17 21:29:12 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload1.c (eliminate_regs): Don't keep REG_DEAD notes around for
	things that were eliminated.

Wed Mar 17 12:16:26 1999  Richard Henderson  <rth@cygnus.com>

	* function.c (fixup_var_refs_1): First try moving the expression
	directly into a register.  Don't separate cc0 setter and user.

Wed Mar 17 11:20:29 1999  Dave Brolley  <brolley@cygnus.com>

	* cppfiles.c (PIPE_BUF): #define PIPE_BUF if not defined already.

Wed Mar 17 09:25:06 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* c-lex.c: Don't include setjmp.h.
	(parse_float): New static function.
	(pf_args): New struct.
	(yylex): Use them in call to `do_float_handler'.

1999-03-16  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* cexp.y (yyerror): Call verror to get a useful error message.
	* cexp.c: Rebuilt.

	* .gdbinit: Move command to put breakpoint at abort to end of file
	so that gdb does not bail out early.

Tue Mar 16 15:30:19 1999  Nick Clifton  <nickc@cygnus.com>

	* rtl.h: Rename prototype for free_bb_memory to free_bb_mem.

Tue Mar 16 23:40:09 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.md (movsi_i): Move t/r alternative after r/rI alternative.

Tue Mar 16 13:44:50 1999  Jim Wilson  <wilson@cygnus.com>

	* mn10200/mn10200.md (addsi3, subsi3, ashlsi3, lshrsi3, ashrsi3):
	Delete emit_library_call_value declaration.

1999-03-16  Zack Weinberg  <zack@rabi.columbia.edu>

	* cppfiles.c (read_and_prescan): Map backslash-newline to '\r'
	(which cannot otherwise appear in the processed buffer) and
	move it out of tokens that it appears in the middle of.
	Improve performance.
	(find_position): New function.

	* cpplib.c: \r (one character) indicates backslash
	newline, not \\\n (two characters).  It cannot appear in the
	middle of a token.  Call CPP_BUMP_LINE (pfile) whenever
	parsing moves past \n or \r.  Increment pfile->lineno whenever
	a \n is placed into token_buffer.  Only one mark can exist at
	a time, and CPP_BUMP_LINE must not be used while it is
	active.  It is automatically cleared by cpp_pop_buffer and
	parse_goto_mark.  \r is not in is_hor_space or is_space.

	(NEWLINE_FIX, NEWLINE_FIX1, adjust_position,
	update_position, count_newlines, parse_move_mark): Removed.
	(parse_string, copy_comment): New functions.
	(parse_name): Returns void.
	(parse_set_mark, parse_clear_mark, parse_goto_mark): Take only
	one argument, a cpp_reader *.  Change for new marking scheme.
	(skip_comment): Handle CHILL line comments too.  Second
	argument is now first character of comment marker; all callers
	changed.  Issue error for unterminated block comment here.
	(cpp_skip_hspace): Recognize CHILL comments.
	(copy_rest_of_line): Likewise.  Call skip_comment and
	parse_string directly, don't go through cpp_get_token.  Emit
	"/**/" for block comments if -traditional (create_definition
	needs this).
	(do_define): Don't play with put_out_comments.
	(cpp_push_buffer): Initialize ->mark to -1.
	(cpp_buf_line_and_col): Just read out the values in the buffer
	structure.
	(output_line_command): Use cpp_buf_line_and_col.  Fix
	formatting.  Remove stale code.
	(cpp_get_token): Break out string parsing code to
	parse_string.  Use skip_comment for CHILL comments too.  Use
	copy_comment for put_out_comments instead of dinking with
	marks.  Remove stale code.  Don't call output_line_command
	unless it's necessary.

	* cpplib.h (parse_marker): Removed.
	(struct cpp_buffer): Line_base is now a unsigned char *; add
	`mark' [long], remove `marks' [struct parse_marker *].
	(parse_set_mark, parse_clear_mark, parse_goto_mark): Update
	prototypes.
	(CPP_BUMP_LINE, CPP_BUMP_BUFFER_LINE): New macros.
	* cppinit.c (is_hor_space, is_space): '\r' is not considered
	whitespace.
	* cppexp.c (cpp_parse_expression): Use cpp_skip_hspace, not
	SKIP_WHITE_SPACE.
	* cpphash.c (macarg): Disable line commands while expanding.

Tue Mar 16 11:30:19 1999  Gavin Romig-Koch  <gavin@cygnus.com>

	* c-lex.c (yylex) : Remove warning for integer literals being
	larger than the largest target int.  Add warning for integer
	literal being larger than than its chosen type.

Tue Mar 16 10:53:17 1999  Gavin Romig-Koch  <gavin@cygnus.com>

	* invoke.texi: Add -mlong32 documentation.
	* config/mips/mips.h (mips_explicit_type_size_string): New.
	(TARGET_SWITCHES): Add 'long32'.
	(TARGET_OPTIONS): Add 'explicit-type-size'.
	(CC1_SPECS): Set -mexplicit-type-size.
	(LONG_MAX_SPEC): Change a use of 'no-long64' to 'long32'.
	* config/mips/abi64.h (LONG_MAX_SPEC): Same.  Add 'mabi=32'.
	* config/mips/mips.c (mips_explicit_type_size_string): New.
	(override_options): Use it.
	* config/mips/osfrose.h (CC1_SPECS): Set -mexplicit-type-size.

	* config/mips/mips.h (SUBTARGET_CPP_SIZE_SPEC):
	Pointer size now depends on both size longs and size of GP
	registers.

Tue Mar 16 10:22:22 1999  Gavin Romig-Koch  <gavin@cygnus.com>

	* config/mips/iris.h (CTORS_SECTION_ASM_OP,DTORS_SECTION_ASM_OP,
	dtors_section): Use Pmode == DImode rather than TARGET_LONG64.
	* config/mips/mips.c (override_options): Allow -mlong64 and
	-mint64 with -mips2 or less.
	* config/mips/mips.h (MASK_LONG64): Fix comment.
	(POINTER_SIZE): Use Pmode == DImode rather than TARGET_LONG64.
	(Pmode): Make Pmode the smaller of longs or gp registers.
	* invoke.texi: Note the new size for pointers.

Mon Mar 15 22:45:25 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.h (ASM_OUTPUT_{DOUBLE,FLOAT}): Always generate IEEE 754
	bit-pattern directly.
	(ASM_OUTPUT_REG_{PUSH,POP}): Delete.
	* rs6000.c (first_reg_to_save): If profiling and context needed,
	allocate a reg to save static chain for all ABIs.  For AIX
	profiling, calculate parameter registers to save based on need.
	(output_function_profiler): Save and restore static chain around
	profile call for all ABIs.

1999-03-15  Zack Weinberg  <zack@rabi.columbia.edu>

	* cppinit.c: Instead of one pending list, keep separate lists
	for each category of pending option: -D/-U, -A, -include,
	-imacros.  Move the four partial include-path lists into the
	pending block.  Use head and tail pointers so we don't ever
	have to reverse the lists.

	(cpp_start_read): Break out blocks of code to their own
	functions: install_predefs and initialize_dependency_output.
	Use path_include for C_INCLUDE_PATH and friends as well as
	CPATH.  Remove include_defaults gunk.  Warn about the
	combination of -lang-chill and -trigraphs.  Optimize string
	bashing.  Walk each pending list once, deallocating as we go.

	(append_include_chain): Brought over from cppfiles.c.  Mark
	dirs as system include dirs if and only if appending to
	system include path. If opts->verbose, print a notice when a
	dir is dropped from the include path because it doesn't
	exist.  Fix memory leak: this function is not supposed to copy
	its DIR argument.

	(nreverse_pending, push_pending): Removed.
	(APPEND): New macro for adding to pending lists.
	(path_include): Can now add to any partial include path.
	(base_name): Bring over from cccp.c.
	(cpp_options_init): Allocate the pending block.
	(cpp_handle_option): Add --version.  Exit after --help.  Fix
	formatting.  Order -ifoo options by frequency of usage.
	(install_predefs): New function, simplified version of code
	that was in cpp_start_read.
	(initialize_dependency_output): Likewise.  Understand OBJECT_SUFFIX.

	* cppfiles.c (simplify_pathname): Export.
	(merge_include_chains): Don't nreverse the lists.  If
	opts->verbose, print a notice when a duplicate dir is detected
	and dropped from the include path.
	(finclude): Fix excessive cleverness in setting
	fp->system_header_p.
	(actual_directory): Set x->sysp from
	CPP_BUFFER (pfile)->system_header_p so that one system header
	may include another with "".
	(deps_output): Fix double adjustment of deps_size which would
	cause all dependencies after the first two lines to be lost.

	* cpplib.c (cpp_unassert): New function.
	* cpplib.h: Lay out struct cpp_pending here.  Adjust
	prototypes.  Add include_prefix_len to struct cpp_options.

Mon Mar 15 16:01:52 1999  Jim Wilson  <wilson@cygnus.com>

	* config/misp/mips.h (REGISTER_MOVE_COST): Make the cost of moving
	from HI/LO/HILO/MD into general registers the same as for one
	of moving general registers to HI/LO/HILO/MD.

Mon Mar 15 12:39:38 1999  Nick Clifton  <nickc@cygnus.com>

	* config/m32r/m32r.c (init_idents): New function.  Initialize
	static tree nodes for m32r specific attribute identifiers.  Remove
	leading and trailing double underscores from the attribute names.
	(m32r_valid_machine_decl_attribute): Call init_idents.
	(m32r_encode_section_info): Call init_idents.

Mon Mar 15 10:20:20 1999  Mark Mitchell  <mark@markmitchell.com>

	* reload.c (find_reloads): Add a REG_LABEL note if we substitute a
	LABEL_REF for something else.

Mon Mar 15 08:24:17 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* fold-const.c (exact_real_inverse): Move variable `float_error'
	into the scope where it is used.
	(const_binop_1): New static function.
	(cb_args): New struct.
	(const_binop): Use them in call to `do_float_handler'.
	(fold_convert_1): New static function.
	(fc_args): New struct.
	(fold_convert): Use them in call to `do_float_handler'.

Mon Mar 15 22:50:18 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* rtlanal.c (auto_inc_p): New function.
	* rtl.h (auto_inc_p): Prototype it.
	* reload1.c (add_auto_inc_notes): New function.
	(reload): Strip REG_INC notes and call add_auto_inc_notes
	for each insn to restore them correctly.

1999-03-15  Manfred Hollstein  <manfred@s-direktnet.de>

	* fixinc/Makefile.in (procopen.o): List the actual
	dependencies.

Sun Mar 14 16:22:10 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cse.c (check_fold_consts): New static function.
	(cfc_args): New struct.
	(simplify_relational_operation): Use them in call to
	`do_float_handler'.

	* toplev.c (do_float_handler): New function to wrap calls to
	setjmp/set_float_handler.

	* toplev.h (do_float_handler): Add extern prototype.

	* tree.c (build_real_from_int_cst_1): New static function.
	(brfic_args): New struct.
	(build_real_from_int_cst): Use them in call to
	`do_float_handler'.

Sun Mar 14 01:15:06 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sat Mar 13 17:37:18 1999  Richard Henderson  <rth@cygnus.com>

	* haifa-sched.c (sched_analyze_1): Only clear reg_last_uses on a SET.

Sat Mar 13 11:36:16 1999  Richard Earnshaw  (rearnsha@arm.com)

	* arm.c (arm_split_constant): Don't try to force a constant to
	memory after arm_reorg has run.
	(after_arm_reorg): New static variable.
	(arm_reorg): Set it.
	(output_func_epilogue): Clear it.

Fri Mar 12 20:26:32 1999  David Edelsohn  <edelsohn@gnu.org>

	* configure.in ({rs6000,powerpc}-ibm-aix*): Set float_format to none.
	* configure: Rebuilt.

Fri Mar 12 20:45:30 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* unroll.c (loop_iterations): Don't return a final value for EQ
	comparison loops.

Fri Mar 12 12:35:01 1999  Jim Wilson  <wilson@cygnus.com>

	* reload1.c (calculate_needs_all_insns): When ignore equivalence
	setting insn, clear need_elim, need_reload, and need_operand_change.

Fri Mar 12 07:54:43 1999  Bruce Korb  <korb@datadesign.com>

	* fixinc/fixinc.*: Some changes from the fixincl-branch
	were not applied (??!!).  Corrected.

	* fixinc/Makefile.in: Same thing.

Fri Mar 12 00:51:43 1999  Jeffrey A Law  (law@cygnus.com)

	* expr.c (expand_expr): Allow a CALL_EXPR with a mode wider than
	MAX_INTEGER_COMPUTATION_MODE.

Thu Mar 11 14:00:58 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.h (HARD_REGNO_MODE_OK): Disallow QI/HImode in fp regs.
	(MODES_TIEABLE_P): Update.

	* alpha.md (ev5_e0): Conflict loads and stores.

Thu Mar 11 13:55:52 1999  Richard Henderson  <rth@cygnus.com>

	* machmode.h (smallest_mode_for_size): Prototype.
	* stor-layout.c (smallest_mode_for_size): Remove static.

Thu Mar 11 21:25:59 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (strength_reduce): Don't do biv increment -> DEST_REG giv
	conversion if we don't know the lifetime.

Thu Mar 11 20:37:59 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload.1c (delete_address_reloads_1): Check for reloads of
	CURRENT_INSN even if it sets DST.

Thu Mar 11 10:29:50 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* dwarf2out.c (add_AT_lbl_offset): Rename from add_AT_section_offset.
	(print_die, size_of_die, value_format, output_die): Adjust.

Thu Mar 11 10:27:42 1999  Robert Lipe  <robertlipe@usa.net>

	* dwarf2out.c (TEXT_SECTION_LABEL, DEBUG_LINE_SECTION_LABEL,
	DEBUG_INFO_SECTION_LABEL, ABBREV_SECTION_LABEL,
	text_section_label, debug_line_section_label,
	debug_info_section_label, abbrev_section_label): New.
	(output_compilation_unit_header): Emit label associated
	with section instead of section name itself.
	(out_pubnames, output_aranges, output_line_info,
	dwarf2out_finish): Likewise.
	(dwarf2out_init): Build internal label names for sections
	from static labels.

Thu Mar 11 17:28:32 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.md (mulsi3): End mul.l sequence with a no-op move.

Thu Mar 11 08:52:02 1999  Bruce Korb  <korb@datadesign.com>

	* Makefile.in: Activated fixinc/mkfixinc.sh.
	* configure.in: Activated fixinc/mkfixinc.sh.

Thu Mar 11 01:38:02 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* cppfiles.c (INO_T_EQ): Handle UWIN.

	* c-common.c (decl_attributes): Flag unrecognized attribute
	functions as warnings instead of as errors.

	Support for i386-pc-uwin.
	* i386/uwin.h: New file.
	* i386/xm-uwin.h: New file.
	* i386/t-uwin: New file.
	* i386/uwin.asm: New file.
	* configure.in (i[3456]86-*-uwin*): Define.
	Add Workaround for vfork bug when hosted on uwin.
	* configure: Regenerate.

	* cccp.c (INO_T_EQ): Undefine. UWIN has inodes.
	(absolute_filename): UWIN uses POSIX pathnames only.
	* libgcc2.c (getpagesize): Do not define for UWIN.
	(mprotect): Likewise.
	* protoize.c (dirent.h): Conditionally include.
	(fputc): Prototype only if it's not a macro.

Wed Mar 10 02:49:04 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* configure.in: Remove init_priority stuff.

1999-03-11  Colin Smith  <colin@wrs.com>

	* sdbout.c (plain_type_1): Make boolean types work better with sdb.

Thu Mar 11 00:20:52 1999  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* gcc.texi: Update bug reporting instructions to match
	current ezmlm list reality.

Wed Mar 10 23:11:19 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c (print_file_name, print_prog_name, spec_machine,
	read_specs, set_spec, lookup_compiler, build_search_list,
	putenv_from_prefixes, find_a_file, record_temp_file,
	delete_if_ordinary, handle_braces, do_spec, do_spec_1, find_file,
	is_directory, validate_switches, used_arg, default_arg,
	pfatal_with_name, perror_with_name, pfatal_pexecute, fatal, error,
	notice, add_preprocessor_option, add_assembler_option,
	add_linker_option, process_command, execute,
	unused_prefix_warnings, clear_args, fatal_error,
	lang_specific_driver, user_specs, compiler, link_command_spec,
	option_map, translate_options, make_temp_file, temp_name,
	programname, path_prefix, machine_suffix, just_machine_suffix,
	gcc_exec_prefix, standard_exec_prefix, standard_exec_prefix_1,
	md_exec_prefix, md_startfile_prefix, md_startfile_prefix_1,
	standard_startfile_prefix, standard_startfile_prefix_1,
	standard_startfile_prefix_2, tooldir_base_prefix, tooldir_prefix,
	multilib_dir, temp_filename, temp_file, command, switchstr,
	infile, outfiles, input_filename, input_basename, input_suffix,
	check_live_switch, main): Qualify a char* with the `const' keyword.

Wed Mar 10 20:28:29 1999  Jeffrey A Law  (law@cygnus.com)

	* lcm.c: New file.
	* Makefile.in (OBJS): Add lcm.o.
	(lcm.o): Add dependencies.

	* gcse.c (compute_pre_local_properties): Delete.
	(compute_pre_data): Use compute_local_properties instead of
	compute_pre_local_properties.

	* gcse.c: More comments, whitespace and similar fixes.
	(dump_cuid_table, maybe_set_rd_gen, dump_cprop_data): Delete.
	(dump_pre_data, compute_cprop_local_properties): Likewise.
	(one_classic_gcse_pass): Lose unused argument.  All callers changed.
	(compute_hash_table, compute_expr_hash_table): Likewise.
	(compute_set_hash_table, one_pre_gcse_pass, mark_call): Likewise.
	(cprop_insn, cprop, one_cprop_pass): Add new argument ALTER_JUMPS.
	All callers changed.  Only alter jumps if ALTER_JUMPS is nonzero.
	Lose unused argument.
	(gcse_main): Always run a cprop pass after finishing global cse.
	(compute_local_properties): New function.
	(hash_scan_pat, hash_scan_insn): No longer call maybe_set_rd_gen.
	(compute_cprop_data): Use compute_local_properties.

	* gcse.c: Update various comments.
	(current_function_calls_longjmp): Delete declaration.

	* gcse.c (run_jump_opt_after_gcse): New variable.
	(gcse_main): Returns an integer.
	(hash_scan_set): Record initializations from CONST_DOUBLEs too.
	(try_replace_reg): Update some comments.
	(cprop_insn): Allow propagation into some JUMP_INSNs too.
	* rtl.h (gcse_main): Update prototype.
	* toplev.c (rest_of_compilation): If gcse_main returns nonzero,
	then run a jump optimization pass.
	* jump.c (delete_barrier_successors): Delete nop jumps too.

Wed Mar 10 19:04:31 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.c (fp_arith_reg_operand): Actually test if reg is suitable
	for FP arithmetic.  Changed caller.
	* sh.md (subsf3, subsf_i): Use fp_arith_reg_operand.

Wed Mar 10 18:56:31 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload1.c (choose_reload_regs): When inheriting from the frame
	pointer, don't clobber it.

Wed Mar 10 08:01:52 1999  Bruce Korb  <korb@datadesign.com>

	* fixinc/fixinc.*: Resync-ed with the files in this
	directory.

	* fixinc/mkfixinc.sh: The machine case elements were
	out-of-order.  (the ix86-*-linux-gnu* entry needed to
	be earlier).

Wed Mar 10 00:01:24 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload1.c (reload_combine_note_store): Fix calculation of number
	of affected registers.

Tue Mar  9 15:48:15 1999  Richard Henderson  <rth@cygnus.com>

	* flow.c (tidy_fallthru_edge): Be more careful finding the last
	BARRIER of a list.  Delete the cc0 setter as well as a cond jump.

Tue Mar  9 15:26:02 1999  Hans-Peter Nilsson  <hp@bitrange.com>

	* i386.md (ashlsi3 splitter): Fix typo in last change.

Tue Mar  9 11:35:20 1999  Richard Henderson  <rth@cygnus.com>

	* reg-stack.c (stack_reg_life_analysis): Use returnjump_p
	instead of an explicit test for RETURN.

Tue Mar  9 09:33:16 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* Makefile.in (toplev.o): Depend on $(BASIC_BLOCK_H).

	* toplev.c: Include basic-block.h.

Tue Mar  9 02:08:17 1999  Jeffrey A Law  (law@cygnus.com)

	* calls.c (load_register_parameters): New function.
	(expand_call): Use it.

	* calls.c (expand_call): Slightly reorganize code.

	* calls.c (compute_argument_addresses): New function.
	(rtx_for_function_call): New function.
	(expand_call): Use them.

	* i386.md (zero_extendhisi2): Split into an expander and anonymous
	pattern.  Add new anonymous pattern for use when optimizing for
	size or for the PPro.
	(zero_extendqihi2, zero_extendqisi2): Likewise.

Mon Mar  8 23:43:47 1999  Richard Henderson  <rth@cygnus.com>

	* haifa-sched.c (sched_analyze_1): Fix last change -- add clobber
	dependencies to sets in the non-hard-reg case too.

Mon Mar  8 18:55:21 1999  Marc Espie  <espie@cvs.openbsd.org>

	* config/openbsd.h (HANDLE_SYSV_PRAGMA): Define.

Mon Mar  8 16:04:44 1999  Jim Wilson  <wilson@cygnus.com>

	* local-alloc.c (combine_regs): Don't combine if we have a hard reg
	for which CLASS_LIKELY_SPILLED_P is true.

	* unroll.c (loop_iterations): Only call loop_find_equiv_value if we
	have a REG or SUBREG.

Mon Mar  8 15:27:42 1999  Jeffrey A Law  (law@cygnus.com)

	* i386.md (ashlsi3): Revise comments.  Provide new anonymous
	pattern for Pentium and PPro/PII.  Reverse constraints in
	generic ashlsi3 anonymous pattern.

	* calls.c (initialize_argument_info): Accept a pointer to
	CUMULATIVE_ARGS.
	(expand_call): Pass the address of CUMULATIVE_ARGS.

	* rs6000/xm-sysv4.h (HOST_BITS_PER_LONGLONG): Remove #if 0.

	* mn10300.h (CASE_DROPS_THROUGH): Delete.
	* mn10200.h (CASE_DROPS_THROUGH): Delete.
	* h8300.h (CASE_DROPS_THROUGH): Delete.

	* flow.c (merge_blocks_nomove): For HAVE_cc0 targets, make sure
	to also delete the cc0 setter when deleting a conditional branch
	to the next block.

Mon Mar  8 18:47:11 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* regmove.c (copy_src_to_dest): New argument max_old_uid.

Mon Mar  8 08:23:00 1999  Bruce Korb  <korb@datadesign.com>

	* ChangeLog: Merged entries from fixincl-branch.

Sun Mar  7 11:48:56 1999  Richard Henderson  <rth@cygnus.com>

	* haifa-sched.c (ENCODE_BLOCKAGE): Don't shift unit too far.
	(print_exp): Special case addition of a constant.
	(print_value) [CONST_INT]: Use HOST_WIDE_INT_PRINT_HEX.

Sun Mar  7 11:21:02 1999  Richard Henderson  <rth@cygnus.com>

	* haifa-sched.c (reg_last_clobbers): New.
	(reg_pending_clobbers, bb_reg_last_clobbers): New.
	(compute_block_backward_dependences): Allocate memory for them.
	(schedule_region): Likewise.
	(sched_analyze_1): Clobbers don't interfere with one another.
	They do interfere with sets ...
	(sched_analyze_2): ... and uses.
	(sched_analyze): Likewise.
	(sched_analyze_insn): Update reg_last_clobbers appropriately.

Sun Mar  7 08:30:37 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gmon-sol2.c: Include config.h and system.h.  Don't redundantly
	include system header files.
	(sccsid): Remove.
	(moncontrol, monstartup, _mcleanup, internal_mcount): Prototype.
	(_mcleanup): Add the `const' keyword to a char*.
	(internal_mcount): Declare `etext' as a char[] not a function.
	Cast `etext' to char* when calling `monstartup'.

	* sparc.c (frame_base_name, save_regs, restore_regs,
	build_big_number, sparc_cmodel_string, sparc_align_loops_string,
	sparc_align_jumps_string, sparc_align_funcs_string, code_model,
	cpu_default, cpu_table, output_function_prologue,
	output_function_epilogue, output_return,
	sparc_flat_output_function_prologue, ultra_code_names,
	sparc_flat_output_function_epilogue): Constify a char*.
	(hypersparc_adjust_cost): Add a default case in a switch.

	* sparc.h (sparc_cmodel_string, OVERRIDE_OPTIONS,
	sparc_cpu_select, sparc_align_loops_string,
	sparc_align_jumps_string, sparc_align_funcs_string,
	output_return): Constify a char*.

	* sparc.md (movdi): Change the comparison of HOST_BITS_PER_WIDE_INT
	so that we check "== 32", instead of "!= 64".  Cast a value to
	HOST_WIDE_INT when comparing against one.  Hide the declaration
	for variable `chain'.

Sun Mar  7 08:05:27 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* system.h (const, inline): Move the stage2 handling of these
	keywords-as-macros from here...

	* gansidecl.h (const, inline): ...to here.

Sun Mar  7 02:44:15 1999  Richard Henderson  <rth@cygnus.com>

	* recog.c (push_operand, pop_operand): VOIDmode needn't match modes.

Sun Mar  7 01:58:47 1999  Richard Henderson  <rth@cygnus.com>

	* cse.c (canon_hash): Never reject hard regs in CCmode.

Sun Mar  7 01:15:04 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sat Mar  6 17:18:44 1999  Richard Earnshaw  (rearnsha@arm.com)
			  Richard Henderson  <rth@cygnus.com>

	* flow.c (make_edges): Handle casesi that jump to default branch.
	If CASE_DROPS_THROUGH, force fallthru to block after casesi.

Sat Mar  6 07:49:23 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* c-aux-info.c (data_type, affix_data_type, gen_decl,
	gen_formal_list_for_type, gen_formal_list_for_func_def, gen_type):
	Qualify a char* with the `const' keyword.

	* c-common.c (declare_hidden_char_array, add_attribute, if_elt,
	declare_function_name, decl_attributes, format_char_info,
	check_format_info, binary_op_error): Likewise.

	* cexp.y (yyerror, error, pedwarn, warning, token): Likewise.

	* gcse.c (dump_hash_table): Likewise.

	* integrate.c (function_cannot_inline_p): Likewise.

	* optabs.c: Include insn-config.h earlier.
	(init_libfuncs, init_integral_libfuncs, init_floating_libfuncs):
	Qualify a char* with the `const' keyword.

	* real.c (asctoe24, asctoe53, asctoe64, asctoe113, asctoe,
	asctoeg, mtherr, ereal_atof): Likewise.

	* real.h (ereal_atof): Likewise.

	* sbitmap.c (dump_sbitmap_vector): Likewise.

	* sbitmap.h (dump_sbitmap_vector): Likewise.

	* stmt.c (nesting, n_occurrences, expand_start_case): Likewise.

	* toplev.c (rest_of_compilation): Likewise.

	* tree.h (function_cannot_inline_p, expand_start_case): Likewise.

Fri Mar  5 23:16:42 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.h (ASM_OUTPUT_REG_{PUSH,POP}): Add 64-bit support and do
	not overwrite AIX link register save area.

Fri Mar  5 23:08:01 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload.c (find_reloads_subreg_address): Actually create the USE
	for the register, not the new memory location.

Fri Mar  5 21:41:07 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload1.c (emit_reload_insns): If pseudo that can't be replaced
	with its equivalent constant, fall back to reload_in.

Fri Mar  5 13:20:39 1999  Richard Henderson  <rth@cygnus.com>

	* Makefile.in: Delete .flow2 debugging files.

Fri Mar  5 11:36:11 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.c (arm_override_options): Change default target
	cpu selection so that enabling TARGET_APCS_32 does not override
	default target CPU.

Fri Mar  5 19:26:23 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.h (SLOW_BYTE_ACCESS): Define to 1.
	(BOOL_TYPE_SIZE): Define.

Fri Mar  5 02:14:54 1999  John Wehle  (john@feith.com)

	* function.c (assign_stack_temp_for_type): Abort
	if mode == Blkmode and align is less than
	BIGGEST_ALIGNMENT / BITS_PER_UNIT.
	(assign_stack_temp_for_type): Round the size parameter
	passed to assign_stack_local instead of size itself.

Thu Mar  4 15:00:35 1999  Richard Henderson  <rth@cygnus.com>

	* flow.c (delete_unreachable_blocks): Mark blocks as they
	are put on to the worklist, not as they are taken off.

Thu Mar  4 00:05:44 1999  Jeffrey A Law  (law@cygnus.com)

	* function.c (current_function_has_computed_jump): Remove duplicate
	definition.

Wed Mar  3 19:09:11 1999  Jim Wilson  <wilson@cygnus.com>

	* m68k/m68020-elf.h (INIT_SECTION_ASM_OP, FINI_SECTION_ASM_OP): Undef.
	(STARTFILE_SPEC, ENDFILE_SPEC): Define to empty string.

	* sparc/elf.h (MULDI3_LIBCALL, DIVDI3_LIBCALL, UDIVDI3_LIBCALL,
	MODDI3_LIBCALL, UMODDI3_LIBCALL, STDC_0_IN_SYSTEM_HEADERS): Undef.
	(INIT_SUBTARGET_OPTABS): Define to empty.

Wed Mar  3 00:00:37 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.c (force_into): New function.
	(expand_block_move): Use it.

Tue Mar  2 10:39:43 1999  Nick Clifton  <nickc@cygnus.com>

	* cccp.c (struct default_include): Add 'included' field.
	(main): Set 'included' field when a default include directory
	is added to the chain.  If -v is specified list all default
	include directories which do not get appended to the chain.

Tue Mar  2 09:24:10 1999  Nick Clifton  <nickc@cygnus.com>

	* configure.in (gxx_include_dir): Rename to
	gcc_gxx_include_dir in order to prevent it being overridden by
	a top level Makefile.
	(gcc_tooldir): If $exec_prefix != $prefix then use the
	difference between the two as the basis for gcc_tooldir.

	* configure: Rebuild.

	* Makefile.in: Rename gxx_include_dir to gcc_gxx_include_dir.

Tue Mar  2 16:45:31 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* unroll.c (copy_loop_body): Don't make extra copies of
	NOTE_INSN_LOOP_CONT notes.

Tue Mar  2 07:44:56 1999  Mark Mitchell  <mark@markmitchell.com>

	* tree.c (save_tree_status): Don't treat functions with no context
	as nested.

Tue Mar  2 09:37:05 1999  Robert Lipe  <robertlipe@usa.net>

	* Makefile.in (MAKEINFO): Use makeinfo built from sibling
	tree when available.

Tue Mar  2 10:12:48 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* alpha.c (alpha_cpu_name, alpha_cpu_string, alpha_tp_string,
	alpha_fprm_string, alpha_fptm_string, alpha_mlat_string,
	current_function_file): Add the `const' keyword.
	(normal_memory_operand): Mark parameter `mode' with
	ATTRIBUTE_UNUSED.
	(alpha_expand_unaligned_load): Add a default case to a switch.

	* alpha.h (alpha_cpu_string, alpha_fprm_string, alpha_fptm_string,
	alpha_tp_string, alpha_mlat_string): Add the `const' keyword.
	(normal_memory_operand): Add prototype.

	* alpha.md: Cast an expression to `unsigned HOST_WIDE_INT' when
	comparing against one.

Tue Mar  2 10:00:21 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* mips.c (abort_with_insn): Make function static, add a prototype,
	constify 2nd parameter and mark with ATTRIBUTE_NORETURN.
	(current_function_file, mips_cpu_string, mips_isa_string,
	mips_abi_string, mips_no_mips16_string, mips_entry_string,
	mips_move_1word, mips_move_2words, output_block_move, load_store,
	override_options, make_temp_file, mips16_fp_args): Qualify a char*
	with the `const' keyword.

	* mips.h (current_function_file, mips_cpu_string, mips_isa_string,
	mips_abi_string, mips_entry_string, mips_no_mips16_string,
	mips_move_1word, mips_move_2words, output_block_move): Likewise.
	(abort_with_insn): Remove extern prototype.

	* mips.md: Qualify a char* with the `const' keyword.
	Remove many unused variables named `label'.

Tue Mar  2 01:27:52 1999  H.J. Lu  (hjl@gnu.org)

	* Makefile.in (cpp_install_dir, INSTALL_CPP, UNINSTALL_CPP): New
	variables.
	(install-cpp, uninstall-cpp): New targets.
	(install-normal): Depend on $(INSTALL_CPP).
	(uninstall): Depend on $(UNINSTALL_CPP).
	* configure.in (cpp_install_dir): New, substitute.
	(tmake_file): Added t-install-cpp for --enable-cpp.
	* configure: Rebuilt.
	* cpp.sh: New cpp script.
	* config/t-install-cpp: New target fragment.

Tue Mar  2 01:40:01 1999  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>
			  Jeffrey A Law  (law@cygnus.com)

	* cse.c (fold_rtx): Update comments for (const (minus (label) (label)))
	case.
	(cse_insn): Avoid creating a bogus REG_EQUAL note for
	(const (minus (label) (label)))
	(record_jump_cond): Fix mismatched paren in comment.

Tue Mar  2 01:07:12 1999  Dan Nicolaescu  <dann@godzilla.ics.uci.edu>

	* final.c (end_final): There are 11 words in the "main header"
	structure, not 10.

Tue Mar  2 00:09:18 1999  Marc Espie  <espie@cvs.openbsd.org>

	* extend.texi: Reference __extension__ in the index.

Mon Mar  1 19:09:32 1999  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (CROSS_FLOAT_H): Delete.
	(FLOAT_H): Use float_h_file.
	(rest.cross, stmp-int-hdrs): Delete gfloat.h dependency.
	(gfloat.h): Delete.
	(stmp-int-hdrs): Use FLOAT_H instead of gfloat.h.
	(mostlyclean): Delete gloat.h reference.
	(install-cross-rest, install-float-h-cross, stmp-headers): Update
	comments.
	* configure.in (sparcv9-*-solaris2*): Set float_format to none.
	(sparc-*-solaris2*): Set float_format to none for 2.5 and higher.
	(float_h_file): Set from float_format.  Substitute into Makefile.in.
	(float_format): No longer substitute into Makefile.in.
	* cross-make (FLOAT_H): Delete.
	* config/mips/t-cross64 (FLOAT_H): Delete.
	* configure: Rebuilt.

Mon Mar  1 16:36:18 1999  Jeffrey A Law  (law@cygnus.com)

	* mips.md (div_trap_normal, div_trap_mips16): Require the dependent
	insn to be an INSN before looking at its pattern.

Mon Mar  1 15:03:51 1999  Jim Wilson  <wilson@cygnus.com>

	* config/m68k/lb1sf68.asm (udivsi3): Change jmi to jcs.  Fix comments.
	* config/m68k/m68k.h (LEGITIMATE_INDEX_REG_P): Reject SIGN_EXTEND of
	HImode reg when TARGET_5200.

Mon Mar  1 21:44:30 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	From Toshiyasu Morita:
	* sh.h (CACHE_LOG): SH2 has cache, too.

Mon Mar  1 14:23:36 1999  Catherine Moore  <clm@cygnus.com>

	* toplev.c (compile_file): Disable -ffunction-sections and
	debugging warning if the object format is elf.

Mon Mar  1 11:46:25 1999  Vladimir N. Makarov  <vmakarov@cygnus.com>

	* config/h8300/h8300.c (print_operand): Use 16 bit addressing
	when the data in 8-bit area and can not be addressed by 8-bit.

Sun Feb 28 16:40:00 1999  Richard Henderson  <rth@cygnus.com>

	* flow.c (create_basic_block): Disregard integrated bb notes.

Sun Feb 28 15:57:06 1999  Richard Henderson  <rth@cygnus.com>

	* sparc.md (blockage, nonlocal_goto_receiver): Set length to 0.

Sun Feb 28 14:47:53 1999  Arturo Montes  <mitosys@colomsat.com.co>

	* config/i386/t-sco5gas (crti.o): New target.

Sun Feb 28 15:10:17 1999  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (elf_high, movsi_got, *movsi_got_internal,
	*movsi_got_internal_mem, GOT splitter, movdf_hardfloat32,
	movdf_softfloat32, movdf_hardfloat64, movdf_softfloat64,
	load_multiple, allocate_stack, call_indirect_aix32,
	call_indirect_aix64, call_value_indirect_aix32,
	call_value_indirect_aix64, call_indirect_nt,
	call_value_indirect_nt): Use gpc_reg_operand instead of
	register_operand.

Sun Feb 28 15:10:17 1999  Michael Meissner  <meissner@cygnus.com>

	* rs6000.md (one_cmplsi2, andsi3, iorsi3, xorsi3, *eqvsi3,
	*andcsi3, *iorcsi3, *nandsi3, *norsi3): Add alternatives to use CR
	other than cr0.
	* rs6000.c (and{,64}_operand): If the user did -ffixed-cr0, don't
	allow andi. or andis. which always set cr0.

Sun Feb 28 01:15:04 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sun Feb 28 02:00:38 1999  Jeffrey A Law  (law@cygnus.com)

	* invoke.texi: Update information for PA scheduling.

Sat Feb 27 23:21:47 1999  Jerry Quinn  <jquinn@nortelnetworks.com>
			  Mike Stump  <mrs@wrs.com>

	* pa.c (override_options): Change default to 7100LC.

	* pa.h (REG_ALLOC_ORDER): Change order to allocate left half of
	float regs before right half of float regs.

Sat Feb 27 22:48:38 1999  H.J. Lu  (hjl@gnu.org)
			  Jeffrey A Law  (law@cygnus.com)

	* frame.h: Update some comments.
	* defaults.h (TARGET_ATTRIBUTE_WEAK): Define.
	* crtstuff.c (__register_frame_info, __deregister_frame_info): Declare
	using TARGET_WEAK_ATTRIBUTE.
	(__do_global_dtors_aux): Check if __deregister_frame_info is
	zero before calling it.
	(__do_global_dtors): Likewise.
	(frame_dummy): Check if __register_frame_info is zero before
	calling it.
	(__frame_dummy): Likewise.

Sat Feb 27 19:18:24 1999  Jeffrey A Law  (law@cygnus.com)

	* SERVICE: Update from the FSF.

Sat Feb 27 14:31:22 1999  Arturo Montes  <mitosys@colomsat.com.co>

	* config/i386/t-sco5 (crti.o): New target.
	* config/i386/sco5.h (STARTFILE_SPEC): Include crti.o when
	linking -shared.
	* configure.in (i[34567]86-*-sco3.2v5*): Add crti.o.

Sat Feb 27 01:12:40 1999  Jeffrey A Law  (law@cygnus.com)

	* md.texi (prologue,epilogue): Document named patterns.

Fri Feb 26 19:31:25 1999  Dave Love  <fx@gnu.org>

	* md.texi, invoke.texi: Fix unterminated @xrefs.

Fri Feb 26 15:33:45 1999  Richard Henderson  <rth@cygnus.com>

	* genattrtab.c (simplify_knowing): Fix uninitialized read
	in Feb 21 change.

	* genextract.c (main): Clear recog_operands before extracting.

Fri Feb 26 02:24:57 1999  Jeffrey A Law  (law@cygnus.com)

	* c-pragma.c (add_weak); Delete.  Moved into...
	* varasm.c (add_weak): New external function.
	(declare_weak): If HANDLE_PRAGMA_WEAK, then add the function to
	the list of weak functions.
	* c-pragma (add_weak): Declare.

Thu Feb 25 23:43:59 1999  Richard Henderson  <rth@cygnus.com>

	Flow rewrite to use basic block structures and edge lists:

	* basic-block.h (x_basic_block_head, x_basic_block_end): Kill.
	(basic_block_computed_jump_target, basic_block_live_at_start): Kill.
	(struct edge_def): New.
	(struct basic_block_def): New.
	(basic_block_info): New.
	(BLOCK_HEAD, BLOCK_END): Update.
	(ENTRY_BLOCK_PTR, EXIT_BLOCK_PTR): New.
	(uid_block_number): Kill.
	(basic_block_for_insn, BLOCK_FOR_INSN): New.
	(BLOCK_NUM): Update.
	* flow.c (XNMALLOC): Kill.
	(max_uid_for_flow): Kill.
	(uid_block_number): Kill.
	(uid_volatile): Turn into a bitmap.
	(SET_INSN_VOLATILE): New.
	(basic_block_info): New.
	(entry_exit_blocks): New.
	(x_basic_block_head, x_basic_block_end): Kill.
	(basic_block_computed_jump_target, basic_block_live_at_start): Kill.
	(flow_int_list_blocks, basic_block_succ, basic_block_pred): Kill.
	(basic_block_loop_depth): Kill.
	(basic_block_for_insn): New.
	(find_basic_blocks): Split out initial block counting into
	count_basic_blocks.  Call functions split out of find_basic_blocks_1.
	(count_basic_blocks): New.
	(find_basic_blocks_1): Split out edge recognition, unreachable
	block deletion.
	(create_basic_block): New.
	(compute_bb_for_insn): New.
	(clear_edges): New.
	(free_bb_memory): Kill.
	(add_edge, add_edge_to_label): Kill.
	(mark_label_ref): Kill.
	(make_edges): Rewrite to use edge lists.
	(make_edge, make_label_edge): New.
	(mark_critical_edges): New.
	(split_edge, insert_insn_on_edge): New.
	(commit_one_edge_insertion, commit_edge_insertions): New.
	(delete_unreachable_blocks): Rewrite to use edge lists.
	Split out EH region manipulation into delete_eh_regions.
	Call tidy_fallthru_edge and merge_blocks.
	(delete_eh_regions): New.
	(delete_note_p): New.
	(delete_insn_chain): New.
	(delete_block): Split out code into delete_insn_chain and
	tidy_fallthru_edge.  Update edge lists.
	(expunge_block): New.
	(flow_delete_insn): New?
	(can_delete_label_p): New?
	(merge_blocks_nomove, merge_blocks): New.
	(tidy_fallthru_edge): New.
	(calculate_loop_depth): New.
	(life_analysis): Allocate and free uid_volatile.
	(free_basic_block_vars): Update for new structures.
	(record_volatile_insns): Use SET_INSN_VOLATILE.
	(mark_regs_live_at_end): Tidy EXIT_IGNORE_STACK usage.
	(mark_used_regs): Likewise.
	(life_analysis_1): Use bb global_live_at_start, global_live_at_end,
	local_set regsets.  Use bb->aux to store new_live_at_end.  Begin
	life propagation from EXIT_BLOCK rather than last block.  Clear
	regs_ever_live after mark_regs_live_at_end.
	(allocate_for_life_analysis): Update for new structures.
	(propagate_block): Split out loop depth calculation to
	calculate_loop_depth.
	(regno_uninitialized): Use bb->global_live_at_start.
	(regno_clobbered_at_setjmp): Likewise.
	(dump_bb_data): Likewise.
	(find_auto_inc): Use BLOCK_FOR_INSN instead of BLOCK_NUM.
	(dump_flow_info): Update for new structures.
	(dump_edge_info): New.
	(print_rtl_with_bb): Update for new structures.
	(compute_preds_succs): Do no work -- convert edge lists.
	(set_block_for_insn): From corpse of old set_block_num.
	(set_block_num): Call it.

	* rtl.c (note_insn_name): Add NOTE_INSN_BASIC_BLOCK.
	* rtl.h (rtunion_def): Add bb entry.
	(NOTE_BASIC_BLOCK): New.
	(NOTE_INSN_BASIC_BLOCK): New.

	* varray.h (varray_data_tag): Add bb entry.
	(VARRAY_BB_INIT, VARRAY_BB): New.

	* emit-rtl.c (emit_label_before): New.

	* except.c (expand_rethrow): Delete insns following the call to
	rethrow.  Put the REG_EH_RETHROW on the call.

	* jump.c (returnjump_p, returnjump_p_1): New.

	* expr.h (nonlocal_goto_handler_labels): New declaration.
	* function.c (nonlocal_goto_handler_labels): Define it.
	(push_function_context_to): Save it.
	(pop_function_context_from): Restore it.
	(init_function_start): Clear it.
	(nonlocal_label_rtx_list): Kill.
	* function.h (struct function): Add storage space for it.
	* stmt.c (expand_nl_handler_label): Return the new label.
	(expand_nl_goto_receivers): Collect a list of them in
	nonlocal_goto_handler_labels.

	* Makefile.in (print-rtl.o): Depend on basic-block.h.
	(flow.o): Depend on insn-flags.h.

	* function.c (thread_prologue_and_epilogue_insns): Do not
	half-heartedly update bb structures.

	* toplev.c: Add flow2 dump as -dw.
	(rest_of_compilation): Finish .greg before flow2.

	* graph.c (draw_edge): Handle class 3.
	(print_rtl_graph_with_bb): Make abnormal edges red class 2,
	change non-fall-thru but adjacent to green class 3.  Update
	to use new structures.

	* print-rtl.c (print_rtx): Handle NOTE_INSN_BASIC_BLOCK.

	* reg-stack.c (BLOCK_NUM): Convert to function.  Abort if
	block_number is -1.
	(reg_to_stack): Initialize block_num to -1.

	* combine.c (set_nonzero_bits_and_sign_copies): Update reference
	to basic_block_live_at_start to bb->global_live_at_start.
	(try_combine): Likewise.
	(reg_dead_at_p): Likewise.
	* global.c (global_conflicts): Likewise.
	Handle stack regs on all abnormal edges, not just computed jumps.
	(mark_elimination): Update reference to basic_block_live_at_start.
	(build_insn_chain): Likewise.
	* haifa-sched.c (haifa_edge): Rename from edge for conflict.
	(is_cfg_nonregular): Look at nonlocal_goto_handler_labels instead
	of nonlocal_label_rtx_list.
	(check_live_1): Update reference to basic_block_live_at_start.
	(update_live_1): Likewise.
	(find_pre_sched_live): Likewise.
	(find_post_sched_live): Likewise.
	* local-alloc.c (update_equiv_regs): Likewise.
	(block_alloc): Likewise.
	* reload1.c (reload, reload_combine): Likewise.
	* regmove.c (mark_flags_life_zones): Likewise.
	* resource.c (mark_target_live_regs): Likewise.
	* sched.c (schedule_block): Likewise.

	* regclass.c (regset_release_memory): Don't free
	basic_block_live_at_start.

	* unroll.c (copy_loop_body): Don't duplicate NOTE_INSN_BASIC_BLOCK.

Thu Feb 25 21:32:34 1999  Jason Merrill  <jason@yorick.cygnus.com>

	* fixinc.wrap: Also handle struct queue in sys/stream.h.
	* fixinc.svr4: Likewise.

	* dwarf2out.c (scope_die_for): Set scope_die to comp_unit_die
	rather than asserting it.

Thu Feb 25 23:33:06 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cppexp.c (left_shift, right_shift, parse_charconst, COMPARE,
	cpp_parse_expr): Replace uses of long/HOST_BITS_PER_LONG with
	HOST_WIDEST_INT/HOST_BITS_PER_WIDEST_INT.

	* Makefile.in (cppmain.o, cpplib.o, cpphash.o, cppalloc.o,
	cpperror.o, cppexp.o, cppfiles.o, cppinit.o, fix-header.o,
	scan-decls.o): Don't depend on machmode.h.

	* cppexp.c: Don't define CHAR_BIT or HOST_BITS_PER_WIDE_INT anymore.
	Replace all instances of HOST_WIDE_INT with HOST_WIDEST_INT.

	* cppfiles.c: Likewise.

	* cpplib.c: Likewise.

	* cpplib.h: Likewise.  Also don't include machmode.h anymore.

Thu Feb 25 18:46:26 1999  Richard Henderson  <rth@cygnus.com>

	* gcc.c (default_compilers): Define __FAST_MATH__ when appropriate.
	* objc/lang-specs.h: Likewise.

Thu Feb 25 16:19:43 1999  Jeffrey A Law  (law@cygnus.com)

	* pa.md (call patterns): Lose unused argument to output_call.

	* print-rtl.c (print_rtl): Print /j and /c for the jump/call flags.

1999-02-25  Zack Weinberg  <zack@rabi.columbia.edu>

	* cpphash.c (install): Rename to cpp_install, add cpp_reader*
	first argument.  All callers changed.
	(hashtab): Removed.
	(cpp_lookup, cpp_install): Change all refs to hashtab to
	pfile->hashtab.
	(cpp_hash_cleanup): Removed.
	* cpphash.h: Adjust prototypes.
	* cpplib.h (struct cpp_reader): Add hashtab pointer.
	* cppinit.c (cpp_reader_init): Also allocate space for the
	hashtab.
	(cpp_cleanup): Delete all macros and free the hashtab.

Thu Feb 25 21:52:54 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.h (PASS_IN_REG_P): For TARGET_HITACHI, don't pass structures
	in registers.

	* expr.h (PRETEND_OUTGOING_VARARGS_NAMED): Provide default definition.
	* function.c (assign_parms): Honour PRETEND_OUTGOING_VARARGS_NAMED.
	* calls.c (expand_call): Likewise.

	* sh.c (sh_expand_prologue): For TARGET_HITACHI, don't push varargs /
	stdarg arguments.
	* sh.h (CPP_SPEC): Add -D__HITACHI__ for -mhitachi.
	(FUNCTION_ARG): For TARGET_HITACHI, don't pass unnamed
	arguments in registers.
	(PRETEND_OUTGOING_VARARGS_NAMED): Define.
	* va-sh.h (entire file): If __HITACHI__ is defined, use sh[123]
	flavor varargs.

Thu Feb 25 14:32:40 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cse.c (dump_class): Revert last change and make the prototype
	extern.

Thu Feb 25 19:13:42 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* rtl.h (insn_first_p): Don't declare.
	* rtlanal.c (insn_first_p): Delete.
	* loop.c (loop_insn_first_p): Faster implementation.

Thu Feb 25 10:44:35 1999  Richard Earnshaw  (rearnsha@arm.com)

	* arm.h (TARGET_SWITCHES): Delete deprecated switches -m[236].
	(TARGET_3, TARGET_6): Delete.
	(ARM_FLAG_ARM[36]): Delete.
	(CPP_CPU_ARCH_SPEC): No need to handle -m[236] any more.
	(CC1_SPEC): Don't expand -m[236] into new equivalents.
	(CPP_APCS_PC_SPEC): No need to handle -m[236] any more.
	* arm.c (arm_override_options): Delete warnings about deprecated
	options -m[236].

	* arm.c (arm_finalize_pic): Build the label into the special pic
	adjustment insn instead of issuing it separately.
	* arm.md (pic_add_dot_plus_eight): Rework to contain the label
	that is needed.

	* arm.md (*zeroextractqi_compare0_scratch): Delete.
	(*ne_zeroextractsi): New pattern.

Thu Feb 25 18:40:06 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* stmt.c (expand_end_loop): Grok code emitted by
	expand_exit_loop_if_false.

Thu Feb 25 10:17:32 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.c (return_in_memory): Float fields in unions
	force a return in memory.
	(load_multiple_sequence): Add comment explaining why two LDR
	instructions can be better than an LDMIA instruction.

	* config/arm/arm.h (TARGET_SHORT_BY_BYTES): Add comment
	describing the real meaning of this option.
	(FIXED_REGISTERS): Default r10 to not-fixed.
	(CALL_USED_REGISTERS): Default r10 to not-call-used.
	(SUBTARGET_CONDITIONAL_REGISTER_USAGE): If not defined, define
	as empty.
	(CONDITIONAL_REGISTER_USAGE): Fix r10 if TARGET_APCS_STACK is
	true.  Invoke SUBTARGET_CONDITIONAL_REGISTER_USAGE after
	performing other checks.

	* config/arm/arm.md (zero_extendhisi2): Undo previous change.
	(extendhisi2): Undo previous change.
	Also add comments describing why TARGET_SHORT_BY_BYTES can be
	ignored for armv4(t) architectures.

	* config/arm/riscix.h (SUBTARGET_CONDITIONAL_REGISTER_USAGE):
	Define to fix r10.

	* config/arm/riscix1-1.h
	(SUBTARGET_CONDITIONAL_REGISTER_USAGE): Define to fix r10.

Thu Feb 25 12:09:04 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cse.c (dump_class): Make the function definition static to match
	the prototype.

Wed Feb 24 17:47:28 1999  Jim Wilson  <wilson@cygnus.com>

	* dbxout.c (gstab.h): Use if CROSS_COMPILE.

	* dwarf2out.c (add_location_or_const_value_attribute): Add big
	endian correction for parms passed in regs but living on the stack.

Wed Feb 24 14:03:54 1999  Jeffrey A Law  (law@cygnus.com)

	* calls.c (initialize_argument_information): New function extracted
	from expand_call.
	(expand_call): Use initialize_argument_information.  Remove variables
	which are no longer used due to cleanups.

	* calls.c (compute_argument_block_size): New function, extracted from
	expand_calls.
	(expand_calls): Use compute_argument_block_size.  Delete
	original_args_size, use unadjusted_args_size instead.

	* calls.c (precompute_arguments): New function, extracted from
	expand_call.
	(expand_call): Use precompute_arguments.

	* calls.c (finalize_must_preallocate): New function, extracted from
	expand_call.
	(expand_call): Use finalize_must_preallocate.

	* calls.c (store_one_arg): Mark "variable_size" as possibly unused.

	* regclass.c (record_reg_classes, case 'p'): Set classes appropriately.
	An alternative always fails if it needs a pseudo and no suitable
	register class can be found.

Wed Feb 24 19:47:56 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.h (loop_insn_first_p): Declare.
	* loop.c (loop_insn_first_p): No longer static.
	* unroll.c (iteration_info): Fix comparison to
	reg_iv_type->num_elements.
	Before accessing reg_biv_class, check index against
	max_reg_before_loop.
	Fix and enable code for giv iterators.
	(loop_iterations): Compare with reg_iv_type->num_elements instead
	of with max_reg_before_loop.

Wed Feb 24 19:17:11 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* unroll.c (unroll_loop): Avoid out-of-bounds index for local_regno.

Wed Feb 24 11:26:41 1999  Vladimir N. Makarov  <vmakarov@cygnus.com>

	* config/sparc/sparc.h (CONDITIONAL_REGISTER_USAGE): Don't use
	PIC_OFFSET_TABLE_REGNUM for register allocation when -fPIC.

Tue Feb 23 16:24:19 1999  Marc Lehmann  <pcg@goof.com>

	* config/i386/i386.md: Fix typo.

Mon Feb 22 19:36:33 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* config/mips/mips.c (mips_debugger_offset): When TARGET_MIPS16 &&
	frame_pointer_needed adjust frame size.
	(function_prologue): Don't MIPS16 .mask GPOFFSET. Already adjusted
	in .frame pseudo-op.
	Frm Jim Wilson  <wilson@cygnus.com>:
	* mips.c (function_prologue): Adjust frame size in .frame pseudo-op
	when TARGET_MIPS16 && frame_pointer_needed.

1999-02-22  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.h: Add TARGET_CPU_strongarm1100.
	Add -mno-sched command line switch to disable scheduling of
	instructions into the function's prologue.
	(enum processor_type): Remove.
	(TARGET_OPTIONS): Add "fpe=" option to match documentation.
	(struct arm_cpu_select): Replace 'set_tune_p' and 'set_arch_p'
	fields with 'processors' field.
	(CONDITIONAL_REGISTER_USAGE): Allow r10 to be used if stack
	checking is not enabled.
	(RETURN_IN_MEMORY): Always call arm_return_in_memory.

	* config/arm/arm.c (arm_cpu): Remove.
	(tune_flags): Remove.
	(arm_is_strong): New variable: true iff the target processor is a
	StrongARM.
	(arm_is_6_or_7): New variable: true iff the target processor is an
	ARM6 or and ARM7.
	(arm_select): Fields reorganised.
	(struct processors): processor_type field removed.
	(all_procs): Remove.
	(all_cores): New array: Definitions of all known ARM cpu cores.
	(all_architectures): New array: Definitions of all known ARM
	architectures.
	(streq): New macro.
	(FL_SCHED): New processor flag: processor required load
	scheduling.
	(FL_STRONG): New processor flag: processor is a StrongARM.
	(arm_override_options): Reorganized to make code clearer.
	(use_return_insn): Test for "not (TARGET_APCS and
	frame_pointer_needed)".
	(arm_return_in_memory): Improve handling of structures.

	* config/arm/arm.md: Remove "cpu" attribute.  Replace with
	"is_strongarm" and "is_arm_6_or_7" attributes.
	(zero_extendhisi2): Check for TARGET_SHORT_BY_BYTES before
	arm_arch4.
	(extendhisi2): Check for TARGET_SHORT_BY_BYTES before arm_arch4.

	* invoke.texi (ARM Options): Document -mtune= and -mfp= options.

1999-02-22  Philip Blundell  <philb@gnu.org>

	* config/arm/linux-gas.h (INITIALIZE_TRAMPOLINE): Replace default
	definition with one including cache synchronization.
	(CLEAR_INSN_CACHE): Correct syscall number and enable definition.
	Move definition of inhibit_libc to...
	* config/arm/xm-linux.h: ... here.

	* config/arm/t-linux: Disable multilib configurations since the
	only effect for most people is to cause builds to fail.

	* config/arm/elf.h (ASM_FILE_START): Add .file directive.
	(ASM_SPEC): Translate -mapcs-float to -mfloat for the assembler.

	* config/arm/linux-elf.h (DEFAULT_VTABLE_THUNKS): Define.
	(HANDLE_SYSV_PRAGMA): Likewise.
	(LIB_SPEC): Copy definition from generic Linux files.
	(LIBGCC_SPEC): Include -lfloat if -msoft-float was given.
	(FP_DEFAULT): Set to SOFT3 on 32-bit targets.
	(DWARF2_DEBUGGING_INFO): Define.
	(PREFERRED_DEBUGGING_TYPE): Define as DBX_DEBUG.

Mon Feb 22 16:54:18 1999  Andrew MacLeod  <amacleod@cygnus.com>

	* loop.c (libcall_other_regs): Make extern.
	* rtl.h (find_last_value): Add parameter to prototype.
	(libcall_other_reg): Add extern declaration.
	* rtlanal.c (find_last_value): Add another parameter to allow
	a definition using a hardware register to be found as well.

Mon Feb 22 13:33:47 1999  Mark Mitchell  <mark@markmitchell.com>

	* cse.c (dump_class): New function.
	(invalidate_memory): Fix typo in comment.
	* function.c (temp_slot): Add an alias set field.
	(assign_stack_temp): Only reuse slots if they will have the
	same alias set as before.
	(combine_temp_slots): Don't combine if -fstrict-aliasing;
	that's unsafe.
	* rtl.c (copy_rtx): Copy all the flags (in particular,
	MEM_SCALAR_P).

Mon Feb 22 14:13:23 1999  Vladimir N. Makarov  <vmakarov@cygnus.com>

	* configure.in (i[34567]86-*-linux-gnu*,
	i[34567]86-*-linux-gnulibc1, i[34567]86-*-linux-gnuaout*,
	i[34567]86-*-linux-gnuoldld*): Use fixinc.x86-linux-gnu as
	fixincludes.

	* configure: Rebuilt.

	* fixinc.x86-linux-gnu: New script for fixing asm-statements bug
	on x86 linux.

	* fixinc/fixinc.x86-linux-gnu: Copy of the previous one.

	* fixinc/mkfixinc.sh (i[34567]86-*-linux-gnu*,
	i[34567]86-*-linux-gnulibc1, i[34567]86-*-linux-gnuaout*,
	i[34567]86-*-linux-gnuoldld*): Use fixinc.x86-linux-gnu as
	fixincludes.

Mon Feb 22 08:55:05 1999  Ovidiu Predescu  <ovidiu@cup.hp.com>

	* objc/objc-act.c (encode_type): Temporary revert to the old
	behavior of encoding types as the new one seems to break the
	encoding of bitfields.

Mon Feb 22 11:40:44 1999  Craig Burley  <craig@jcb-sc.com>
Sat Feb 20 09:59:36 1999  Craig Burley  <craig@jcb-sc.com>

	* Makefile.in (all.internal, all.cross): Depend on `doc'
	target, to ensure docs get made before installation.

	Decrease spurious warnings from -fsyntax-only:
	* stmt.c (expand_expr_stmt): Expand expr even when -fsyntax-only.

Mon Feb 22 10:55:00 1999  Gavin Romig-Koch  <gavin@cygnus.com>

	* c-lex.c (yylex): Replace warning about integer constants being
	larger than long-longs, with a warning about integer constants
	being larger than the largest target integer.

Mon Feb 22 08:35:38 1999  Craig Burley  <craig@jcb-sc.com>

	Fix -fsyntax-only ICEs:
	* varasm.c (assemble_zeros, assemble_variable,
	output_constant_def): Do nothing when -fsyntax-only.

Fri Feb 19 18:18:56 1999  Don Bowman  <don@pixstream.com>

	* configure.in (mips*-*-vxworks*): Enable gthreads vxworks support.
	* configure: Rebuilt.

Sun Feb 21 20:34:44 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sun Feb 21 20:35:10 1999  Jeffrey A Law  (law@cygnus.com)

	* config/aoutos.h (ASM_OUTPUT_CONSTRUCTOR): Delete.
	(ASM_OUTPUT_DESTRUCTOR, ASM_OUTPUT_GC_ENTRY): Likewise.
	* tm.texi: Update docs for constructors and destructors.

Sun Feb 21 17:11:18 1999  Richard Henderson  <rth@cygnus.com>

	* genattrtab.c (check_attr_value): Allow negative const_int if
	negative_ok.  Accept integral arithmetic operators.  Accept
	direct references to other attributes.  Accept symbol_ref in
	non-constant attributes.
	(max_attr_value): Add new argument `unknownp'.  Update all callers.
	(or_attr_value): Likewise.
	(simplify_knowing): Don't optimize if max_attr_value unknown.
	(write_length_unit_log): Likewise with or_attr_value.
	(find_and_mark_used_attributes): Don't fallthru case.
	(write_attr_set): Pass thru all non-cond expressions.
	(write_attr_value): Handle symbol_ref, attr, and arithmetic.

Sun Feb 21 13:16:44 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* regmove.c (discover_flags_reg): Use word_mode instead of SImode.

Sun Feb 21 13:15:40 1999  Richard Henderson  <rth@cygnus.com>

	* regmove.c (discover_flags_reg): Remove cc0 code.
	(mark_flags_life_zones) [HAVE_cc0]: Force use of cc0; bail if
	a potential flags register was identified.

Sat Feb 20 16:16:07 1998  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* rs6000.md (scc plus ltu): Fix typo in last change.

Sat Feb 20 09:08:44 1999  Richard Earnshaw  (rearnsha@arm.com)

	* xm-arm.h (HOST_BITS_PER_LONGLONG): Define.

Fri Feb 19 23:02:02 1999  Richard Henderson  <rth@cygnus.com>

	* regmove.c (discover_flags_reg): New function.
	(flags_set_1, mark_flags_life_zones): New functions.
	(regmove_optimize): Call them.
	(fixup_match_1): Use insn modes rather than sets_cc0_p.

Fri Feb 19 22:47:01 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* rtlanal.c (insn_first_p): Fix return value for insn == reference.

	* loop.c (strength_reduce, check_final_value, check_dbra_loop):
	Use loop_insn_first_p.

Fri Feb 19 15:49:26 1999  Michael Meissner  <meissner@cygnus.com>
			  David Edelsohn  <edelsohn@gnu.org>

	* rs6000.md (scc plus eq): Fix output template.
	(scc plus ltu): Fix output template and collapse variants
	correcting early clobbers.
	(scc plus geu): Fix output template.
	(scc plus gt): Fix output template.
	(scc plus gtu): Fix output template and collapse variants.

Fri Feb 19 15:43:59 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cppinit.c (print_help): Remove unescaped newline in string.

Fri Feb 19 19:55:06 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (strength_reduce): Check for intervening jumps when
	converting biv increment to giv.

Thu Feb 18 16:36:58 1999  Per Bothner  <bothner@cygnus.com>

	* tree.def (TRY_FINALLY_EXPR, GOTO_SUBROUTINE_EXPR): New tree nodes,
	* expr.c (expand_expr): Support new tree nodes.

Fri Feb 19 10:17:56 1999  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* config/m68k/m68k.c (m68k_align_loops_string,
	m68k_align_jumps_string, m68k_align_funcs_string): Add const.
	* config/m68k/m68k.h (m68k_align_loops_string,
	m68k_align_jumps_string, m68k_align_funcs_string): Likewise.

Thu Feb 18 23:28:35 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* bitmap.c (bitmap_print): Qualify a char* with the `const' keyword.

	* bitmap.h (bitmap_print): Likewise.

	* c-decl.c (builtin_function, grokdeclarator, grokfield): Likewise.

	* c-lang.c (build_objc_string): Likewise.

	* c-lex.c (yyerror, extend_token_buffer): Likewise.  Don't include
	limits.h or ctype.h.  Remove unused variable `p'.

	* c-lex.h (yyerror): Qualify a char* with the `const' keyword.

	* c-pragma.c (handle_pragma_token): Likewise.

	* c-pragma.h (handle_pragma_token): Likewise.

	* c-tree.h (build_objc_string, builtin_function, grokfield,
	build_indirect_ref, lvalue_or_else, readonly_warning, error_init,
	pedwarn_init): Likewise.

	* c-typeck.c (convert_for_assignment, warn_for_assignment,
	push_string, warning_init, incomplete_type_error,
	build_indirect_ref, lvalue_or_else, readonly_warning,
	build_c_cast, spelling, push_member_name, print_spelling,
	error_init, pedwarn_init, start_init): Likewise.

	* objc/objc-act.c (build_objc_string): Likewise.

	* print-tree.c (print_node_brief, print_node): Likewise.

	* tree.h (lvalue_or_else, print_node, print_node_brief): Likewise.

Thu Feb 18 20:44:21 1999  David Edelsohn  <edelsohn@gnu.org>

	* regclass.c (record_reg_classes): Correctly handle 'p' constraint.

Thu Feb 18 19:59:37 1999  Marc Espie  <espie@cvs.openbsd.org>

	* configure.in :Handle OpenBSD platforms.
	* configure: Rebuilt.
	* config/openbsd.h: New file.
	* config/xm-openbsd.h: New file.
	* config/t-openbsd: New file.
	* config/t-openbsd-thread: New file.

Thu Feb 18 18:47:09 1999  Jeffrey A Law  (law@cygnus.com)

	* function.c (assign_stack_temp_for_type): Round SIZE before calling
	assign_stack_local for BLKmode slots.

Fri Feb 19 01:45:06 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (strength_reduce): For derived givs, replace the
	giv this was derived from with its new_reg.
	(recombine_givs): Don't set new_reg for derived giv.
	And don't print it, print SUM instead.

Thu Feb 18 15:52:49 1999  Jim Wilson  <wilson@cygnus.com>

	* m68kelf.h (ASM_RETURN_CASE_JUMP): Add 5200 support.

1999-02-18  Zack Weinberg  <zack@rabi.columbia.edu>

	* cpplib.c: Kill define of STDC_VALUE.  Don't include output.h
	  or prefix.h. Change CPP_IS_MACRO_BUFFER to not refer to
	  macro_cleanup.
	  (GET_ENV_PATH_LIST, PATH_SEPARATOR, STANDARD_INCLUDE_DIR,
	  predefs, SIZE_TYPE, PTRDIFF_TYPE, WCHAR_TYPE,
	  CPP_WCHAR_TYPE, USER_LABEL_PREFIX, REGISTER_PREFIX, struct
	  cpp_pending, version_string, struct default_include,
	  include_defaults_array, path_include, cpp_options_init,
	  dump_special_to_buffer, initialize_builtins, cpp_start_read,
	  cpp_reader_init, nreverse_pending, push_pending, print_help,
	  cpp_handle_option, cpp_handle_options, cpp_finish,
	  cpp_cleanup): Move to cppinit.c.
	  (macro_cleanup, struct arglist, collect_expansion,
	  create_definition, compare_defs, comp_def_part, ARG_BASE,
	  struct argdata, macarg, change_newlines, timestamp,
	  monthnames, special_symbol, unsafe_chars, macroexpand,
	  push_macro_expansion): Move to cpphash.c.
	  (quote_string, check_macro_name, cpp_expand_to_buffer,
	  output_line_command, cpp_undef): Export.
	  (null_underflow, null_cleanup, handle_directive): Make static.

	* cpplib.h: Prototype now-exported functions.  Adjust decls of
	  syntax tables so we can include cpplib.h in cppinit.c.
	* cpphash.h: Prototype all functions exported by cpphash.c.
	* cppinit.c: Make syntax tables initialized data if possible
	  (uses GCC designated-initializer extension).
	* cppexp.c: Make cpp_lex static.
	* Makefile.in: Move -D switches for the various include dirs
	  from cpplib.o rule to cppinit.o rule.  Adjust dependencies.

Thu Feb 18 13:15:56 1999  Marc Espie  <espie@cvs.openbsd.org>

	* alpha/openbsd.h: New file.
	* alpha/xm-openbsd.h: New file.
	* sparc/openbsd.h: New file.
	* sparc/xm-openbsd.h: New file.
	* m68k/openbsd.h: New file.
	* m68k/xm-openbsd.h: New file.
	* i386/openbsd.h: New file, originally from netbsd.
	* i386/xm-openbsd.h: New file.

1999-02-17  Zack Weinberg  <zack@rabi.columbia.edu>

	* Makefile.in: Correct dependencies for cpplib object files.

Wed Feb 17 14:04:18 1999  Michael Meissner  <meissner@cygnus.com>

	* rs6000.md ({add,sub}si3 `.'): Add alternatives to use CR other
	than cr0.

Wed Feb 17 16:59:28 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (strength_reduce): Don't move giv insn for biv turned giv
	below scan_start.

Wed Feb 17 10:56:24 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* tree.c (tree_node_kind_names, print_obstack_name,
	get_identifier, maybe_get_identifier, build_string,
	build_expr_wfl, is_attribute_p, lookup_attribute,
	print_obstack_statistics, get_file_function_name_long, tree_check,
	tree_class_check, expr_check): Qualify a char* with the `const'
	keyword.

	* tree.h (get_identifier, maybe_get_identifier, build_string,
	build_expr_wfl, is_attribute_p, lookup_attribute,
	print_obstack_statistics, print_obstack_name, tree_check,
	tree_class_check, expr_check): Likewise.

Tue Feb 16 21:29:38 1999  Jeffrey A Law  (law@cygnus.com)

	* i386/freebsd-elf.h, i386/gas.h, i386/linux.h: Fix minor spacing
	errors.

	* calls.c (store_one_arg): Mark any slots used for the argument
	as in-use immediately after we're done saving any slots which
	will be overwritten by this argument.

Tue Feb 16 21:02:07 1999  Anton Hartl  <toni@devsoft.com>

	* rs6000.md (call_value): Fix typo.

Wed Feb 17 01:29:07 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (strength_reduce): Calculate maybe_dead before
	calling recombine_givs.

Wed Feb 17 00:43:12 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (strength_reduce): Dump biv increment -> giv conversions.

Tue Feb 16 15:31:39 1999  Ovidiu Predescu  <ovidiu@cup.hp.com>

	* objc/objc-act.c (encode_type): Encode the type instead of
	encoding the mode of the type (patch from Richard Frith-Macdonald
	<richard@brainstorm.co.uk>).

Tue Feb 16 10:53:51 1999  Richard Earnshaw  (rearnsha@arm.com)

	* config/arm/arm.md (*zeroextractqi_compare0_scratch): Re-add load
	instruction killed in previous change.  Simplify mask generation.
	(*zeroextractsi_compare0_scratch): Simplify mask generation.

Tue Feb 16 09:52:26 1999  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.md (zeroextractqi_compare0_scratch): Ensure that
	bitfield does not overflow a byte boundary.

Tue Feb 16 01:37:33 1999  Charles G Waldman  <cgw@alum.mit.edu>

	* c-common.c (shorten_compare): Get the min/max value from the
	underlying type of an enumeration, not the enumerated type itself.

Mon Feb 15 23:04:48 1999  Jeffrey A Law  (law@cygnus.com)

	* jump.c: Include insn-attr.h.
	(delete_computation): If reload has completed and insn scheduling
	after reload is enabled, then do not depend on REG_DEAD notes.
	* Makefile.in (jump.o): Depend on insn-attr.h.

Mon Feb 15 16:57:38 1999  Richard Henderson  <rth@cygnus.com>

	* i386.md (addsi3): Allow lea for any constant_p.

1999-02-15  Zack Weinberg  <zack@rabi.columbia.edu>

	* toplev.c (documented_lang_options): Remove -fident and
	  -fnoident, which are now handled by the language independent
	  option parser.

1999-02-15  Zack Weinberg  <zack@rabi.columbia.edu>

	* c-common.c (UNGETC [USE_CPPLIB=1]): Do nothing if c is EOF.
	* c-lex.c: Likewise.
	* cpplib.c (cpp_push_buffer, cpp_pop_buffer): Use a linked
	list in malloced memory for the buffer stack.
	(cpp_get_token): Don't pop the last buffer off the stack.
	Calls after CPP_EOF has been returned produce CPP_EOF with no
	state change.
	(cpp_finish): Pop last buffer here.
	(do_line): Don't free ip->last_nominal_fname if it is equal to
	ip->fname.
	(special_symbol): If a T_CONST is the empty string, push a
	single `@ ' escape instead.
	(macroexpand): Special symbol buffers have escapes too.
	* cpplib.h (struct cpp_buffer): Remove unused fields, add prev
	buffer pointer.
	(struct cpp_reader): Remove buffer_stack.  Add
	buffer_stack_depth.
	(CPP_PREV_BUFFER, CPP_NULL_BUFFER): Buffer stack is now a
	linked list.

Mon Feb 15 14:44:53 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* cccp.c: Don't define HOST_WIDE_INT.  Replace all occurrences of
	WIDE_INT with WIDEST_INT.

	* cexp.y: Likewise.
	Don't define unsigned_HOST_WIDE_INT, CHAR_BIT or
	HOST_BITS_PER_WIDE_INT.  Replace occurrences of PRINTF_PROTO_1()
	style with PVPROTO() ATTRIBUTE_PRINTF_1 style macros.  Replace
	occurrences of "unsigned_HOST" with "unsigned HOST".  Provide a
	definition of variable `c89' when compiling a test binary and set it.

	* system.h: Don't define the PRINTF_PROTO_* macros.

Mon Feb 15 11:33:51 1999  Jeffrey A Law  (law@cygnus.com)

	* loop.c (mark_loop_jump): Handle LO_SUM.  If we encounter something
	we do not understand, mark the loop and containing loops as invalid.

Mon Feb 15 00:40:45 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* alias.c (init_alias_analysis): Avoid self-referential value
	when setting reg_known_value from REG_EQUAL notes.

Sun Feb 14 23:12:10 1999  Richard Henderson  <rth@cygnus.com>

	* i386.c (legitimate_address_p): Verify modes of base and index.

Sun Feb 14 23:01:28 1999  Richard Henderson  <rth@cygnus.com>

	* i386.c (legitimate_pic_address_disp_p): Remove static.
	* i386.h (LEGITIMATE_PIC_OPERAND_P): Use it instead of
	open-coding cases.

Sun Feb 14 21:03:28 1999  Jeffrey A Law  (law@cygnus.com)

	* except.c (start_catch_handler): Use emit_cmp_and_jump_insns.
	* explow.c (probe_stack_range): Likewise.
	* expmed.c (do_cmp_and_jump): Likewise.
	* expr.c (store_expr, expand_expr, expand_builtin): Likewise.
	(do_tablejump): Likewise.
	* stmt.c (expand_expr_stmt, expand_end_case): Likewise.
	(do_jump_if_equal, emit_case_nodes): Likewise.
	* optabs.c (emit_cmp_and_jump_insns): Clarify comments.  If UNSIGNEDP,
	then convert comparison to an unsigned code before emitting the jump.
	(expand_float, expand_fix): Use emit_cmp_and_jump_insns.

Sun Feb 14 02:24:15 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sun Feb 14 01:15:04 1999  Jeff Law  (law@cygnus.com)

	* version.c: Bump for snapshot.

Sun Feb 14 00:45:50 1999  Jeffrey A Law  (law@cygnus.com)

	* loop.c: Disable recent loop changes.  Temporary as Joern
	continues to fix problems.

Sat Feb 13 23:29:42 1999  Richard Henderson  <rth@cygnus.com>

	* loop.c (combine_givs_used_by_other): Delete.
	(combine_givs_benefit_from): Delete.
	(combine_givs): Deny combination of givs only used once.  Simplify
	code with the death of combine_givs_benefit_from.

Sun Feb 14 11:24:05 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* loop.c (scan_loop): Call reg_in_basic_block_p before
	loop_reg_used_before_p.

Sat Feb 13 05:32:00 1999  Richard Earnshaw  (rearnsha@arm.com)

	* arm.md: Use gen_rtx_FOO instead of gen_rtx (FOO, ...).
	* arm.h: Likewise.
	* arm.c: Likewise.

	* arm.h (TARGET_OPTIONS): Reformat for clarity.
	(GO_IF_LEGITIMATE_ADDRESS): When generating PIC, references to symbols
	in the constant pool aren't valid.
	(LEGITIMATE_PIC_OPERAND_P): Likewise.

	* arm.c: Include "system.h", not stdio.h and string.h.

Fri Feb 12 13:06:28 1999  Jim Wilson  <wilson@cygnus.com>

	* stmt.c (expand_return): Return if optimize_tail_recursion succeeded.
	(optimize_tail_recursion): Change return type from void to int.
	Add return statements.
	* tree.h (optimize_tail_recursion): Change prototype to match.

Fri Feb 12 21:09:51 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* reload.c (find_reloads_subreg_address): New function, broken out of
	find_reloads_toplev.
	(find_reloads_toplev, find_reloads_address_1): Use it.

Fri Feb 12 13:20:52 1999  Jeffrey A Law  (law@cygnus.com)

	* h8300.md (zero_extendhisi2 H8/300 variant): Correctly handle
	extending a CONST_INT.

	* h8300.md (peephole for combining memrefs): Delete incorrect peephole.

Fri Feb 12 18:29:11 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (loop_insn_first_p, biv_elimination_giv_has_0_offset):
	New functions.
	(maybe_eliminate_biv_1): Use biv_elimination_giv_has_0_offset.

Fri Feb 12 16:56:10 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* loop.c (load_mems): Don't guess how to do a load / store, use
	emit_move_insn.

Fri Feb 12 09:24:26 1999  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* system.h: Provide a definition for HOST_WIDEST_INT, etc.

Fri Feb 12 23:37:26 1999  Michael Hayes  <m.hayes@elec.canterbury.ac.nz>

	* config/c4x/c4x.c (c4x_address_cost): Revert 9 Feb change.

Fri Feb 12 00:51:26 1999  Jeffrey A Law  (law@cygnus.com)

	* reload.c (find_reloads_address_1): Fix handling of an autoincremented
	pseudo which is homed in the stack.

	* mips.c (save_restore_insns): Fix loop to save/restore FP registers.
	(compute_frame_size): Change loop over FP regs to be consistent
	with the loop in save_restore_insns.

Thu Feb 11 17:38:40 1999  Jim Wilson  <wilson@cygnus.com>

	* i960/i960.h (OVERRIDE_OPTIONS): Warn if -mlong-double-64 is used.
	(LONG_DOUBLE_TYPE_SIZE): Undef then unconditionally define to 96.

Thu Feb 11 15:11:35 1999  Jeffrey A Law  (law@cygnus.com)

	* mn10200.md (bset); Re-enable.

Thu Feb 11 15:20:49 1999  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* sh.md (is_sfunc): New attribute.
	* sh.h (INSN_SETS_ARE_DELAYED, INSN_REFERENCES_ARE_DELAYED): Use it.

Thu Feb 11 01:06:49 1999  Nathan Sidwell  <nathan@acm.org>

	* fold-const.c (range_binop): Take account of the bounded nature
	of fixed length arithmetic when comparing unbounded ranges.

Thu Feb 11 00:08:17 1999  John Wehle  (john@feith.com)

	* function.c (assign_stack_temp_for_type): Clear best_p
	when an exact match is found.

	* i386.h (LOCAL_ALIGNMENT): Define.
	* function.c (assign_stack_local, assign_outer_stack_local): Use it.
	(assign_stack_temp_for_type): New function based on assign_stack_temp.
	(assign_stack_temp): Call it.
	(assign_temp): Use assign_stack_temp_for_type, not assign_stack_temp.
	* stmt.c: Use assign_temp, not assign_stack_temp.
	* tm.texi: Document LOCAL_ALIGNMENT.

Wed Feb 10 23:28:28 1999  Jeffrey A Law  (law@cygnus.com)

	* reorg.c: Finish deleting half-deleted comment.

Wed Feb 10 17:12:21 1999  Jim Wilson  <wilson@cygnus.com>

	* emit-rtl.c (operand_subword): Sign extend REAL_VALUE_TO_TARGET_SINGLE
	result.
	* final.c (split_double): Sign extend REAL_VALUE_TO_TARGET_DOUBLE
	result.
	* real.c (endian): Delete sign extension code.
	* config/m32r/m32r.md (movsf_insn+1): REAL_VALUE_TO_TARGET_SINGLE call
	replaced with operand_subword call.

Wed Feb 10 15:16:39 1999  Richard Henderson  <rth@cygnus.com>

	* alpha.md (cmov compound patterns): Delete.  Jump can now
	create the correct constructs in the first place.

Wed Feb 10 11:03:22 1999  Richard Henderson  <rth@cygnus.com>

	* configure.in (alphaev6*): Fix typo in target_cpu_default2.

Wed Feb 10 13:59:18 1999  Dave Brolley  <brolley@cygnus.com>

	* mbchar.c (local_mb_cur_max): Handle the case where MB_CUR_MAX is 0.

